commit c3ff6b0a305ffd7fa2f08460ad8b411bace68d50
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Apr 2 16:31:15 2012 +0100

    Release version 0.12.0

    This was intended to be done a little later, but since 0.11.1 is
    used by
    GNOME 3.4, libgdata master was necessarily in string freeze. Branching
    was
    the only way to break the freeze, so here’s 0.12.0!

 NEWS         |   10 ++++++++++
 configure.ac |    4 ++--
 2 files changed, 12 insertions(+), 2 deletions(-)

commit f02b54681358d477141b8cbe3bcbfc80a3cb344d
Author: Praveen Arimbrathodiyil <pravi.a@gmail.com>
Date:   Mon Mar 26 13:10:11 2012 +0530

    Malayalam translation updated by Anish

 po/ml.po |  135
 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 71 insertions(+), 64 deletions(-)

commit 05e843480f5db0d79370163b7dc3bec653691a7c
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Mar 23 22:31:20 2012 +0100

    Updated Slovenian translation

 po/sl.po |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 29357c3cdb19c386f9177dce24fa9e556443c6fb
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Fri Mar 23 16:48:15 2012 +0530

    hindi translation by Chandan Kumar

 po/hi.po |  407
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 228 insertions(+), 179 deletions(-)

commit 4898f768bf0e88f7cec5dbdc32039697c0354a16
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:   Tue Mar 20 13:44:03 2012 +0530

    Updated Marathi Translations

 po/mr.po |  381
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 216 insertions(+), 165 deletions(-)

commit 940ac57432c52f332c33e29bb31b7eeb9618fb57
Author: Abderrahim Kitouni <a.kitouni@gmail.com>
Date:   Tue Mar 20 08:53:46 2012 +0100

    Added Arabic translation

    Based on initial translation by Ibrahim "Diego".

 po/LINGUAS |    1 +
 po/ar.po   |  494
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 495 insertions(+), 0 deletions(-)

commit be9c25f6892eeb530a01ef326fe2258b11828f27
Author: Praveen Arimbrathodiyil <pravi.a@gmail.com>
Date:   Thu Mar 15 14:29:00 2012 +0530

    Malayalam translation by Anish

 po/LINGUAS |    1 +
 po/ml.po   |  468
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 469 insertions(+), 0 deletions(-)

commit 81c5ea68058ca1039d3b881f98fc911d45d9a896
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Mar 12 21:31:38 2012 +0000

    build: Fix NEWS entry for 0.11.1

    I accidentally copied-and-pasted the entry from 0.10.2 without
    editing it
    properly.

 NEWS |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit fed57ca8526011d9a81dca790bb61e8d305ff2ef
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Mar 12 09:15:05 2012 +0000

    build: Increment version to 0.11.2

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0613f655c8121129bd69a7f51ddd575748ca88db
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Mar 12 09:14:40 2012 +0000

    Release version 0.11.1

 NEWS |   17 +++++++++++++++++
 1 files changed, 17 insertions(+), 0 deletions(-)

commit 6799f2c525a584dc998821a6ce897e463dad7840
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Mar 8 00:09:08 2012 +0000

    core: Validate SSL certificates for all connections

    This prevents MitM attacks which use spoofed SSL certificates.

    Note that this bumps our libsoup requirement to 2.37.91.

    Closes: https://bugzilla.gnome.org/show_bug.cgi?id=671535

 configure.ac          |    2 +-
 gdata/gdata-service.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit cfc23bfe8fae81485f424965ec4157993cf655e6
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Sat Mar 3 17:01:13 2012 +0200

    Uploaded Ukranian

 po/uk.po |  373
 +++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 202 insertions(+), 171 deletions(-)

commit 49d2d96f00a7203fdf11b93357391358a9f0c8b8
Author: Kasia Bondarava <kasia.bondarava@gmail.com>
Date:   Mon Feb 27 13:59:05 2012 +0300

    Added Belarusian translation.

 po/LINGUAS |    1 +
 po/be.po   |  486
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 487 insertions(+), 0 deletions(-)

commit 2dda90f943b8a4419982d54342e14ffada908bd8
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jan 21 10:20:44 2012 +0000

    build: Remove some #defines from gdata.symbols

    They should never have been in there, and were breaking the build
    on Solaris.

    Closes: https://bugzilla.gnome.org/show_bug.cgi?id=668365

 gdata/gdata.symbols |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit b3d4d6b95645922d1f431b21c41127479b6e463d
Author: Praveen Illa <mail2ipn@gmail.com>
Date:   Thu Jan 12 00:01:01 2012 +0530

    Updated Telugu Translation

 po/te.po |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

commit dad027fdb55420341f1379b031f583c9c75ae189
Author: Praveen Illa <mail2ipn@gmail.com>
Date:   Wed Jan 11 23:58:43 2012 +0530

    Added Telugu Translation

 po/LINGUAS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 44476df5362bc1fbc9c052d51330d2f18b04fe6d
Author: Praveen Illa <mail2ipn@gmail.com>
Date:   Wed Jan 11 23:58:15 2012 +0530

    Updated Telugu Translation

 po/te.po |  471
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 471 insertions(+), 0 deletions(-)

commit 7e4274b5f31ab9b4af87c1b862f4f1229810688d
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sat Jan 7 22:21:01 2012 -0500

    fix introspection for srcdir != builddir builds

    https://bugzilla.gnome.org/show_bug.cgi?id=667577

 Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a0210434adb4e6ae65db3e1d3820359ca8e57193
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Dec 20 23:36:21 2011 +0000

    build: Increment version to 0.11.1

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9509d84b36f2e1910f68ba7d10dc2faf79d4f026
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Dec 20 23:34:35 2011 +0000

    Release version 0.11.0

 NEWS                          |   58
 +++++++++++++++++++++++++++++++++++++++++
 configure.ac                  |    2 +-
 docs/reference/gdata-docs.xml |    4 +++
 3 files changed, 63 insertions(+), 1 deletions(-)

commit 8e6c8842b44429fbba8cc4bb445532b314b07885
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Dec 20 22:59:48 2011 +0000

    core: Atomically update auth_tokens in GDataClientLoginAuthorizer

    If a (synchronous or asynchronous) authentication operation fails
    or is
    cancelled part-way through, we could have successfully authenticated
    against
    some GDataAuthorizationDomains but not others. In this situation,
    we now
    only update the set of domains we're authenticated against if _all_
    domains
    are successfully authenticated against.

    While this may seem like it wastes the valid auth. tokens, it makes
    the API
    more consistent and won't really impact real-world usage. In the
    real world,
    clients are going to want to be authenticated against all of the
    domains
    they're interested in, or none of them. They most likely won't
    care about
    partial success of an authentication operation.

 gdata/gdata-client-login-authorizer.c |  161
 ++++++++++++++++-----------------
 1 files changed, 79 insertions(+), 82 deletions(-)

commit fd7c94a176493e4d48f175d28bf9c6266b56da9c
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Dec 20 22:58:47 2011 +0000

    tests: Set G_MESSAGES_DEBUG when running tests

    Recent versions of GLib will only display debug messages when the
    appropriate logging domains are set in G_MESSAGES_DEBUG.

 gdata/tests/common.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 488106059bd78c600313921c03927b711066725c
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Dec 20 21:55:31 2011 +0000

    documents: Don't use a deprecated function in
    GDataDocumentsSpreadsheet

    Use resource IDs instead of document IDs.

 .../documents/gdata-documents-spreadsheet.c        |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

commit b7faf9bfa883fe32d6a73aae55e833e126dde62f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Dec 20 21:53:23 2011 +0000

    core: Don't use deprecated GLib threading API if we have a recent GLib

    If we have GLib ≥ 2.31.0, use the new threading/mutex/condition
    variable API
    to avoid deprecated function warnings.

    Note that this doesn't bump our GLib dependency from 2.30.0; if
    a recent
    enough GLib is not available, libgdata should still compile with
    the old
    threading API.

 gdata/gdata-buffer.c                  |   61 ++++++++++-
 gdata/gdata-buffer.h                  |    5 +
 gdata/gdata-client-login-authorizer.c |   68 +++++++++++
 gdata/gdata-download-stream.c         |  103 +++++++++++++++++-
 gdata/gdata-oauth1-authorizer.c       |   43 +++++++
 gdata/gdata-service.c                 |   29 +++++-
 gdata/gdata-upload-stream.c           |  200
 ++++++++++++++++++++++++++++++++-
 gdata/tests/common.c                  |    2 +
 gdata/tests/memory.c                  |    2 +
 gdata/tests/perf.c                    |    2 +
 gdata/tests/streams.c                 |   37 ++++---
 11 files changed, 531 insertions(+), 21 deletions(-)

commit bcced9de5f3fb427124848f61d06cd896a76aa88
Author: Žygimantas Beručka <uid0@akl.lt>
Date:   Tue Dec 6 17:36:56 2011 +0200

    Updated Lithuanian translation

 po/lt.po |   41 +++++++++++++++++++++++++----------------
 1 files changed, 25 insertions(+), 16 deletions(-)

commit 1c5540bbf98f2b51d23a632dd72a4b2c606d08a7
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Oct 27 08:54:03 2011 +0100

    contacts: Add support for the “file as” property

    Add support for “file as” strings on contacts, specifying their
    sort order
    if they have non-Western-style names or names which are otherwise
    incorrectly
    sorted in the contact list.

    The following API has been added:
     • GDataContactsContact:file-as
     • gdata_contacts_contact_[get|set]_file_as()

    This includes basic test coverage of the new code.

    Helps: bgo#661033

 docs/reference/gdata-sections.txt                |    2 +
 gdata/gdata.symbols                              |    2 +
 gdata/services/contacts/gdata-contacts-contact.c |   70
 +++++++++++++++++++++-
 gdata/services/contacts/gdata-contacts-contact.h |    5 +-
 gdata/tests/contacts.c                           |   20 ++++++-
 5 files changed, 94 insertions(+), 5 deletions(-)

commit 43934b019874eb6490f1df72d3d6dbb5fd034234
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Oct 27 08:52:36 2011 +0100

    contacts: Slightly relax a test condition

    Instead of requiring that a contact's creation date be at or after
    its last
    edit date, require that the last edit date be within 5 seconds
    after the
    contact's creation date.

 gdata/tests/contacts.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 95033d02d73a9d7b6e95d4e201c7f53c60b048af
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Oct 23 11:24:40 2011 +0100

    core: Use GHmac instead of HMAC from liboauth

    This moves us one step closer to dropping the liboauth dependency.

    This bumps our GLib dependency to 2.30.0.

 configure.ac                    |    2 +-
 gdata/gdata-oauth1-authorizer.c |   15 ++++++++++++++-
 2 files changed, 15 insertions(+), 2 deletions(-)

commit 2c7d5579bb82658a2df04dd1e209d9d73d5195ee
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Oct 20 17:19:25 2011 +0100

    Bug 662290 — Can't update contact that has no full name

    Treat the empty string as if it were NULL for
    GDataGDName:full-name. Add a
    test case which does so too.

    This should fix round-trips to Google for contacts which have no
    full name
    set.

    Closes: bgo#662290

 gdata/gd/gdata-gd-name.c |   12 +++++++++++-
 gdata/tests/general.c    |   45
 +++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+), 1 deletions(-)

commit ec55e6507cdf650a5e071e416fd95192da84a2a6
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Oct 11 16:42:48 2011 +0100

    docs: Add a section on privacy considerations to the documentation

    This covers the work on non-pageable memory for sensitive details,
    plus the
    work to redact sensitive details from log output.

    Closes: bgo#656783

 docs/reference/gdata-overview.xml |   33
 +++++++++++++++++++++++++++++++++
 1 files changed, 33 insertions(+), 0 deletions(-)

commit a5a772a00526b0830c01254d0ba24305d46b1fa5
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Oct 11 16:40:21 2011 +0100

    core: Ensure passwords and auth. tokens are stored in non-pageable
    memory

    If we're compiled with --enable-gnome, we now allocate passwords
    and auth.
    tokens in non-pageable memory where possible. Where not possible
    (due to API
    constraints imposed by ourselves or libsoup) we ensure that the
    details are
    zeroed out before being freed.

    This is all with the aim of never having passwords or auth. tokens
    hit disk
    or be leaked in other ways.

    It hasn't been formally reviewed or certified, and there are
    probably cases
    I've missed (which are bugs).

    This adds an optional dependency on libgnome-keyring when compiled
    with
    --enable-gnome.

    Helps: bgo#656783

 README                                |    1 +
 configure.ac                          |    7 +--
 gdata/gdata-client-login-authorizer.c |   48 ++++++++++++++------
 gdata/gdata-oauth1-authorizer.c       |   53 ++++++++++++++++++---
 gdata/gdata-private.h                 |    7 +++
 gdata/gdata-service.c                 |   81
 +++++++++++++++++++++++++++++++++
 6 files changed, 170 insertions(+), 27 deletions(-)

commit 41129e8ac50e22dddbc5eaf26604e74785f81810
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Oct 10 23:17:35 2011 +0100

    Bug 656973 — Add an example of starring a document

    Add an example of starring a document to the GDataDocumentsService
    documentation.

    This adds the following new API (for convenience of referring
    to URIs):
     • GDATA_CATEGORY_SCHEMA_LABELS
     • GDATA_CATEGORY_SCHEMA_LABELS_STARRED

    Closes: bgo#656973

 docs/reference/gdata-sections.txt                  |    2 +
 gdata/atom/gdata-category.h                        |   20 ++++++++++
 gdata/services/documents/gdata-documents-service.c |   40
 ++++++++++++++++++++
 3 files changed, 62 insertions(+), 0 deletions(-)

commit 1e16460f0df6d67c55569c8b2a39293aa32e0f5e
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Oct 10 22:27:38 2011 +0100

    Bug 659148 — Add search-term query example to documentation

    Closes: bgo#659148

 gdata/services/youtube/gdata-youtube-service.c |   39
 ++++++++++++++++++++++++
 1 files changed, 39 insertions(+), 0 deletions(-)

commit 0360fd97b2af0ba24a9ef54ff9b5a941c293a21b
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Oct 10 22:07:39 2011 +0100

    Bug 660174 — Deprecate SWF export of presentations

    SWF export has been deprecated in the protocol and will be disabled,
    leading
    to HTTP 400 errors.

    See:
    http://googleappsdeveloper.blogspot.com/2011/09/deprecating-swf-exports-of.html

    Closes: bgo#660174

 .../documents/gdata-documents-presentation.h       |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 7b4bf874d32e2db7832f722c68b89642ad9e1367
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Oct 10 22:07:24 2011 +0100

    youtube: Fix a typo in a documentation comment

 gdata/services/youtube/gdata-youtube-query.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit efb1e2b8ae8328c82d86ce9fb4c3c00f3ddc6846
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Oct 10 21:57:58 2011 +0100

    Bug 658865 — Add support for the license query parameter

    Add a GDataYouTubeQuery:license parameter, plus getter and setter,
    and some
    tests.

    Closes: bgo#658865

 docs/reference/gdata-sections.txt            |    4 ++
 gdata/gdata.symbols                          |    2 +
 gdata/services/youtube/gdata-youtube-query.c |   74
 +++++++++++++++++++++++++-
 gdata/services/youtube/gdata-youtube-query.h |   22 ++++++++
 gdata/tests/youtube.c                        |    8 ++-
 5 files changed, 107 insertions(+), 3 deletions(-)

commit fd2d8a5f14aece4b28b07d2bffeb766d77c972aa
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Oct 10 09:38:19 2011 +0100

    core: Filter sensitive details out of debug log output

    Add a new log level, GDATA_LOG_FULL_UNREDACTED = 4, and redact
    usernames,
    passwords and auth. tokens from all log levels below it. Thus,
    taking a
    debug log with LIBGDATA_DEBUG=3 will no longer inadvertently
    reveal the
    user's password.

    Helps: bgo#656783

 README                |    5 ++-
 gdata/gdata-private.h |    8 +++-
 gdata/gdata-service.c |   96
 +++++++++++++++++++++++++++++++++++++++++++++++-
 gdata/tests/common.c  |    2 +-
 4 files changed, 105 insertions(+), 6 deletions(-)

commit 6e1ced020c67c9711bb3af1a8a8669b34cfedf5a
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Oct 9 22:20:22 2011 +0100

    Bug 656972 — Tidy up document IDs

    Tidy up the mess of IDs available for Google Docs
    documents. Previously,
    they could be identified by any one of their: entry ID, resource
    ID and
    document ID. Document IDs are now deprecated and replaced by
    resource IDs;
    and both are now considered as internal, and thus entry IDs should be
    used everywhere by client code in preference.

    Added API:
     • GDataDocumentsEntry:resource-id and getter

    Deprecated (but not removed) API:
     • GDataDocumentsEntry:document-id and getter

    Closes: bgo#656972

 docs/reference/gdata-sections.txt                  |    1 +
 gdata/gdata.symbols                                |    1 +
 gdata/services/documents/gdata-documents-entry.c   |  134
 +++++++++++++-------
 gdata/services/documents/gdata-documents-entry.h   |    6 +-
 gdata/services/documents/gdata-documents-folder.c  |   17 ---
 .../documents/gdata-documents-presentation.c       |   17 ---
 gdata/services/documents/gdata-documents-service.c |   29 +----
 .../documents/gdata-documents-spreadsheet.c        |   17 ---
 gdata/services/documents/gdata-documents-text.c    |   17 ---
 gdata/tests/documents.c                            |    2 +-
 10 files changed, 101 insertions(+), 140 deletions(-)

commit d8904f6c5b0e830df10157906ebfe7c612a18468
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Oct 9 22:02:54 2011 +0100

    build: Add a LIBGDATA_DISABLE_DEPRECATED build flag

    This only affects installed header files, to make it easier for
    clients to
    ensure they're not using deprecated libgdata API. (If, for some
    reason,
    G_GNUC_DEPRECATED_FOR doesn't cut it for them.)

    It doesn't affect the compilation of libgdata.

 HACKING                    |   21 +++++++++++++++++++++
 Makefile.am                |    1 +
 README                     |    6 ++++++
 docs/reference/Makefile.am |    2 +-
 gdata/tests/Makefile.am    |    1 +
 5 files changed, 30 insertions(+), 1 deletions(-)

commit c8ddd2eb7860aca9dc9764f99854bec79de8da1c
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Oct 9 22:01:03 2011 +0100

    demos: Port scrapbook demo to GtkGrid from GtkTable

    This fixes compilation against GTK+ with deprecations disabled. This
    also
    requires enforcing a minimum version of GTK+ of 2.91.2, which should
    be fine.

 configure.ac                |    3 ++-
 demos/scrapbook/scrapbook.c |   28 ++++++++++++++++------------
 demos/scrapbook/scrapbook.h |    2 +-
 3 files changed, 19 insertions(+), 14 deletions(-)

commit d94fd8402a0e9dbadb2b161e3ff90530ed5cc5b3
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sun Oct 2 11:59:57 2011 +1100

    Added Vietnamese translation

 po/LINGUAS |    1 +
 po/vi.po   |  476
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 477 insertions(+), 0 deletions(-)

commit e1ab283e0a347bea06398953f9ad6eeba4e891c5
Author: Holger Berndt <hb@gnome.org>
Date:   Sun Sep 25 02:24:03 2011 +0200

    Add version check preprocessor macros

    https://bugzilla.gnome.org/show_bug.cgi?id=660038

 Makefile.am                       |    6 ++-
 configure.ac                      |    1 +
 docs/reference/gdata-docs.xml     |    1 +
 docs/reference/gdata-sections.txt |    9 ++++
 gdata/gdata-version.h.in          |   80
 +++++++++++++++++++++++++++++++++++++
 gdata/gdata.h                     |    1 +
 6 files changed, 96 insertions(+), 2 deletions(-)

commit ae0a5b82645767367616ce21999bafe7722f4530
Author: YunQiang Su <yqsu@src.gnome.org>
Date:   Wed Sep 28 00:47:03 2011 +0800

    update zh_CN translation

 po/zh_CN.po |  358
 ++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 196 insertions(+), 162 deletions(-)

commit cc5dff24c3bc15822a337438760fbd17c39407cb
Author: Tommi Vainikainen <thv@iki.fi>
Date:   Fri Sep 23 10:44:06 2011 +0300

    Updated Finnish translation

 po/fi.po |   20 +++++++++++++++++---
 1 files changed, 17 insertions(+), 3 deletions(-)

commit 4725e9de3c95ae4043f49d437c5ea94c9698ef56
Author: Manoj Kumar Giri <mgiri@dhcp193-76.pnq.redhat.com>
Date:   Fri Sep 23 11:03:30 2011 +0530

    Updated Oriya Translation

 po/or.po |  393
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 222 insertions(+), 171 deletions(-)

commit 785b8168baa37a2be3e2be89cc752be983e0e10a
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   Thu Sep 22 12:07:38 2011 +0200

    Update Assamese translation

 po/as.po |  408
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 222 insertions(+), 186 deletions(-)

commit 5481c5e0e02fbc9927c30d8226dfb4915515dd33
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Wed Sep 21 17:24:21 2011 +0200

    Updated Basque language

 po/eu.po |  380
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 209 insertions(+), 171 deletions(-)

commit be3c7cbcba4072ca537b7264a63c3eb56f003e60
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Wed Sep 21 02:34:43 2011 +0200

    Updated Hungarian translation

 po/hu.po |  371
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 205 insertions(+), 166 deletions(-)

commit 69f533b6feb74712d65365d2f63568f0f729e43e
Author: Aputsiaq Janussen <aj@isit.gl>
Date:   Sat Sep 17 18:16:40 2011 +0200

    Updated Danish translation

 po/da.po |  361
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 197 insertions(+), 164 deletions(-)

commit d5c3473e3879f67e89ee00de4f08ebf58b74426d
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:   Sat Sep 17 11:36:20 2011 +0900

    Updated Japanese translation

 po/ja.po |  449
 +++++++++++++++++++++++++++++++++++++++----------------------
 1 files changed, 287 insertions(+), 162 deletions(-)

commit 558e39c4d1f6631a9db7095112378f7debc462af
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sat Sep 17 00:06:09 2011 +0200

    Updated Serbian translation

 po/sr.po       |  115
 ++++++++++++++++++++++++++++++++-----------------------
 po/sr@latin.po |  115
 ++++++++++++++++++++++++++++++++-----------------------
 2 files changed, 134 insertions(+), 96 deletions(-)

commit ad9d5a6fdf3444a0a2983da0cf8e3da5441d0b00
Author: Claudio Arseni <claudio.arseni@ubuntu.com>
Date:   Thu Sep 15 01:02:15 2011 +0200

    l10n: Updated Italian translation

 po/it.po |  378
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 206 insertions(+), 172 deletions(-)

commit b21572fce758f2d8d876bb22d9241f80c72af2c8
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Sep 14 23:12:20 2011 +0100

    youtube: Fix a potential unref of a NULL pointer

 gdata/services/youtube/gdata-youtube-service.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 644f49c4be1bbb6b7c9566260fc7d4fdaefc27d1
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Sep 14 23:12:01 2011 +0100

    core: Fix a potential unref of a NULL pointer

 gdata/gdata-service.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 009a587aaadfda39c48e35c3615fb2c756472250
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Sep 14 19:19:38 2011 +0100

    Bug 659016 — @rel not mandatory in website references

    Allow gContact:website elements to include a label attribute but
    no rel
    attribute. Includes new test cases.

    I've filed
    http://code.google.com/a/google.com/p/apps-api-issues/issues/detail?id=2769
    about the lack of clarity in Google's protocol specification
    regarding this.

    Closes: bgo#659016

 gdata/gcontact/gdata-gcontact-website.c |   46
 +++++++++++++++++++++++-------
 gdata/tests/general.c                   |   32 +++++++++++++++++++++-
 2 files changed, 66 insertions(+), 12 deletions(-)

commit 9d6d6f4fc1f5bb22ea096142a86164052bfb7c34
Author: I Felix <ifelix25@gmail.com>
Date:   Tue Sep 13 15:30:35 2011 +0530

    Updated Tamil Translations

 po/ta.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0eb3d613a2fcf7999aedf9b5395d89b20f9bde3d
Author: I Felix <ifelix25@gmail.com>
Date:   Tue Sep 13 15:28:52 2011 +0530

    Updated Tamil Translations

 po/ta.po |  485
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 485 insertions(+), 0 deletions(-)

commit ca607576d05d26c8aef8e220cc07b82511a2847d
Author: I Felix <ifelix25@gmail.com>
Date:   Tue Sep 13 15:28:49 2011 +0530

    Updated linguas with ta

 po/LINGUAS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 99b9b9fe7166907eff88e69f525756b139743108
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Tue Sep 13 08:34:47 2011 +0900

    Updated Korean translation

 po/ko.po |  355
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 202 insertions(+), 153 deletions(-)

commit b4dbe53836c8d6024438035c17d6925d12a68f20
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sun Sep 11 20:02:23 2011 +0300

    Updated Latvian translation.

 po/lv.po |  110
 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 64 insertions(+), 46 deletions(-)

commit 58042bd842c3458221e8cf530764c82d208ca943
Author: A S Alam <aalam@users.sf.net>
Date:   Sun Sep 11 16:43:35 2011 +0530

    Updated Punjabi Translation

 po/pa.po |  368
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 195 insertions(+), 173 deletions(-)

commit b30c75355c19e089b9352bac4291aa37de35df76
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Sep 8 20:50:08 2011 +0200

    Updated Polish translation

 po/pl.po |  352
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 193 insertions(+), 159 deletions(-)

commit 6e5605d613432871f754cdfa868b643715af28ee
Author: Flamarion Jorge <jorge.flamarion@gmail.com>
Date:   Sun Sep 4 12:32:49 2011 -0400

    Updated Brazilian Portuguese translation.

 po/pt_BR.po |  366
 ++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 199 insertions(+), 167 deletions(-)

commit c00264210d15ba310f87839ef152d6fbbbc9d07e
Author: António Lima <amrlima@gmail.com>
Date:   Sat Sep 3 23:46:54 2011 +0100

    Updated Portuguese translation

 po/pt.po |  356
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 194 insertions(+), 162 deletions(-)

commit b73e9396c8d79e2c2dc84e16905ade1dc9b581ba
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Mon Aug 29 19:22:12 2011 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |  347
 ++++++++++++++++++++++++++++++++---------------------------
 po/zh_TW.po |  347
 ++++++++++++++++++++++++++++++++---------------------------
 2 files changed, 378 insertions(+), 316 deletions(-)

commit d651e47d37d5c6f98359500f364817f7a9097354
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Wed Aug 24 14:06:14 2011 +0530

    Updated Kannada Translation

 po/kn.po |  358
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 198 insertions(+), 160 deletions(-)

commit aba0befd93005eddf2f82e9b3afa72026171a880
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Aug 20 19:08:40 2011 +0100

    build: Increment version to 0.11.0

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5abf775c62e081ef0b11f4872aaa2afa8c6efb7d
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Aug 20 19:06:57 2011 +0100

    Release version 0.10.0

 NEWS                                               |   42
 ++++++++++++++++++++
 configure.ac                                       |    6 +-
 docs/reference/gdata-docs.xml                      |    4 ++
 gdata/gd/gdata-gd-feed-link.c                      |   26 ++++++------
 gdata/gd/gdata-gd-feed-link.h                      |    4 +-
 gdata/gdata-comment.c                              |    2 +-
 gdata/gdata-comment.h                              |    4 +-
 gdata/gdata-commentable.c                          |   20 +++++-----
 gdata/gdata-commentable.h                          |    4 +-
 gdata/gdata-entry.c                                |    2 +-
 gdata/services/picasaweb/gdata-picasaweb-comment.c |    4 +-
 gdata/services/picasaweb/gdata-picasaweb-comment.h |    4 +-
 gdata/services/youtube/gdata-youtube-comment.c     |   10 ++--
 gdata/services/youtube/gdata-youtube-comment.h     |    4 +-
 gdata/services/youtube/gdata-youtube-video.c       |    2 +-
 gdata/services/youtube/gdata-youtube-video.h       |    6 +-
 gdata/tests/common.h                               |   10 ++--
 17 files changed, 100 insertions(+), 54 deletions(-)

commit 9a5f9cf1efb555aa1b8ff845de5f0e41dcdf7a8f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Aug 20 18:51:30 2011 +0100

    l10n: Update British English translation

 po/en_GB.po |  355
 ++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 193 insertions(+), 162 deletions(-)

commit c67b9e9dac971d4e9ec23901f15d5fff39d85ad6
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Aug 20 18:48:27 2011 +0100

    tests: Fix “unmatched quotes” warning from intltool-update

    Silly intltool.

 gdata/tests/common.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a62cc92cab588ed89aeb771929f7a227e8518d74
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Aug 19 00:16:38 2011 +0100

    Bug 633364 — Add cancellation tests

    Add a set of generic macros for writing async operation tests. The
    macros
    have inbuilt support for generating cancellation tests too, testing
    cancellation before the operation has started and at several time
    offsets
    afterwards.

    This ports the Calendar, Contacts, Documents, PicasaWeb and YouTube
    test
    suites to use the new macros, and thus gain lots of tests for
    cancellation.

    Closes: bgo#633364

 gdata/tests/calendar.c  |  310 +++++++----------
 gdata/tests/common.c    |   28 ++
 gdata/tests/common.h    |  204 +++++++++++
 gdata/tests/contacts.c  |  449 ++++++++++--------------
 gdata/tests/documents.c |  337 ++++++------------
 gdata/tests/picasaweb.c |  897
 ++++++++++++++--------------------------------
 gdata/tests/youtube.c   |  607 +++++++++++++--------------------
 7 files changed, 1147 insertions(+), 1685 deletions(-)

commit 9e5037f2dfdf75090cb97dd9cd06efa46d7036b2
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Aug 20 17:43:24 2011 +0100

    youtube: Ensure comment modification URIs are HTTPS

    Videos apparently now (incorrectly) return HTTP URIs for their comment
    query and modification URIs. We force them to be HTTPS so we
    don't leak
    auth. credentials.

 gdata/services/youtube/gdata-youtube-video.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 68b5af5eabc0d3f81c9e7e69ce37bfba8c375c95
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Aug 20 17:42:35 2011 +0100

    contacts: Always set an ETag in gdata_contacts_contact_set_photo()

    If we don't have an ETag to hand, send ‘*’ as the ETag. The
    server requires
    that we send some kind of If-Match header.

 gdata/services/contacts/gdata-contacts-contact.c |   10 +++++++++-
 1 files changed, 9 insertions(+), 1 deletions(-)

commit 68b13c9ca480da464780f308e60cb5f4cfd8a60e
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Aug 20 17:41:29 2011 +0100

    contacts: Set out parameters in error conditions

    The out parameters of gdata_contacts_contact_get_photo_finish() were
    previously being left uninitialised if an error was returned,
    which isn't
    very friendly. They now return well-defined values, and the
    documentation's
    been updated appropriately.

 gdata/services/contacts/gdata-contacts-contact.c |   13 +++++++++++--
 1 files changed, 11 insertions(+), 2 deletions(-)

commit fde18bd82a883d5955c19b12b40770c62ed40e89
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Aug 20 17:40:06 2011 +0100

    core: Ensure HTTPS URIs are used when deleting entries

    Apparently YouTube videos have started returning HTTP URIs for
    their edit
    links (which I'd consider as a bug on the server side), but we have
    to work
    around this and use HTTPS in order to avoid leaking auth. credentials.

 gdata/gdata-service.c |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 0345885c14f2d5c1f80b6460be302adeb3e14103
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Aug 20 17:39:06 2011 +0100

    core: Catch SOUP_STATUS_IO_ERROR and treat it as cancellation

    When we cancel a request, it's (somehow) possible for libsoup
    to return
    SOUP_STATUS_IO_ERROR instead of the (desired)
    SOUP_STATUS_CANCELLED. We now
    catch SOUP_STATUS_IO_ERROR and, if the user requested cancellation,
    treat it
    like a normal cancellation status.

 gdata/gdata-service.c |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit db6ee229558fcd749fc2e6ea2b2fb26bfa46d082
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Aug 20 17:38:20 2011 +0100

    core: Fix a NULL pointer ref. inc. in GDataService

 gdata/gdata-service.c |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

commit 9e3042ef261a2972b2f882f9a71e5cf5a696f4fc
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Aug 20 17:37:26 2011 +0100

    core: Only propagate the first auth. error in the ClientLogin
    authorizer

 gdata/gdata-client-login-authorizer.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 23e7043ef1c8f6fc2d803ecf2ea0ac5b7d4706f2
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Aug 18 22:47:21 2011 +0100

    gd: Don't output empty department elements for gd:organization

    See: bgo#651451

 gdata/gd/gdata-gd-organization.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2a0f3e3b4b1157c732f8c247be9003e56e47a700
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:   Fri Aug 19 19:58:38 2011 +0200

    Added UG translation

 po/ug.po |  980
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 507 insertions(+), 473 deletions(-)

commit d30a70b323a79754c2c07925b79ab971e3fd4989
Author: Fran Dieguez <fran@openhost.es>
Date:   Tue Aug 16 19:05:59 2011 +0200

    Updated Galician translations

 po/gl.po |   44 +++++++++++++++++++++++++++++---------------
 1 files changed, 29 insertions(+), 15 deletions(-)

commit 611a34616426f89ccb4f9d5404fdee4887ff35d4
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Aug 15 22:16:21 2011 +0100

    demos: Fix a potentially uninitialised variable in the scrapbook

 demos/scrapbook/scrapbook.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 60330e8a42e80c4dd647c55a4b99c44d67cedfc0
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Aug 15 22:15:57 2011 +0100

    core: Add missing symbols to symbols file

    Closes: bgo#656529

 gdata/gdata.symbols |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit d61e0e93472a98fb3998016bc281ebefe69dded8
Author: Andika Triwidada <andika@gmail.com>
Date:   Fri Aug 12 15:55:58 2011 +0700

    Updated Indonesian translation

 po/id.po |  351
 +++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 190 insertions(+), 161 deletions(-)

commit 57b5a19a44b76011a49f219b3eff9fcec6ad84af
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Fri Aug 12 10:35:00 2011 +0200

    Updated Esperanto translation

 po/eo.po |  414
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 225 insertions(+), 189 deletions(-)

commit d901816b2e888b03a5bfe656610740aa7a50a36f
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Thu Aug 11 07:25:25 2011 +0300

    Updated Bulgarian translation

 po/bg.po |  156
 +++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 89 insertions(+), 67 deletions(-)

commit 592147a0d49cf7cd0cfaeb5810ee866e5f8b1d6d
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:   Wed Aug 10 16:32:23 2011 +0700

    Updated Thai translation.

 po/th.po |  344
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 189 insertions(+), 155 deletions(-)

commit a3ae21fded378881b5efe74140bc1a1e84e02cda
Author: Yuri Kozlov <yuray@komyakino.ru>
Date:   Mon Aug 1 00:09:08 2011 +0400

    Updated Russian translation

 po/ru.po |  122
 ++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 72 insertions(+), 50 deletions(-)

commit 6ddc77720eda2035eddc47d03cdf3aa4971ef3e0
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 30 20:50:17 2011 +0100

    demos: Remove some incorrect unrefs

    This doesn't fix the problem of the memory management for widgets
    being a
    little broken in the scrapbook, but at least it stops the warnings.

 demos/scrapbook/scrapbook.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 2f95f26a8bceec9166ba0c8e7e933fda467d4912
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 30 20:44:30 2011 +0100

    demos: Fix PicasaWeb searches in the scrapbook

 demos/scrapbook/scrapbook.c |    7 ++-----
 1 files changed, 2 insertions(+), 5 deletions(-)

commit e0049fce8be066bc1fc78e801791aebf6b025d1d
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 30 20:35:43 2011 +0100

    demos: Add licence headers and a documentation comment

 demos/scrapbook/scrapbook.c |   32 ++++++++++++++++++++++++++++++++
 demos/scrapbook/scrapbook.h |   19 +++++++++++++++++++
 2 files changed, 51 insertions(+), 0 deletions(-)

commit 620c9f25e26b9036e4ea27e158828c4ed8a80768
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 30 20:33:01 2011 +0100

    demos: Fix error handling for photo uploads in the scrapbook

 demos/scrapbook/scrapbook.c |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

commit 48bec40a81aa02d4ed261d07e0a472de127706ee
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 30 20:23:45 2011 +0100

    demos: Use local variables wherever possible

    Move some variables out of malloc()ed structures which needn't
    have been
    there.

 demos/scrapbook/scrapbook.c |  192
 ++++++++++++++++++++++++-------------------
 demos/scrapbook/scrapbook.h |   23 +----
 2 files changed, 113 insertions(+), 102 deletions(-)

commit f37ee6a0e6b282a39c4a27a302a8f3d88264e844
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 30 19:45:12 2011 +0100

    demos: Port the scrapbook to GDataAuthorizer

 demos/scrapbook/scrapbook.c |   63
 ++++++++++++++++++++----------------------
 1 files changed, 30 insertions(+), 33 deletions(-)

commit 7b57196184eb1cdc3670d6d1d463f66c212615a1
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 30 19:38:28 2011 +0100

    demos: Port the scrapbook to the GTK+ 3 GtkBox API

 demos/scrapbook/scrapbook.c |   18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

commit b58bdaebee63b4b9878fb27c7a4955da525ac3c7
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jan 16 17:56:45 2011 +0000

    demos: Fix type of a struct

 demos/scrapbook/scrapbook.h |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 9d23c88ba819f3fdaae57e45d08e02600a31dfda
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jan 16 17:53:37 2011 +0000

    demos: Remove trailing whitespace from lines

 demos/scrapbook/scrapbook.c |  108
 +++++++++++++++++++++---------------------
 1 files changed, 54 insertions(+), 54 deletions(-)

commit 517e093df245e0fe83750dde9611705c4579fda2
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jan 16 17:50:20 2011 +0000

    demos: Add a client ID to requests

 demos/scrapbook/scrapbook.c |    4 ++--
 demos/scrapbook/scrapbook.h |    1 +
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 570e7e56d631d1acf9925d88222c2d7cccd31118
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jan 16 17:38:21 2011 +0000

    demos: Fix assignments from invalid pointers

 demos/scrapbook/scrapbook.c |   13 ++++++++-----
 demos/scrapbook/scrapbook.h |    8 ++++----
 2 files changed, 12 insertions(+), 9 deletions(-)

commit b0e383168ce8dad8d2be535a6f5e162703f195ab
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jan 16 17:34:00 2011 +0000

    demos: Remove extraneous title property

 demos/scrapbook/scrapbook.c |   16 +---------------
 demos/scrapbook/scrapbook.h |    3 +--
 2 files changed, 2 insertions(+), 17 deletions(-)

commit fc15d815fdd463833f548ab02de2c755659526b7
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jan 16 17:28:46 2011 +0000

    demos: Fix window sizes

 demos/scrapbook/scrapbook.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 108196a9e616fc5fb14f9d540d8840d69232b13c
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jan 16 17:19:41 2011 +0000

    demos: Tidy up some of the UI strings

 demos/scrapbook/scrapbook.c |   25 ++++++++++++-------------
 1 files changed, 12 insertions(+), 13 deletions(-)

commit 8e4acea7174bf2da721572a6566f9b03f3a46eb8
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jan 16 17:13:46 2011 +0000

    demos: Move services into the main application data struct

 demos/scrapbook/scrapbook.c |   23 ++++++++++++-----------
 demos/scrapbook/scrapbook.h |    5 +++--
 2 files changed, 15 insertions(+), 13 deletions(-)

commit 319bf0680be7855aabe1e0e66cfc5b64cb943186
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jan 16 17:01:11 2011 +0000

    demos: Ensure results of queries are freed correctly

 demos/scrapbook/scrapbook.c |   37 ++++++++++++++++++++++++++-----------
 1 files changed, 26 insertions(+), 11 deletions(-)

commit 6cbd799733b10ad7b09f14d210c73e120e5bb244
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jan 16 16:57:38 2011 +0000

    demos: Port to the 0.8 version of the PicasaWeb upload API

 demos/scrapbook/scrapbook.c |   29 ++++++++++++++++++++++++++---
 1 files changed, 26 insertions(+), 3 deletions(-)

commit b306201216050e468aab40a73ccb760a28d9ba5a
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jan 16 16:49:22 2011 +0000

    demos: Port the scrapbook to the GTK+ 3 dialogue API

 demos/scrapbook/scrapbook.c |   15 +++++++--------
 1 files changed, 7 insertions(+), 8 deletions(-)

commit 1e2b47cd5dd536888ecc415eab34537c971b0e92
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jan 16 16:46:45 2011 +0000

    demos: Port the scrapbook from GtkFileSelector to GtkFileChooser

 demos/scrapbook/scrapbook.c |   26 +++++++++++++-------------
 1 files changed, 13 insertions(+), 13 deletions(-)

commit 7e78ef6c37a46f7000d7d5c8cc1726e8fc0a3be8
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jan 16 16:31:12 2011 +0000

    demos: Rename the scrapbook files to be more consistent

 Makefile.am                 |    4 +-
 demos/scrapbook/scrap.c     |  639
 -------------------------------------------
 demos/scrapbook/scrapbook.c |  639
 +++++++++++++++++++++++++++++++++++++++++++
 demos/scrapbook/scrapbook.h |  182 ++++++++++++
 demos/scrapbook/scrapdata.h |  182 ------------
 5 files changed, 823 insertions(+), 823 deletions(-)

commit a1606384f5f9db5b5a324539739818b6d0984b81
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jan 16 16:29:44 2011 +0000

    docs: Add the “demos” commit message tag

 HACKING |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit f330d66a19e41f5af5ddd568e103fe9770271f51
Author: Joe C <escozzia@gmail.com>
Date:   Sun Jan 16 16:27:55 2011 +0000

    demos: Add a “scrapbook” demo of PicasaWeb and YouTube services

    Helps: bgo#628069

 Makefile.am                 |   34 +++
 configure.ac                |    3 +
 demos/scrapbook/scrap.c     |  639
 +++++++++++++++++++++++++++++++++++++++++++
 demos/scrapbook/scrapdata.h |  182 ++++++++++++
 4 files changed, 858 insertions(+), 0 deletions(-)

commit 96d88904bc10e066ebcee75e5eac4cf18e23ad55
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Jul 29 23:39:34 2011 +0100

    Bug 647882 — Support rating schemes

    Add support for media rating schemes (such as the MPAA's certificates)
    to
    GDataYouTubeVideo (and GDataMediaGroup). This includes tests, and
    adds the
    following new API:
     • gdata_youtube_video_get_media_rating()
     • GDATA_YOUTUBE_RATING_TYPE_SIMPLE
     • GDATA_YOUTUBE_RATING_TYPE_MPAA
     • GDATA_YOUTUBE_RATING_TYPE_V_CHIP

    Closes: bgo#647882

 docs/reference/gdata-sections.txt            |    4 +
 gdata/gdata.symbols                          |    4 +
 gdata/media/gdata-media-group.c              |  106
 +++++++++++++++++++++----
 gdata/media/gdata-media-group.h              |    1 +
 gdata/services/youtube/gdata-youtube-video.c |   27 ++++++
 gdata/services/youtube/gdata-youtube-video.h |   34 ++++++++
 gdata/tests/youtube.c                        |  111
 ++++++++++++++++++++++++++
 7 files changed, 271 insertions(+), 16 deletions(-)

commit bba5887ad817439b01ffa80482405effd7be5bbf
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Jul 29 22:21:34 2011 +0100

    docs: Fix a typo in README

 README |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 537dd49c9ec282c01011e49a11e2fad2b53aa2f9
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Jul 18 13:20:18 2011 +0200

    Updated Norwegian bokmål translation

 po/nb.po |  366
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 203 insertions(+), 163 deletions(-)

commit 49e31ec2e7ab9b9d6c019301f4b7321fcf90b686
Author: Claude Paroz <claude@2xlibre.net>
Date:   Sat Jul 16 17:47:18 2011 +0200

    Updated French translation

 po/fr.po |  353
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 193 insertions(+), 160 deletions(-)

commit 77d8200d4e5d40ac7d1de8b3f170adcae5695609
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sat Jul 16 16:47:13 2011 +0300

    Updated Lithuanian translation.

 po/lt.po |  122
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 67 insertions(+), 55 deletions(-)

commit a6f62bd64ad1845d2baf57e11b7e292564399558
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Sat Jul 16 13:20:37 2011 +0200

    [l10n]Updated Catalan (Valencian) translation

 po/ca@valencia.po |   49
 ++++++++++++++++++++++++++++++++-----------------
 1 files changed, 32 insertions(+), 17 deletions(-)

commit eeb83c9719f6e96e53848a15da4dafbf64a2b8d7
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sat Jul 16 13:20:18 2011 +0200

    [l10n]Updated Catalan translation

 po/ca.po |   49 ++++++++++++++++++++++++++++++++-----------------
 1 files changed, 32 insertions(+), 17 deletions(-)

commit 6c46688c657f47f8b898b337888b4b67e333c12a
Author: Daniel Nylander <po@danielnylander.se>
Date:   Fri Jul 15 13:05:06 2011 +0200

    Updated Swedish translation

 po/sv.po |   49 +++++++++++++++++++++++++++++++++----------------
 1 files changed, 33 insertions(+), 16 deletions(-)

commit f1d9d0db2a51e023d4dec2554754b487bb4ba66e
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Fri Jul 15 11:10:27 2011 +0300

    Updated Hebrew translation.

 po/he.po |   43 ++++++++++++++++++++++++++++++-------------
 1 files changed, 30 insertions(+), 13 deletions(-)

commit 8e2c0232fa1e23695952c7bd207f81a8a351ce06
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Jul 14 14:38:13 2011 +0200

    Updated Slovenian translation

 po/sl.po |  115
 +++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 66 insertions(+), 49 deletions(-)

commit bef70629d8e91d79866b907e5f1f02a71fea979f
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Wed Jul 13 20:04:50 2011 +0200

    [l10n] Updated German translation

 po/de.po |  126
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 63 insertions(+), 63 deletions(-)

commit 999365892e13949190a6a2a48f5e31aa4310b5ed
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Wed Jul 13 00:24:03 2011 +0300

    Updated Latvian translation.

 po/lv.po |  338
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 178 insertions(+), 160 deletions(-)

commit 4c0768936d97345dd2b40d57964706aaa2eb7488
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Jul 10 19:06:45 2011 +0200

    Updated Czech translation

 po/cs.po |  115
 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 67 insertions(+), 48 deletions(-)

commit 8e7e826718a23b68acd423c15d29793ff354dc15
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Jul 10 15:40:39 2011 +0200

    Updated Spanish translation

 po/es.po |  123
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 69 insertions(+), 54 deletions(-)

commit fb8d70c586466e9600766fdc2d49388203d5ab24
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Jul 10 13:51:36 2011 +0200

    Updated POTFILES.in

 po/POTFILES.in |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 633224349c8de8869381f2f86820513971d5b671
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 9 15:13:07 2011 +0100

    documents: Remove extraneous debug output

    Whoops.

 gdata/services/documents/gdata-documents-entry.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8d97202d21f026046f8c316dccd7857f11eb0e90
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 9 15:12:24 2011 +0100

    picasaweb: Implement GDataCommentable on GDataPicasaWebFile

    This adds support for comments to GDataPicasaWebFile, including
    a GDataComment
    subclass, GDataPicasaWebComment, and test cases.

    This adds the following API:
     • GDataPicasaWebComment

    Helps: bgo#598752

 Makefile.am                                        |    4 +-
 docs/reference/gdata-docs.xml                      |    1 +
 docs/reference/gdata-sections.txt                  |   18 +
 gdata/gdata.h                                      |    1 +
 gdata/gdata.symbols                                |    2 +
 gdata/services/picasaweb/gdata-picasaweb-comment.c |  114 +++++
 gdata/services/picasaweb/gdata-picasaweb-comment.h |   69 +++
 gdata/services/picasaweb/gdata-picasaweb-file.c    |   78 +++-
 gdata/tests/picasaweb.c                            |  495
 ++++++++++++++++++++
 9 files changed, 779 insertions(+), 3 deletions(-)

commit bbb3d20ee62a740ef98a4117003c0364e7b06b26
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 9 15:10:31 2011 +0100

    youtube: Implement GDataCommentable on GDataYouTubeVideo

    This adds support for comments to GDataYouTubeVideo, including
    a GDataComment
    subclass, GDataYouTubeComment, and test cases.

    This adds the following API:
     • GDataYouTubeComment

    Helps: bgo#598752

 Makefile.am                                    |    6 +-
 docs/reference/gdata-docs.xml                  |    1 +
 docs/reference/gdata-sections.txt              |   20 +
 gdata/gdata.h                                  |    1 +
 gdata/gdata.symbols                            |    4 +
 gdata/services/youtube/gdata-youtube-comment.c |  207 +++++++++++
 gdata/services/youtube/gdata-youtube-comment.h |   72 ++++
 gdata/services/youtube/gdata-youtube-video.c   |   88 +++++-
 gdata/tests/youtube.c                          |  445
 ++++++++++++++++++++++++
 9 files changed, 841 insertions(+), 3 deletions(-)

commit 4554cc0490460d2c9f62bced9287bdb721447f76
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 9 14:51:51 2011 +0100

    core: Add gdata_entry_remove_link() to allow removing links from
    entries

    This adds the following API:
     • gdata_entry_remove_link()

 docs/reference/gdata-sections.txt |    1 +
 gdata/gdata-entry.c               |   32 ++++++++++++++++++++++++++++
 gdata/gdata-entry.h               |    1 +
 gdata/gdata.symbols               |    1 +
 gdata/tests/general.c             |   41
 +++++++++++++++++++++++++++++++++++++
 5 files changed, 76 insertions(+), 0 deletions(-)

commit 1e2b9a2805c40abc40ede2aed44c2fdcd38a7d9a
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 9 13:05:43 2011 +0100

    core: Fix uninitialised memory in GDataService query data structure

    This can cause problems when cancelling queries, sometimes.

 gdata/gdata-service.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit e6fe52a83786e87559ff4878bef0fc9ca451baa0
Author: Richard Schwarting <aquarichy@gmail.com>
Date:   Sat Jul 9 15:07:14 2011 +0100

    Bug 598752 — Support comments

    This adds GDataCommentable, an interface to be implemented by
    GDataEntry
    subclasses which support comments being added to them; and
    GDataComment,
    an abstract base class for all types of comments to inherit from.

    This adds the following API:
     • GDataCommentable
     • GDataComment

    Closes: bgo#598752

 Makefile.am                       |    4 +
 docs/reference/gdata-docs.xml     |    6 +
 docs/reference/gdata-sections.txt |   40 +++
 gdata/gdata-comment.c             |   54 ++++
 gdata/gdata-comment.h             |   67 ++++
 gdata/gdata-commentable.c         |  636
 +++++++++++++++++++++++++++++++++++++
 gdata/gdata-commentable.h         |  101 ++++++
 gdata/gdata.h                     |    2 +
 gdata/gdata.symbols               |   11 +
 9 files changed, 921 insertions(+), 0 deletions(-)

commit f19560899fe901549f7968124283ce1c008c1e07
Author: Richard Schwarting <aquarichy@gmail.com>
Date:   Wed Jul 6 00:19:40 2011 +0100

    Bug 618587 — Implement GDataGDFeedLink

    Add a GDataGDFeedLink class to implement support for gd:feedLink
    elements
    as used in support for comment feeds. (See bgo#598752.)

    Closes: bgo#618587

 Makefile.am                   |    2 +
 docs/reference/Makefile.am    |    3 +-
 gdata/gd/gdata-gd-feed-link.c |  447
 +++++++++++++++++++++++++++++++++++++++++
 gdata/gd/gdata-gd-feed-link.h |   79 +++++++
 4 files changed, 530 insertions(+), 1 deletions(-)

commit a3f06e4695fa3ef0fa0695381c6e330696a073da
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Jul 4 22:00:08 2011 +0100

    build: Increment version to 0.9.2

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9dc4508bcf8754e9f0c7d35c76ac56b85f6ae2c1
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Jul 4 21:58:55 2011 +0100

    Release version 0.9.1

 NEWS         |   55
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |    2 +-
 2 files changed, 56 insertions(+), 1 deletions(-)

commit 757e8ec978bdd19001b510ef1f5a0ca4d33853f9
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Jul 4 21:55:29 2011 +0100

    docs: Add new symbol list for 0.9.1

 docs/reference/gdata-docs.xml |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 7005e8e8b9eb5513ab0667613eec9edb3791f5dc
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Jul 4 21:25:18 2011 +0100

    picasaweb: Minor documentation updates to GDataPicasaWebUser

 gdata/services/picasaweb/gdata-picasaweb-user.c |   30
 +++++++++++++---------
 1 files changed, 18 insertions(+), 12 deletions(-)

commit 227da3c082b12a9bab5a55a88b9d818e4f7b14fe
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Jul 4 21:24:22 2011 +0100

    Bug 653224 — Add gdata_picasaweb_service_get_user_async()

    Add an async. variant of gdata_picasaweb_service_get_user(). This
    adds the
    following API:
     • gdata_picasaweb_service_get_user_async()
     • gdata_picasaweb_service_get_user_finish()

    Closes: bgo#653224

 docs/reference/gdata-sections.txt                  |    2 +
 gdata/gdata.symbols                                |    2 +
 gdata/services/picasaweb/gdata-picasaweb-service.c |   89 +++++++++++++
 gdata/services/picasaweb/gdata-picasaweb-service.h |    4 +
 gdata/tests/picasaweb.c                            |  136
 +++++++++++++++++++-
 5 files changed, 227 insertions(+), 6 deletions(-)

commit 9341f62a51ac05bcc218bee8f4d2de1159510d40
Author: Fran Dieguez <fran@openhost.es>
Date:   Mon Jul 4 10:22:04 2011 +0200

    Updated Galician translations

 po/gl.po |  131
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 68 insertions(+), 63 deletions(-)

commit c3c58a3e88166544ea67315cbd5a606cc06f8628
Author: Tommi Vainikainen <thv@iki.fi>
Date:   Mon Jul 4 11:11:38 2011 +0300

    Updated Finnish translation

 po/fi.po |   12 ++++++++----
 1 files changed, 8 insertions(+), 4 deletions(-)

commit 0b000891a602776f50b4ae182ad153abc2c14406
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jul 3 13:07:04 2011 +0100

    documents: Tidy up whitespace in the test suite

 gdata/tests/documents.c |   10 ++--------
 1 files changed, 2 insertions(+), 8 deletions(-)

commit 7df378d7e2b0d2d41c77092cc8f01da0acd43e4a
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jul 3 13:04:03 2011 +0100

    documents: Tidy up test names in the test suite

 gdata/tests/documents.c |   91
 ++++++++++++++++++++++++-----------------------
 1 files changed, 46 insertions(+), 45 deletions(-)

commit f605431b9f04e51b268b5b2d68e36c289f589f08
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jul 3 12:49:11 2011 +0100

    documents: Work around an ETag bug on the servers for the folder tests

 gdata/tests/documents.c |   16 +++++++++++++---
 1 files changed, 13 insertions(+), 3 deletions(-)

commit 8b66dab3d3be2bed53ffa47430122fbc40b251a1
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jul 3 12:40:32 2011 +0100

    documents: Fix the IDs used to refer to all documents

    As explained in a comment in the commit, it turns out that the
    server returns
    one of two different formats of ID for a document depending on how
    it was
    created. One of these is useful, the other one is not so useful,
    especially
    when it comes to deleting the document.

 gdata/gdata-entry.c                              |   12 +++++-
 gdata/services/documents/gdata-documents-entry.c |   51
 +++++++++++++++++++++-
 2 files changed, 61 insertions(+), 2 deletions(-)

commit b641c41d9aa1bea9fe6bb6811a1be3dd19af460e
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jul 3 12:39:13 2011 +0100

    documents: Make the access rule tests individually idempotent

    Helps: bgo#633359

 gdata/tests/documents.c |   31 +++++++------------------------
 1 files changed, 7 insertions(+), 24 deletions(-)

commit 82354155e9a96f6e234d8ff56e03d95209cbb870
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jul 3 11:26:23 2011 +0100

    documents: Make the document update tests individually idempotent

    Helps: bgo#633359

 gdata/tests/documents.c |  246
 +++++++++++++++++++----------------------------
 1 files changed, 101 insertions(+), 145 deletions(-)

commit 07d93c561c68c24544f8955ab28299287c6763e5
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jul 3 11:05:44 2011 +0100

    documents: Make the document download tests individually idempotent

    Helps: bgo#633359

 gdata/tests/documents.c |  124
 ++++++++++++++++++++++++-----------------------
 1 files changed, 64 insertions(+), 60 deletions(-)

commit bcce6351218460faff0fde865e4f2e3cb713fe33
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jul 3 10:53:46 2011 +0100

    documents: Make the document query tests individually idempotent

    Helps: bgo#633359

 gdata/tests/documents.c |  128
 ++++++++++++++++++++++++++++++++++++++--------
 1 files changed, 105 insertions(+), 23 deletions(-)

commit 1df7e3aaf322e41e565adee300ccabbad247adf7
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jul 3 09:48:00 2011 +0100

    documents: Make the deletion tests individually idempotent

    Helps: bgo#633359

 gdata/tests/documents.c |  223
 ++++++++++++++++++++++++++++------------------
 1 files changed, 136 insertions(+), 87 deletions(-)

commit 90719b6d0492f41d90a00aa815aefec6b340257c
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jul 3 09:21:28 2011 +0100

    documents: Make the document upload tests individually idempotent

    Helps: bgo#633359

 gdata/tests/documents.c |  161
 +++++++++++++++++++++++++++++++----------------
 1 files changed, 106 insertions(+), 55 deletions(-)

commit 239d6f785013500ef5bb7d58c4a4063857a9c444
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jul 3 08:48:27 2011 +0100

    calendar: Remove some dead code from the tests

 gdata/tests/calendar.c |   28 ----------------------------
 1 files changed, 0 insertions(+), 28 deletions(-)

commit 11acc9979f50d577d501ddc7328739801964a83a
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 2 19:26:24 2011 +0100

    calendar: Expand the documentation for GDataCalendarCalendar:color
    slightly

    It turns out that only a limited palette of colours is allowed.

 gdata/services/calendar/gdata-calendar-calendar.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 7fde7a83bab6b7fc852d5f4696f5f64bc1b3276f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 2 19:20:48 2011 +0100

    calendar: Tidy up whitespace in the test suite

 gdata/tests/calendar.c |  153
 ++++++++++++++++++++++++++----------------------
 1 files changed, 82 insertions(+), 71 deletions(-)

commit 3d861e9d6aa2de5ce65fa117674ca23670a357e8
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 2 19:15:15 2011 +0100

    calendar: Tidy up test names in the test suite

 gdata/tests/calendar.c |   42 +++++++++++++++++++++---------------------
 1 files changed, 21 insertions(+), 21 deletions(-)

commit 78d4dbde2c22c4bdfc2f6a5f0b624b0a0c775402
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 2 19:12:21 2011 +0100

    calendar: Make the access rule tests individually idempotent

    Helps: bgo#633359

 gdata/tests/calendar.c |  158
 +++++++++++++++++++++++-------------------------
 1 files changed, 76 insertions(+), 82 deletions(-)

commit fbfcd0adacaed515dff69c0904806ba0ed88b7f8
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 2 18:53:18 2011 +0100

    calendar: Split access rule XML tests out from the insertion test

    Helps: bgo#633359

 gdata/tests/calendar.c |   60
 ++++++++++++++++++++++++++++++++++-------------
 1 files changed, 43 insertions(+), 17 deletions(-)

commit 137eb1f71e37c75234bdd01e8d430a718f088d98
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 2 18:43:24 2011 +0100

    calendar: Make the event insertion tests individually idempotent

    Helps: bgo#633359

 gdata/tests/calendar.c |   72
 +++++++++++++++++++++++++++++++++++++----------
 1 files changed, 56 insertions(+), 16 deletions(-)

commit 07cfc7ef7e620bdfa50d1a0f6912d3fb43807c45
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 2 18:37:25 2011 +0100

    calendar: Split event XML tests out from the insertion test

    Helps: bgo#633359

 gdata/tests/calendar.c |   75
 +++++++++++++++++++++++++++++++++--------------
 1 files changed, 52 insertions(+), 23 deletions(-)

commit 8b90570cb61875d2614f12a2d1bb7f3427b7e739
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 2 18:31:42 2011 +0100

    calendar: Make the event query tests individually idempotent

    Helps: bgo#633359

 gdata/tests/calendar.c |  155
 ++++++++++++++++++++++++++++++++++++++----------
 1 files changed, 123 insertions(+), 32 deletions(-)

commit a9001d5f2478611aedd3c6766789872cffc15f9a
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 2 17:31:24 2011 +0100

    calendar: Make the calendar query tests individually idempotent

    Helps: bgo#633359

 gdata/tests/calendar.c |  142
 ++++++++++++++++++++++++++++++++++++++----------
 1 files changed, 112 insertions(+), 30 deletions(-)

commit e1c7c4204df6bdb11252a2c380184b211e7f671d
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 2 17:30:45 2011 +0100

    calendar: Disable ETag support in GDataCalendarCalendar

    The servers don't support it, which makes doing operations like
    deletion on
    a calendar impossible.

 gdata/services/calendar/gdata-calendar-calendar.c |   13 ++++++++++++-
 1 files changed, 12 insertions(+), 1 deletions(-)

commit e569ea84dafd1095a3ef9c998b56ab9a88271a09
Merge: b8fd328 404a2bd
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 2 11:20:38 2011 +0100

    Merge branch '633359-idempotent-tests'

commit 404a2bdb164c25e31fadf84ff984b35bbf9575bb
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 2 11:15:46 2011 +0100

    contacts: Tidy up whitespace in the test suite

 gdata/tests/contacts.c |  108
 +++++++++++++++++++++++++----------------------
 1 files changed, 57 insertions(+), 51 deletions(-)

commit 99ea3880b81dd8a9a3a879b6151b2af5f975f5f1
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 2 11:10:09 2011 +0100

    contacts: Tidy up test names in the test suite

 gdata/tests/contacts.c |   68
 +++++++++++++++++++++++------------------------
 1 files changed, 33 insertions(+), 35 deletions(-)

commit 8be206dfca19c6adf65a9e56fb73a3548b2bba8b
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 2 10:56:24 2011 +0100

    contacts: Make the group insertion tests individually idempotent

    Helps: bgo#633359

 gdata/tests/contacts.c |   78
 +++++++++++++++++++++++++++++++----------------
 1 files changed, 51 insertions(+), 27 deletions(-)

commit a07196c17ac56ff834c4468c7bbdddd825e58567
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 2 10:50:56 2011 +0100

    contacts: Split group property tests out from the insertion test

    Helps: bgo#633359

 gdata/tests/contacts.c |  105
 +++++++++++++++++++++++++++++-------------------
 1 files changed, 64 insertions(+), 41 deletions(-)

commit 1a3edf058c068e5a9c2dba990cb776fc3204952b
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 2 10:45:32 2011 +0100

    contacts: Make the query all groups tests individually idempotent

    Helps: bgo#633359

 gdata/tests/contacts.c |   94
 ++++++++++++++++++++++++++++++++++++++++--------
 1 files changed, 79 insertions(+), 15 deletions(-)

commit 45e9d03a72525e496794538413da037912cc13bc
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 2 10:37:11 2011 +0100

    contacts: Make the query all contacts tests individually idempotent

    Helps: bgo#633359

 gdata/tests/contacts.c |   92
 ++++++++++++++++++++++++++++++++++++++++--------
 1 files changed, 77 insertions(+), 15 deletions(-)

commit b7943e20a4054ca168c6dd738f05652b3786ad93
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 2 10:26:02 2011 +0100

    contacts: Make the contact update and photo tests individually
    idempotent

    Helps: bgo#633359

 gdata/tests/contacts.c |  255
 ++++++++++++++++++++++++++----------------------
 1 files changed, 139 insertions(+), 116 deletions(-)

commit ea2a695ba86a1cc0a7564d2cb0021917049dfa23
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 2 10:24:56 2011 +0100

    contacts: Ensure that contact entry URIs use HTTPS

 gdata/services/contacts/gdata-contacts-contact.c |   13 ++++++++++++-
 1 files changed, 12 insertions(+), 1 deletions(-)

commit aa2c27145caf908c12a6f48e20b1393d49805d06
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 2 09:46:57 2011 +0100

    contacts: Make the contact insertion tests individually idempotent

    Helps: bgo#633359

 gdata/tests/contacts.c |   27 +++++++++++++++++++++++----
 1 files changed, 23 insertions(+), 4 deletions(-)

commit 8de5e418746fd5f6f1bb1737ebf5f033788cd606
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 2 09:41:21 2011 +0100

    contacts: Split property tests out from the insertion test

    Helps: bgo#633359

 gdata/tests/contacts.c |  465
 ++++++++++++++++++++++++++++++------------------
 1 files changed, 296 insertions(+), 169 deletions(-)

commit b8fd328ac68216dd7be7d38970510fa7107db346
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Jul 2 10:51:15 2011 +0300

    Updated Hebrew translation.

 po/he.po |  129
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 67 insertions(+), 62 deletions(-)

commit 52b59c1136b639bee7acefa6b64f9f30f1e1a8ee
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Fri Jul 1 17:43:56 2011 +0200

    [l10n]Updated Catalan (Valencian) translation

 po/ca@valencia.po |  335
 ++++++++++++++++++++++++++++-------------------------
 1 files changed, 176 insertions(+), 159 deletions(-)

commit 4e58e8cb02f575869162930b826f5e8e8bad726d
Author: Gil Forcada <gforcada@gnome.org>
Date:   Fri Jul 1 17:43:38 2011 +0200

    [l10n]Updated Catalan translation

 po/ca.po |  129
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 67 insertions(+), 62 deletions(-)

commit c72cf6fcb6950abc605b553b4f73f15d7b8bb5ff
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Wed Jun 29 14:07:58 2011 +0300

    Updated Lithuanian translation.

 po/lt.po |  415
 ++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 231 insertions(+), 184 deletions(-)

commit 53d9a0b00eb30f785cc226c2e5a7c9da6ac96942
Author: Daniel Nylander <po@danielnylander.se>
Date:   Wed Jun 29 10:44:47 2011 +0200

    Updated Swedish translation

 po/sv.po |  144
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 74 insertions(+), 70 deletions(-)

commit 900a93016b00087dadf956e339c2b6a9201ce74f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Jun 29 09:07:14 2011 +0100

    Bug 653530 — Bogus run-time warnings

    Remove usage of g_simple_async_result_report_error_in_idle() because
    it fails
    to set a source tag. Instead, we build an async result ourselves
    with the
    correct source tag.

    Closes: bgo#653530

 gdata/services/calendar/gdata-calendar-service.c   |   35
 +++++++++++++------
 gdata/services/contacts/gdata-contacts-service.c   |   18 +++++++---
 gdata/services/documents/gdata-documents-service.c |    9 +++--
 gdata/services/picasaweb/gdata-picasaweb-service.c |   18 +++++++---
 gdata/services/youtube/gdata-youtube-service.c     |    9 +++--
 5 files changed, 60 insertions(+), 29 deletions(-)

commit 5494aef7d705b9a4ad2d0da7db6dd6c0a43f9560
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Jun 29 08:56:02 2011 +0100

    Bug 653535 — Let GDataAuthorizer re-process request after refreshing

    After receiving a 401 status (unauthorised) from the server and
    refreshing
    the current GDataAuthorizer, re-process the message in question
    with the
    authoriser before re-sending it, so that it has updated credentials
    set on
    it.

    This involves a slight change in the semantics of
    GDataAuthorizer->process_request, which now has to handle being called
    multiple times on a given message.

    Closes: bgo#653535

 gdata/gdata-authorizer.h              |    3 ++-
 gdata/gdata-client-login-authorizer.c |    2 +-
 gdata/gdata-oauth1-authorizer.c       |    2 +-
 gdata/gdata-service.c                 |   17 ++++++++++++++++-
 4 files changed, 20 insertions(+), 4 deletions(-)

commit baa8e41dd9079411e90c7ec3bd6381a24192bc06
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Jun 28 00:06:26 2011 +0100

    core: Ensure that synchronous progress callbacks aren't done in
    idle callbacks

    Progress callbacks should only be made in idle callbacks if the
    operation is
    being performed asynchronously. If it's being performed synchronously,
    we
    should be able to guarantee that all progress callbacks have been
    executed
    by the time the synchronous operation function call returns.

 gdata/gdata-access-handler.c |   60 +++++++++++++++++-------------
 gdata/gdata-feed.c           |   20 +++++++---
 gdata/gdata-private.h        |    5 +-
 gdata/gdata-service.c        |   84
 ++++++++++++++++++++++++------------------
 4 files changed, 99 insertions(+), 70 deletions(-)

commit a3b83737075015ea159c3e59dc2bb900197f09dd
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:   Sun Jun 26 03:49:12 2011 +0300

    Updated Turkish translation file header

 po/tr.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ee022d3c926cae2318fbf623c09a616cf98eb4ec
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:   Sun Jun 26 01:19:22 2011 +0300

    Updated Turkish translation

 po/tr.po |  340
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 179 insertions(+), 161 deletions(-)

commit 8d34fa9fd080b15d8e8e021c3406bbb60c59d1fd
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Jun 24 22:25:17 2011 +0200

    Updated Slovenian translation

 po/sl.po |  116
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 60 insertions(+), 56 deletions(-)

commit a07437a6d93f8f4b3949b602992e18127ec65a1f
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Fri Jun 24 22:26:43 2011 +0200

    Updated Serbian translation

 po/sr.po       |  338
 +++++++++++++++++++++++++++++---------------------------
 po/sr@latin.po |  338
 +++++++++++++++++++++++++++++---------------------------
 2 files changed, 354 insertions(+), 322 deletions(-)

commit 9214fc318f99fe14b1945bf12e7a4ddf683956ec
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Jun 24 19:34:35 2011 +0100

    picasaweb: Fix user tests to work when no photos have been uploaded

    Since all the PicasaWeb tests are now idempotent, we can run them
    on an
    empty PicasaWeb account with no quota used.

 gdata/tests/picasaweb.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 61112ba7073ffd05d22847cdf0d76f20b20ca632
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Jun 24 19:19:10 2011 +0100

    picasaweb: Make the file download tests individually idempotent

    Helps: bgo#633359

 gdata/tests/picasaweb.c |  307
 ++++++++++++++++++++---------------------------
 1 files changed, 128 insertions(+), 179 deletions(-)

commit 608a3438a2418a8996f6e2db822b1bbb1552ec64
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Jun 24 19:07:54 2011 +0100

    picasaweb: Make the file query tests individually idempotent

    Helps: bgo#633359

 gdata/tests/picasaweb.c |  427
 ++++++++++++++++++-----------------------------
 1 files changed, 164 insertions(+), 263 deletions(-)

commit 51df7776ed3a15f48c911899890a353a3040ff6d
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Jun 24 19:07:23 2011 +0100

    picasaweb: Split some more property checking tests out into
    non-network tests

    Helps: bgo#633359

 gdata/tests/picasaweb.c |   37 +++++++++++++++++++++++++++++++++++++
 1 files changed, 37 insertions(+), 0 deletions(-)

commit 0efe64e8483604ab337852099d03e9a5fde01d6e
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Jun 24 19:05:30 2011 +0100

    picasaweb: Add a comparison function for GDataPicasaWebFiles in
    the tests

 gdata/tests/picasaweb.c |  168
 +++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 168 insertions(+), 0 deletions(-)

commit 3c3d1dcbe2572427dab75167fc8fd1ceeb9bb708
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Jun 24 19:04:16 2011 +0100

    picasaweb: Fix uploads to non-default albums

    They were previously broken due to not using the correct ID when
    building
    a URI.

 gdata/services/picasaweb/gdata-picasaweb-service.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0930a77528caa724032fdffbf85fa4479da21ced
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Jun 23 17:20:47 2011 +0100

    picasaweb: Split some property checking tests out into non-network
    tests

    Helps: bgo#633359

 gdata/tests/picasaweb.c |  187
 ++++++++++++++++++----------------------------
 1 files changed, 73 insertions(+), 114 deletions(-)

commit 5d90702da833533da36a954e83f6d9fdb5cc2f36
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Jun 23 16:28:19 2011 +0100

    picasaweb: Make the album insertion tests individually idempotent

    Helps: bgo#633359

 gdata/tests/picasaweb.c |  135
 +++++++++++++++++++++++++----------------------
 1 files changed, 71 insertions(+), 64 deletions(-)

commit 0c75897a59a9d0d0616cf7627d313fffdf08d9be
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Jun 23 16:00:44 2011 +0100

    picasaweb: Ensure the rights of an album are correctly initialised
    to private

    Previously, the default value of the “visibility” property
    wasn't set
    properly, and the GDataEntry:rights property (which is aliased with
    GDataPicasaWebAlbum:visibility) wasn't set to private on
    initialisation.

 gdata/services/picasaweb/gdata-picasaweb-album.c |    7 +++++--
 gdata/tests/picasaweb.c                          |    2 ++
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 2d0322cdf83c22d969f1b8354eb91c5237039496
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Jun 23 12:05:49 2011 +0100

    picasaweb: Make the all album query tests individually idempotent

    Helps: bgo#633359

 gdata/tests/picasaweb.c |  327
 ++++++++++++++++++++++++++++-------------------
 1 files changed, 197 insertions(+), 130 deletions(-)

commit c213644b44cafd9208a63988a753e450e31dad9e
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Jun 23 16:27:16 2011 +0100

    picasaweb: Add a comparison function for GDataPicasaWebAlbums in
    the tests

 gdata/tests/picasaweb.c |  131
 +++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 131 insertions(+), 0 deletions(-)

commit 02e5840a7561a02536b4b56de8517ef811fcc99b
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Thu Jun 23 22:21:47 2011 +0200

    [l10n] Updated German translation

 po/de.po |  113
 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 59 insertions(+), 54 deletions(-)

commit f22eaa88a39a9c33d35d725c2b57a5972846f18b
Author: Andre Klapper <a9016009@gmx.de>
Date:   Thu Jun 23 21:05:27 2011 +0200

    Update Czech translation

 po/cs.po |  120
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 62 insertions(+), 58 deletions(-)

commit 0a5554b5f37bd5d01233e3ef922a39f962ce4055
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Jun 23 18:43:41 2011 +0200

    Updated Spanish translation

 po/es.po |  113
 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 59 insertions(+), 54 deletions(-)

commit a7597f401019391724eb81d75ab0ee501f67b3df
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Jun 21 13:35:45 2011 +0100

    Bug 637664 — Fix GSeekable interface implementation in
    GDataDownloadStream

    Add a few seeking test cases to test the new implementation of seek().
    g_input_stream_truncate() isn't supported by GDataDownloadStream,
    since it's
    an input stream, not an output stream.

    Closes: bgo#637664

 gdata/gdata-buffer.c          |   13 +-
 gdata/gdata-download-stream.c |  184 ++++++++++++++++++-----
 gdata/tests/streams.c         |  332
 ++++++++++++++++++++++++++++++++++++++++-
 3 files changed, 481 insertions(+), 48 deletions(-)

commit 28e4dbcd66bb085627cd35d70eb8bdb505fc1475
Author: Yuri Kozlov <yuray@komyakino.ru>
Date:   Wed Jun 22 20:14:09 2011 +0400

    Updated Russian translation

 po/ru.po |  380
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 208 insertions(+), 172 deletions(-)

commit 3b62d2d1f24e56ee8a60a99a371f830a54a7a958
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Jun 20 21:34:38 2011 +0100

    core: Keep GDataClientLoginAuthorizer alive while notifying property
    changes

    It's possible for the GDataClientLoginAuthorizer to be finalised after
    scheduling property notifications to happen in an idle function,
    but before
    the idle function is called. This would cause crashes, so we hold
    a reference
    to the authorizer while waiting for the idle function to be called.

 gdata/gdata-client-login-authorizer.c |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

commit 54fa219d3e55b476b6b843deec63d3889b960ef2
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Jun 20 21:09:01 2011 +0100

    calendar: Add support for querying for deleted events

    Add support for the “showdeleted” query parameter, cf. the
    Google Contacts
    service.

    This adds the following API:
     • GDataCalendarQuery:show-deleted
     • gdata_calendar_query_show_deleted()
     • gdata_calendar_query_set_show_deleted()

 docs/reference/gdata-sections.txt              |    2 +
 gdata/gdata.symbols                            |    2 +
 gdata/services/calendar/gdata-calendar-query.c |   67
 ++++++++++++++++++++++++
 gdata/services/calendar/gdata-calendar-query.h |    2 +
 gdata/tests/calendar.c                         |   12 +++-
 5 files changed, 82 insertions(+), 3 deletions(-)

commit 4c6b5ea87204ca695e1d51ac65af9dbdbc9e1e59
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Jun 20 20:56:14 2011 +0100

    Bug 639405 — Add max-attendees query parameter

    This adds the following API:
     • GDataCalendarQuery:max-attendees
     • gdata_calendar_query_get_max_attendees()
     • gdata_calendar_query_set_max_attendees()

    Closes: bgo#639405

 docs/reference/gdata-sections.txt              |    2 +
 gdata/gdata.symbols                            |    2 +
 gdata/services/calendar/gdata-calendar-query.c |   69
 +++++++++++++++++++++++-
 gdata/services/calendar/gdata-calendar-query.h |    2 +
 gdata/tests/calendar.c                         |   10 +++-
 5 files changed, 81 insertions(+), 4 deletions(-)

commit fafa68352959512861bcbc8c9d3f0295a70e767c
Author: Philip Chimento <philip.chimento@gmail.com>
Date:   Sat Jun 18 18:31:28 2011 +0100

    introspection: Add GDestroyNotify to progress callbacks

    All query_async functions that take a progress callback should have a
    GDestroyNotify parameter for freeing the progress callback data, since
    there is no suitable (scope) annotation.

    This breaks API by changing the signatures for:
     • gdata_access_handler_get_rules_async()
     • gdata_service_query_async()
     • gdata_calendar_service_query_all_calendars_async()
     • gdata_calendar_service_query_own_calendars_async()
     • gdata_calendar_service_query_events_async()
     • gdata_contacts_service_query_contacts_async()
     • gdata_contacts_service_query_groups_async()
     • gdata_documents_service_query_documents_async()
     • gdata_picasaweb_service_query_all_albums_async()
     • gdata_picasaweb_service_query_files_async()
     • gdata_youtube_service_query_standard_feed_async()
     • gdata_youtube_service_query_videos_async()
     • gdata_youtube_service_query_related_async()

    Closes: bgo#649728

 HACKING                                            |    3 +
 gdata/gdata-access-handler.c                       |   13 +++-
 gdata/gdata-access-handler.h                       |    1 +
 gdata/gdata-service.c                              |   14 +++-
 gdata/gdata-service.h                              |    2 +-
 gdata/services/calendar/gdata-calendar-service.c   |   27 +++++--
 gdata/services/calendar/gdata-calendar-service.h   |    6 +-
 gdata/services/contacts/gdata-contacts-service.c   |   20 ++++--
 gdata/services/contacts/gdata-contacts-service.h   |    2 +
 gdata/services/documents/gdata-documents-service.c |   10 ++-
 gdata/services/documents/gdata-documents-service.h |    1 +
 gdata/services/picasaweb/gdata-picasaweb-service.c |   23 ++++--
 gdata/services/picasaweb/gdata-picasaweb-service.h |    2 +
 gdata/services/youtube/gdata-youtube-service.c     |   30 ++++++--
 gdata/services/youtube/gdata-youtube-service.h     |    3 +
 gdata/tests/calendar.c                             |   82
 +++++++++++++++++++-
 gdata/tests/common.c                               |   26 ++++++
 gdata/tests/common.h                               |   10 +++
 gdata/tests/contacts.c                             |   52 ++++++++++++-
 gdata/tests/documents.c                            |   26 ++++++-
 gdata/tests/picasaweb.c                            |   68
 ++++++++++++++++-
 gdata/tests/youtube.c                              |   56 +++++++++++++-
 22 files changed, 427 insertions(+), 50 deletions(-)

commit 75ededc68bdc77d522156c3fbcb2b2e4cd93e102
Author: Tommi Vainikainen <thv@iki.fi>
Date:   Thu Jun 16 13:34:08 2011 +0300

    Added Finnish translation

 po/LINGUAS |    1 +
 po/fi.po   |  371
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 372 insertions(+), 0 deletions(-)

commit 85d2d82c72ac23cbaffc0badad53cc6d39213330
Merge: 120acd8 ae8c91a
Author: Davide Italiano <davide.italiano@gmail.com>
Date:   Sun Jun 12 21:15:10 2011 +0200

    Merge branch 'master' of http://git.gnome.org/browse/libgdata

commit 120acd849afd53cdb1d14536fa4c7de270a7b546
Author: Davide Italiano <davide.italiano@gmail.com>
Date:   Sun Jun 12 20:59:19 2011 +0200

    Remove some warnings

 Makefile.am  |    2 ++
 configure.ac |    1 +
 2 files changed, 3 insertions(+), 0 deletions(-)

commit ae8c91a9246ea20599d34af11555cb734908a3bb
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sun Jun 12 20:24:58 2011 +0200

    Updated Swedish translation

 po/sv.po |  325
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 172 insertions(+), 153 deletions(-)

commit d1bc058418827aa459066d75a2aa766d44b69961
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jun 12 12:46:59 2011 +0100

    build: Increment version to 0.9.1

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 827305957733db51124d90873949f45f7ba7a45d
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jun 12 12:45:49 2011 +0100

    Release version 0.9.0

 NEWS         |  103
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |    2 +-
 2 files changed, 104 insertions(+), 1 deletions(-)

commit 025a6544787772ba2dcb86bf40c21e5abdf83762
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jun 12 12:38:59 2011 +0100

    docs: Fix builddir ≠ srcdir documentation builds

 docs/reference/Makefile.am |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 8f490d76e6586bc88f5af88f9764e829075adfe8
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jun 11 16:51:42 2011 +0100

    contacts: Remove gdata_contacts_contact_has_photo()

    It was deprecated, and since version 0.9.0 breaks API, what harm
    can removing
    it do?

    API changes:
     • Remove gdata_contacts_contact_has_photo() and
       GDataContactsContact:has-photo
       (use gdata_contacts_contact_get_photo_etag() instead)

 docs/reference/gdata-sections.txt                |    2 +-
 gdata/gdata.symbols                              |    1 -
 gdata/services/contacts/gdata-contacts-contact.c |   53
 +++-------------------
 gdata/services/contacts/gdata-contacts-contact.h |    1 -
 4 files changed, 7 insertions(+), 50 deletions(-)

commit 1de4b2f017f1e743a84bc88bbd26851b860e61c1
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sat Jun 11 20:36:58 2011 +0200

    [l10n]Updated Catalan translation

 po/ca.po |  328
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 170 insertions(+), 158 deletions(-)

commit 5af9a0151de5625736773083ed033c328c438188
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Jun 10 20:10:18 2011 +0200

    Updated Slovenian translation

 po/sl.po |  325
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 172 insertions(+), 153 deletions(-)

commit 05787c583f870dc65c5f9d85e30a6a59906fd128
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Fri Jun 10 11:21:29 2011 +0200

    [l10n] Updated German translation

 po/de.po |  337
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 174 insertions(+), 163 deletions(-)

commit 4a91a5cac302a0b8fc1d49fbe54cbc840b065663
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Fri Jun 10 08:09:12 2011 +0300

    Updated Hebrew translation.

 po/he.po |  325
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 169 insertions(+), 156 deletions(-)

commit fa6c25b6af8734b8e1a20379b9dd98bf83145de9
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Jun 7 10:43:46 2011 +0100

    docs: Fix some typos in gdata-sections.txt

    They were breaking the documentation for GDataOAuth1Authorizer.

 docs/reference/gdata-sections.txt |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 84060afb583fc5c9642861eb9ccd82488000f906
Author: P. F. Chimento <philip.chimento@gmail.com>
Date:   Mon Jun 6 21:28:53 2011 +0200

    introspection: Fix introspection for GCancellable parameters

    ...and progress callbacks in non-async functions
    See bug #649728

 gdata/gdata-access-handler.c                       |    8 +++---
 gdata/gdata-batch-operation.c                      |    4 +-
 gdata/gdata-buffer.c                               |    2 +-
 gdata/gdata-client-login-authorizer.c              |    4 +-
 gdata/gdata-service.c                              |   24
 ++++++++--------
 gdata/services/calendar/gdata-calendar-service.c   |   28
 ++++++++++----------
 gdata/services/contacts/gdata-contacts-contact.c   |    8 +++---
 gdata/services/contacts/gdata-contacts-service.c   |   24
 ++++++++--------
 gdata/services/documents/gdata-documents-service.c |   18 ++++++------
 gdata/services/picasaweb/gdata-picasaweb-service.c |   22
 ++++++++--------
 gdata/services/youtube/gdata-youtube-service.c     |   28
 ++++++++++----------
 11 files changed, 85 insertions(+), 85 deletions(-)

commit b525bbc905144ce13af8d618022b671e3a4bf27c
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Tue Jun 7 08:31:02 2011 +0300

    Updated Bulgarian translation

 po/bg.po |  338
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 175 insertions(+), 163 deletions(-)

commit f29c72c363cd49276eef55ae44b85fa0a1a15adf
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Jun 7 07:21:08 2011 +0200

    Updated Czech translation

 po/cs.po |  326
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 169 insertions(+), 157 deletions(-)

commit c5e4594ca21225f81719b1a8d9b8ade3367d72e1
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jun 6 22:34:29 2011 +0200

    Updated Spanish translation

 po/es.po |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 62b86bbb7bc645dd4696e036d35a0e6235b01f67
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jun 6 22:25:02 2011 +0200

    Updated Spanish translation

 po/es.po |   18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

commit 48c7061cc904a578523f679c073c5ce3b78caf71
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Mon Jun 6 20:56:38 2011 +0200

    Updated Spanish translation

 po/es.po |  330
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 171 insertions(+), 159 deletions(-)

commit c1b3f37923f3f5c22b691f65672a570742372f96
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Jun 6 11:22:04 2011 +0200

    Updated Galician translations

 po/gl.po |  335
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 174 insertions(+), 161 deletions(-)

commit 47d20c21e8986cdbab21098428dd57bca203f6ad
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun May 29 22:38:39 2011 +0100

    core: Add an OAuth 1.0 authoriser

    This adds a GDataAuthorizer implementation for OAuth 1.0, the current
    favourite authentication/authorization protocol in Google-land.

    This includes full documentation and a test suite.

    This makes the following API changes:
     • Add GDataOAuth1Authorizer and all its properties and methods.

    It also adds a dependency on liboauth ≥ 0.9.4.

    Helps: bgo#646285

 Makefile.am                       |    4 +-
 README                            |    1 +
 configure.ac                      |    3 +-
 docs/reference/gdata-docs.xml     |    1 +
 docs/reference/gdata-sections.txt |   32 +
 gdata/gdata-authorizer.c          |   12 +-
 gdata/gdata-oauth1-authorizer.c   | 1337
 +++++++++++++++++++++++++++++++++++++
 gdata/gdata-oauth1-authorizer.h   |   97 +++
 gdata/gdata.h                     |    1 +
 gdata/gdata.symbols               |   16 +
 gdata/tests/Makefile.am           |    3 +
 gdata/tests/common.c              |   28 +-
 gdata/tests/common.h              |    1 +
 gdata/tests/oauth1-authorizer.c   | 1048 +++++++++++++++++++++++++++++
 po/POTFILES.in                    |    1 +
 15 files changed, 2575 insertions(+), 10 deletions(-)

commit 65d3e0c373edcaf199b4d3dc3499b237bb620fc1
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat May 28 14:56:48 2011 +0100

    docs: Add new symbol list for 0.9.0

 docs/reference/gdata-docs.xml |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 2957118536be2c51c9e4c8c14b52c95db7717725
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu May 5 23:29:14 2011 +0100

    core: Remove the old authentication API in favour of a new
    GDataAuthorizer API

    This separates authentication and authorisation from the services
    themselves,
    allowing authorisation schemes to be plugged in as they pop into
    and out of
    fashion.

    This removes the old gdata_service_authenticate() methods, replacing
    them with an equivalent GDataClientLoginAuthorizer.

    Full test cases are provided, covering everything except parsing
    of error
    responses from the server by GDataClientLoginAuthorizer.

    This makes the following API changes:
     • Rename GDataAuthenticationError to
     GDataClientLoginAuthorizerError
       Rename GDATA_AUTHENTICATION_ERROR and
       gdata_authentication_error_quark()
       similarly.
     • Remove gdata_service_authenticate() in favour of
       using GDataClientLoginAuthorizer with GDataService::authorizer:
        - Remove gdata_service_authenticate(),
          gdata_service_authenticate_async() and
          gdata_service_authenticate_finish().
        - Replace gdata_service_is_authenticated() by
          gdata_service_is_authorized() with much the same functionality.
        - Add GDataService::authorizer, gdata_service_get_authorizer(),
          gdata_service_set_authorizer() and
          gdata_service_get_authorization_domains().
        - Remove gdata_service_get_client_id() in favour of
          GDataClientLoginAuthorizer::client-id.
        - Remove gdata_service_get_username() in favour of
          GDataClientLoginAuthorizer::username.
        - Remove gdata_service_get_password() in favour of
          GDataClientLoginAuthorizer::password.
        - Remove GDataServiceClass->service_name in favour of
          GDataAuthorizationDomain::service-name.
        - Remove GDataServiceClass->authentication_uri and
          GDataServiceClass->parse_authentication_response in favour of
          different GDataAuthorizer implementations.
        - Add GDataAuthorizer parameters to and remove client_id
        parameters from:
          gdata_calendar_service_new(), gdata_contacts_service_new(),
          gdata_documents_service_new(), gdata_picasaweb_service_new() and
          gdata_youtube_service_new().
     • Add GDataAuthorizationDomain.
        - Add GDataServiceClass->get_authorization_domains and
          gdata_service_get_authorization_domains().
        - Add auth. domain getters to various GDataService subclasses:
          gdata_youtube_service_get_primary_authorization_domain(),
          gdata_contacts_service_get_primary_authorization_domain(),
          gdata_calendar_service_get_primary_authorization_domain(),
          gdata_picasaweb_service_get_primary_authorization_domain(),
          gdata_documents_service_get_primary_authorization_domain() and
          gdata_documents_service_get_spreadsheet_authorization_domain().
        - Add auth. domain properties to various standalone request
        objects:
          GDataDownloadStream::authorization-domain with
          gdata_download_stream_get_authorization_domain(),
          GDataUploadStream::authorization-domain with
          gdata_upload_stream_get_authorization_domain() and
          GDataBatchOperation::authorization-domain with
          gdata_batch_operation_get_authorization_domain().
        - Add GDataAccessHandlerIface->get_authorization_domain. This
        doesn't
          have to be implemented by existing GDataAccessHandlers, but it's
          highly recommended.
        - Add a GDataAuthorizationDomain parameter to
          GDataServiceClass->append_query_headers,
          gdata_service_query(), gdata_service_query_async(),
          gdata_service_query_single_entry(),
          gdata_service_query_single_entry_async(),
          gdata_service_insert_entry(),
          gdata_service_insert_entry_async(),
          gdata_service_update_entry(),
          gdata_service_update_entry_async(),
          gdata_service_delete_entry(),
          gdata_service_delete_entry_async(),
          gdata_batchable_create_operation(),
          gdata_download_stream_new() and gdata_upload_stream_new().
     • Add GDataAuthorizer as described above, implemented by
       GDataClientLoginAuthorizer.

    Helps: bgo#646285

 Makefile.am                                        |   10 +-
 docs/reference/gdata-docs.xml                      |    7 +
 docs/reference/gdata-sections.txt                  |   94 ++-
 gdata/gdata-access-handler.c                       |   14 +-
 gdata/gdata-access-handler.h                       |    9 +-
 gdata/gdata-authorization-domain.c                 |  197 ++++
 gdata/gdata-authorization-domain.h                 |   69 ++
 gdata/gdata-authorizer.c                           |  310 +++++
 gdata/gdata-authorizer.h                           |   90 ++
 gdata/gdata-batch-operation.c                      |   66 +-
 gdata/gdata-batch-operation.h                      |    2 +
 gdata/gdata-batchable.c                            |   18 +-
 gdata/gdata-batchable.h                            |    4 +-
 gdata/gdata-client-login-authorizer.c              | 1218
 ++++++++++++++++++++
 gdata/gdata-client-login-authorizer.h              |  130 +++
 gdata/gdata-download-stream.c                      |   79 ++-
 gdata/gdata-download-stream.h                      |    3 +-
 gdata/gdata-private.h                              |   49 +-
 gdata/gdata-service.c                              | 1048
 ++++++-----------
 gdata/gdata-service.h                              |  101 +--
 gdata/gdata-upload-stream.c                        |   90 ++-
 gdata/gdata-upload-stream.h                        |    6 +-
 gdata/gdata.h                                      |    3 +
 gdata/gdata.symbols                                |   46 +-
 gdata/media/gdata-media-content.c                  |    2 +-
 gdata/media/gdata-media-thumbnail.c                |    2 +-
 gdata/services/calendar/gdata-calendar-calendar.c  |   11 +-
 gdata/services/calendar/gdata-calendar-service.c   |   88 +-
 gdata/services/calendar/gdata-calendar-service.h   |    4 +-
 gdata/services/contacts/gdata-contacts-contact.c   |    6 +-
 gdata/services/contacts/gdata-contacts-service.c   |   81 +-
 gdata/services/contacts/gdata-contacts-service.h   |    4 +-
 .../services/documents/gdata-documents-document.c  |   18 +-
 gdata/services/documents/gdata-documents-entry.c   |    8 +
 gdata/services/documents/gdata-documents-service.c |  205 ++--
 gdata/services/documents/gdata-documents-service.h |    6 +-
 .../documents/gdata-documents-spreadsheet.c        |    3 +-
 gdata/services/picasaweb/gdata-picasaweb-service.c |  109 ++-
 gdata/services/picasaweb/gdata-picasaweb-service.h |    4 +-
 gdata/services/youtube/gdata-youtube-service.c     |  109 ++-
 gdata/services/youtube/gdata-youtube-service.h     |    4 +-
 gdata/services/youtube/gdata-youtube-video.c       |    2 +-
 gdata/tests/Makefile.am                            |    6 +
 gdata/tests/authorization.c                        |  795 +++++++++++++
 gdata/tests/calendar.c                             |   90 +-
 gdata/tests/client-login-authorizer.c              |  745 ++++++++++++
 gdata/tests/common.h                               |   11 +-
 gdata/tests/contacts.c                             |  110 ++-
 gdata/tests/documents.c                            |  167 ++-
 gdata/tests/general.c                              |    7 +-
 gdata/tests/memory.c                               |    7 +-
 gdata/tests/picasaweb.c                            |   84 +-
 gdata/tests/streams.c                              |    8 +-
 gdata/tests/youtube.c                              |  104 ++-
 po/POTFILES.in                                     |    1 +
 55 files changed, 5178 insertions(+), 1286 deletions(-)

commit d9add17fb43e405f5c72135cf71952e817f4f968
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Sun May 29 14:13:55 2011 +0200

    [l10n]Updated Catalan (Valencian) translation

 po/ca@valencia.po |  200
 ++++++++++++++++++++++++++++-------------------------
 1 files changed, 106 insertions(+), 94 deletions(-)

commit 2ef5875aad2d628578c2f6e4c9f01769594acbd1
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon May 23 23:08:05 2011 +0100

    core: Don't assume that messages can't be cancelled externally

    In _gdata_service_actually_send_message() we were previously
    assuming that
    we were the only code which could cancel an in-progress message's
    request.

    This isn't true.

    soup_session_abort() can be called from anywhere else and will
    explicitly
    cancel all in-progress requests. This could happen if the GDataService
    is
    disposed of, which would cause the SoupSession to be disposed of,
    which
    causes it to abort all in-progress requests. Alternatively, it
    could happen
    if the GDataService's (and hence SoupSession's) proxy URI is changed.

    To fix this, we:
     • now hold a reference to the session and message in
       _gdata_service_actually_send_message() so that they're kept alive
       throughout the request; and we
     • no longer assume that a cancelled message was cancelled by us,
     removing
       the assertion which caused the crash in bgo#650835.

    Fixes: bgo#650835

 gdata/gdata-service.c |   24 +++++++++++++++++++++---
 1 files changed, 21 insertions(+), 3 deletions(-)

commit 9615d1d9381724c9af87421289a19470d4e8d7e7
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:   Mon May 2 07:29:19 2011 +0200

    Added UG translation

 po/ug.po |  903
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 473 insertions(+), 430 deletions(-)

commit 8762d9f119962eb77808f2ab7357d20e881ba03c
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:   Tue Apr 26 00:13:13 2011 +0700

    Added Thai translation.

 po/LINGUAS |    1 +
 po/th.po   |  431
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 432 insertions(+), 0 deletions(-)

commit f5779abdbc00a2cd26b858c421f3ba1345334873
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Thu Apr 21 20:32:32 2011 +0200

    Add Esperanto translation

 po/LINGUAS |    1 +
 po/eo.po   |  436
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 437 insertions(+), 0 deletions(-)

commit 9560c55e2163e15d4b486eaadd6f9f336fa7f816
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Apr 19 09:13:01 2011 +0100

    Bug 648058 — Doesn't allow empty names for user defined fields

    Allow Google Contacts' user defined fields to have empty names. Test
    cases
    updated. Closes: bgo#648058

 gdata/services/contacts/gdata-contacts-contact.c |   11 ++++++++---
 gdata/tests/contacts.c                           |    6 ++++--
 2 files changed, 12 insertions(+), 5 deletions(-)

commit 943a48eb048e3aae0cff9ecc24249757fef189e6
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Apr 15 18:08:33 2011 +0100

    picasaweb: Don't check various image URIs exactly in the test suite

    They regularly change (every month or two), and it's a pain to have to
    keep updating the test suite.

 gdata/tests/picasaweb.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

commit 23571a59e1d4b4dffc1079252f5a8bbe81c249c5
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Apr 15 17:54:29 2011 +0100

    media: Handle media:rating elements which don't provide a country
    attribute

    Includes a test case.

 gdata/media/gdata-media-group.c |   22 ++++++++++----
 gdata/tests/youtube.c           |   60
 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 75 insertions(+), 7 deletions(-)

commit 9d2e6d49ee144b05a7a46258f6d82ef92fcbe091
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Apr 15 17:17:55 2011 +0100

    build: Remove non-existent symbols from gdata.symbols

    The three symbols in question were removed by commit
    0db5aeece161142093343263652fa5c498e169f6.

    Spotted by openSUSE packagers.

 gdata/gdata.symbols |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit d49b550f5f9d58735160a8be927b96aa2aa4a6ac
Author: Manoj Kumar Giri <mgiri@redhat.com>
Date:   Thu Apr 7 13:54:21 2011 +0530

    Updated Oriya Translation

 po/or.po |   82
 +++++++++++++++++++++++++++++--------------------------------
 1 files changed, 39 insertions(+), 43 deletions(-)

commit 89ad55e7e6ec110d9b9d11619ed66b7025849aca
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Apr 6 00:26:34 2011 +0100

    docs: Add a “public” comment to GDataColor to stop gtk-doc dieing
    on it

    Since it's a boxed enum type, its fields need to be marked public
    to prevent
    gtk-doc complaining about them. See bgo#642998.

    Closes: bgo#642983

 gdata/gdata-types.h |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit cc2e6f077f22374534a7719056aa8a133dbf7bbc
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Apr 5 06:50:56 2011 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |   30 ++++++++++++++++++------------
 po/zh_TW.po |   30 ++++++++++++++++++------------
 2 files changed, 36 insertions(+), 24 deletions(-)

commit 2cc041b971500ba8b92451789e1a49d5fb9d4bca
Author: Jordi Serratosa <serratosa@gmail.com>
Date:   Mon Apr 4 22:03:11 2011 +0200

    [l10n]Fixes on Catalan translation

 po/ca.po |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 5372160c3c14cfdf9e534d9e095ea319538dafad
Author: Amitakhya Phukan <amitakhya@svn.gnome.org>
Date:   Mon Apr 4 12:12:40 2011 +0530

    Updated Assamese translations

 po/as.po |  443
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 443 insertions(+), 0 deletions(-)

commit 6faff1f461d166d6acf1f6bfea1085a076e84c16
Author: Amitakhya Phukan <amitakhya@svn.gnome.org>
Date:   Mon Apr 4 12:12:34 2011 +0530

    Adding as to LINGUAS

 po/LINGUAS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 646404403ab2388a80014501f15568c60a174a3c
Author: Baris Cicek <baris@teamforce.name.tr>
Date:   Mon Apr 4 08:35:39 2011 +0300

    Added Turkish translation by Senol Korkmaz

 po/LINGUAS |    1 +
 po/tr.po   |  448
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 449 insertions(+), 0 deletions(-)

commit 241875c4552c241dca7111408806f67e4b4928d5
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sun Apr 3 13:00:19 2011 +0200

    Updated Basque language

 po/eu.po |  187
 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 98 insertions(+), 89 deletions(-)

commit d7e551acf313bb436a526755944b0a9b776d01d6
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Fri Apr 1 14:57:50 2011 +0200

    Updated Hungarian translation

 po/hu.po |   43 +++++++++++++++++++++++--------------------
 1 files changed, 23 insertions(+), 20 deletions(-)

commit ac91c888e64281be6cac7175f0d081933791c1e5
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Thu Mar 31 17:55:34 2011 +0530

    hindi updated

 po/hi.po |  100
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 53 insertions(+), 47 deletions(-)

commit 83995b727d4429f8eaf9a9fbea8758f6bcf48928
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Thu Mar 31 16:58:48 2011 +0530

    Updated LINGUAS file

 po/LINGUAS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 13f8cc6c9ec2fcd516eb67baa47a8b4e9eae070a
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Thu Mar 31 16:50:52 2011 +0530

    Added kn.po and updated LINUGAS file

 po/kn.po |  431
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 431 insertions(+), 0 deletions(-)

commit 320c8ca0e84e127f34e49177440fc1c72e1a057b
Author: Miroslav Nikolić <miroslavnikolic@rocketmail.com>
Date:   Thu Mar 31 01:29:44 2011 +0200

    Added Serbian translation

 po/LINGUAS     |    2 +
 po/sr.po       |  445
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/sr@latin.po |  445
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 892 insertions(+), 0 deletions(-)

commit e18b5b506549f2b8516547e9ba2ccae29c1a7bac
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Wed Mar 30 15:09:21 2011 +0100

    Updated British English translation

 po/en_GB.po |   38 +++++++++++++++++++++++---------------
 1 files changed, 23 insertions(+), 15 deletions(-)

commit 1749913254d7201e739dd7bd1ab20a875b86629b
Author: António Lima <amrlima@gmail.com>
Date:   Tue Mar 29 23:47:19 2011 +0100

    Updated Portuguese translation

 po/pt.po |   32 +++++++++++++++++++-------------
 1 files changed, 19 insertions(+), 13 deletions(-)

commit dad0a3f8db50e4b1801b8ecb49b65331239d42fa
Author: Kris Thomsen <lakristho@gmail.com>
Date:   Mon Mar 28 23:33:27 2011 +0200

    Updated Danish translation

 po/da.po |  111
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 61 insertions(+), 50 deletions(-)

commit cdfbd577468c27690afa5edb7139de50b68f940f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Mar 28 20:19:19 2011 +0200

    Updated Polish translation

 po/pl.po |   30 ++++++++++++++++++------------
 1 files changed, 18 insertions(+), 12 deletions(-)

commit e0b38d091e45fd4383a707d4ecfdfc3dfe3c1976
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Mon Mar 28 16:31:19 2011 +0530

    hindi added and translated and lingua upodated

 po/LINGUAS |    1 +
 po/hi.po   |  430
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 431 insertions(+), 0 deletions(-)

commit 90ab328e5e27c5cf7f5deb52f62d0ca7bd5608e7
Author: Rodrigo Padula de Oliveira <contato@rodrigopadula.com>
Date:   Sun Mar 27 17:08:59 2011 -0400

    Updated Brazilian Portuguese translation. Reviewed by Flamarion Jorge.

 po/pt_BR.po |  202
 ++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 110 insertions(+), 92 deletions(-)

commit b09bda7ebb8a464fdca4137e4777d9d9f77ab614
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:   Sun Mar 27 21:30:53 2011 +0200

    Added UG translation

 po/ug.po |  854
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 430 insertions(+), 424 deletions(-)

commit e1ca5480ff4d68e2b2135fef3ce73001f1301ece
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Sun Mar 27 21:26:28 2011 +0200

    Updated French translation

 po/fr.po |   40 ++++++++++++++++++++++------------------
 1 files changed, 22 insertions(+), 18 deletions(-)

commit de00c3039c5e78a787d4246a9292eedf8f78b736
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sat Mar 26 12:59:40 2011 +0200

    Updated Latvian translation.

 po/lv.po |   41 +++++++++++++++++++++++++----------------
 1 files changed, 25 insertions(+), 16 deletions(-)

commit c04315f31997919711faee108127a3b5dbcb44fb
Author: Claudio Arseni <claudio.arseni@gmail.com>
Date:   Sat Mar 26 10:57:33 2011 +0100

    Updated Italian translation

 po/it.po |  207
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 116 insertions(+), 91 deletions(-)

commit 2e4a51cf8d41cd4708cacd5ec71b6d5d27b98726
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Mar 26 11:44:53 2011 +0200

    Added he to LINGUAS

 po/LINGUAS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 0834417aada000cee002f94006f2ee5999f26ef7
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Mar 26 11:43:37 2011 +0200

    Updated Hebrew translation.

 po/he.po |  439
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 439 insertions(+), 0 deletions(-)

commit 90459d70e4198d46897487597492784cf0ced922
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:   Sat Mar 26 07:38:58 2011 +0100

    Updated German translation

 po/de.po |   47 ++++++++++++++++++++++++++++-------------------
 1 files changed, 28 insertions(+), 19 deletions(-)

commit df8e86874ea2d8f1a919c079b6d2c4e807863ff8
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Fri Mar 25 22:10:15 2011 +0200

    Updated Bulgarian translation

 po/bg.po |   30 ++++++++++++++++++------------
 1 files changed, 18 insertions(+), 12 deletions(-)

commit bf91897cbb268aa0d38589181ddf93529028e884
Author: Aron Xu <aronxu@gnome.org>
Date:   Fri Mar 25 17:45:53 2011 +0000

    Update Simplified Chinese translation.

 po/zh_CN.po |   30 ++++++++++++++++++------------
 1 files changed, 18 insertions(+), 12 deletions(-)

commit a4588c7d01e40481ad24bf4606c34a649dc798ee
Author: Joan Duran <jodufi@gmail.com>
Date:   Thu Mar 24 23:25:26 2011 +0100

    [l10n]Updated Catalan translation

 po/ca.po |   31 +++++++++++++++++++------------
 1 files changed, 19 insertions(+), 12 deletions(-)

commit a85aeb46493bd51f7c882c99fd4042d24e383420
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Wed Mar 23 22:47:07 2011 +0200

    Uploaded Ukranian

 po/uk.po |   36 +++++++++++++++++++++---------------
 1 files changed, 21 insertions(+), 15 deletions(-)

commit 21567d84e9d8f4ff0a70c7d16176d0d90f70392a
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Wed Mar 23 23:49:27 2011 +0300

    Updated Russian translation

 po/ru.po |   39 +++++++++++++++++++--------------------
 1 files changed, 19 insertions(+), 20 deletions(-)

commit a738beb670c78bffedd4c10e153a7ba981e9be53
Author: Daniel Nylander <po@danielnylander.se>
Date:   Wed Mar 23 18:59:17 2011 +0100

    Updated Swedish translation

 po/sv.po |   34 ++++++++++++++++++++--------------
 1 files changed, 20 insertions(+), 14 deletions(-)

commit b76c965d13de0d0854873ea45baee30d16bf78c1
Author: Sandeep Shedmake <sshedmak@redhat.com>
Date:   Wed Mar 23 19:28:28 2011 +0530

    Added mr to LINGUAS

 po/LINGUAS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 29a4e18061e775ec4ac5bcba36ed055e099d7bcc
Author: Sandeep Shedmake <sshedmak@redhat.com>
Date:   Wed Mar 23 19:26:31 2011 +0530

    Added Marathi Translations

 po/mr.po |  431
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 431 insertions(+), 0 deletions(-)

commit 1b4c78e396281b3248441425f6a569500de3c472
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Mar 22 22:49:17 2011 +0100

    Updated Czech translation

 po/cs.po |   40 +++++++++++++++++++++++-----------------
 1 files changed, 23 insertions(+), 17 deletions(-)

commit 977828c3f73004af75a3673412ffee0f6c14868d
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Mar 22 22:05:13 2011 +0100

    Updated Slovenian translation

 po/sl.po |   34 ++++++++++++++++++++--------------
 1 files changed, 20 insertions(+), 14 deletions(-)

commit 7ab756b525cec089f14190b3d963253e34923ea9
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Tue Mar 22 21:34:39 2011 +0100

    Updated Galician translations

 po/gl.po |   41 ++++++++++++++++++++++++-----------------
 1 files changed, 24 insertions(+), 17 deletions(-)

commit 4c78396942b69732e972e01302e1ad4b48bf0fc5
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Tue Mar 22 20:33:13 2011 +0100

    Updated Spanish translation

 po/es.po |   36 +++++++++++++++++++++---------------
 1 files changed, 21 insertions(+), 15 deletions(-)

commit a23845177803a78b7b4d605c3e8e934924328fea
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Mar 22 13:43:02 2011 +0000

    Bug 639610 — Allow access to a contact's photo ETag

    Deprecate gdata_contacts_contact_has_photo() (and the corresponding
    property)
    in favour of a new gdata_contacts_contact_get_photo_etag() and
    property
    which work in exactly the same way, but return the photo's ETag
    or NULL,
    rather than TRUE or FALSE.

    Closes: bgo#639610

 gdata/gdata.symbols                              |    1 +
 gdata/services/contacts/gdata-contacts-contact.c |   43
 +++++++++++++++++++++-
 gdata/services/contacts/gdata-contacts-contact.h |    3 +-
 gdata/tests/contacts.c                           |   31 ++++++++--------
 4 files changed, 60 insertions(+), 18 deletions(-)

commit 605a4c64109c933e29eecb3e54062db781d7c5a0
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Mar 22 13:25:19 2011 +0000

    tests: Remove use of assigned-but-not-used variables in the tests

 gdata/tests/calendar.c  |   14 ++++++--------
 gdata/tests/contacts.c  |   10 ++++------
 gdata/tests/documents.c |   10 ++++------
 gdata/tests/streams.c   |    2 +-
 gdata/tests/youtube.c   |    8 ++------
 5 files changed, 17 insertions(+), 27 deletions(-)

commit 810d9d81676f8eb3462cce590e467bb55fead259
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Mar 22 13:20:44 2011 +0000

    Bug 644946 — Support two-factor authentication

    Add support for notifying the user with a more specific error
    message if
    login failed due to them needing to enter an application-specific
    password.

    This adds the following new error code:
     • GDATA_AUTHENTICATION_ERROR_INVALID_SECOND_FACTOR

    Closes: bgo#644946

 gdata/gdata-service.c |   18 ++++++++++++++++++
 gdata/gdata-service.h |    4 +++-
 2 files changed, 21 insertions(+), 1 deletions(-)

commit bbd37f5f81ae16457c0569f208090114bed1a8c0
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Mar 22 13:08:58 2011 +0000

    Bug 644940 — Use HTTPS only

    Use HTTPS for all communications with the server, removing the
    LIBGDATA_FORCE_HTTP environment variable. Closes: bgo#644940

 README                                             |    4 --
 docs/reference/gdata-running.xml                   |    6 ---
 gdata/gdata-private.h                              |    3 +-
 gdata/gdata-service.c                              |   27 +++++---------
 .../services/documents/gdata-documents-document.c  |    2 +-
 gdata/services/documents/gdata-documents-service.c |    8 ++--
 .../documents/gdata-documents-spreadsheet.c        |    6 +--
 gdata/services/picasaweb/gdata-picasaweb-service.c |    4 +-
 gdata/tests/picasaweb.c                            |   36
 +++++++++++---------
 9 files changed, 40 insertions(+), 56 deletions(-)

commit 7c0db41e9f1532201230f5ed8f26a1aeff3d3817
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sat Mar 19 21:50:39 2011 +0200

    Added Latvian translation.

 po/LINGUAS |    1 +
 po/lv.po   |  436
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 437 insertions(+), 0 deletions(-)

commit bb0bdafd89364d4e53b5396c1e5f190b4fbd4d7c
Author: ben <benbenhappy2008@gmail.com>
Date:   Fri Mar 18 23:17:07 2011 +0800

    Update Simplified Chinese translation.

 po/zh_CN.po |  174
 ++++++++++++++++++++++++++++++----------------------------
 1 files changed, 90 insertions(+), 84 deletions(-)

commit bdef0fd144d5ff881e4a14c0dde5057d3f22fc7d
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Tue Mar 15 15:19:57 2011 +0100

    Updated Hungarian translation

 po/hu.po |   84
 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 44 insertions(+), 40 deletions(-)

commit 0fdda9016b828200f129a20a2f6a198ad4c255ea
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Mon Mar 14 11:19:53 2011 +0100

    Updated Romanian translation

 po/ro.po |  201
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 114 insertions(+), 87 deletions(-)

commit 2b709d4c85548fe13b78cbdcd1265f23711cfdbf
Author: António Lima <amrlima@gmail.com>
Date:   Sat Mar 12 19:50:29 2011 +0000

    Updated Portuguese translation

 po/pt.po |  190
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 104 insertions(+), 86 deletions(-)

commit a262734d8ed520996c1d332b91460f57ed72e586
Author: Joan Duran <jodufi@gmail.com>
Date:   Thu Mar 10 23:47:32 2011 +0100

    [l10n] Updated Catalan translation

 po/ca.po |  209
 ++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 123 insertions(+), 86 deletions(-)

commit 092646351fa5d8399123f86b7a03a2f2e2caca76
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Mar 10 17:50:29 2011 +0100

    Updated Polish translation

 po/pl.po |  182
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 99 insertions(+), 83 deletions(-)

commit 9ac8bf38938b881c97401f8a6aab1a897cd21ef7
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Sun Mar 6 11:37:45 2011 +0300

    Updated Russian translation

 po/ru.po |  318
 ++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 188 insertions(+), 130 deletions(-)

commit 594862238d57bd0f597053ae8745c26735213212
Author: Manoj Kumar Giri <mgiri@redhat.com>
Date:   Tue Mar 1 13:45:03 2011 +0530

    Added Oriya (or) to LINGUAS

 po/LINGUAS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 1dd2f1ff98385ddee3ca1629b21936812c6fcde1
Author: Manoj Kumar Giri <mgiri@redhat.com>
Date:   Tue Mar 1 13:41:45 2011 +0530

    Updated Oriya Translation

 po/or.po |  447
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 447 insertions(+), 0 deletions(-)

commit c70756c6a679ae6ccb0fdd0354c6d07f5a0e20d5
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Sat Feb 26 10:29:42 2011 +0100

    Updated French translation

 po/fr.po |  176
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 93 insertions(+), 83 deletions(-)

commit e0c85b38234df674da9ce889b9697f6f97e35636
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Feb 22 19:50:57 2011 +0000

    docs: Add the 0.8.0 API changes page to the documentation

    Helps: bgo#642983

 docs/reference/gdata-docs.xml |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 755235e5623a52b11cccc6908422535830013b73
Author: Runa Bhattacharjee <runab@redhat.com>
Date:   Thu Feb 17 17:37:48 2011 +0530

    Added Bengali India to the list of languages

 po/LINGUAS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 212257a5ad3df0dfcf4c94f2556a0fa59e3c7689
Author: Runa Bhattacharjee <runab@redhat.com>
Date:   Thu Feb 17 17:37:34 2011 +0530

    Added Bengali India Translation

 po/bn_IN.po |  443
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 443 insertions(+), 0 deletions(-)

commit 8faeeeb1971b78cba5396306033c728211120b9b
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Wed Feb 16 08:03:04 2011 +0200

    Uploaded Ukranian

 po/uk.po |  371
 +++++++++++++++++++++++++++++++++++++++++++-------------------
 1 files changed, 258 insertions(+), 113 deletions(-)

commit 99a85165ce3d35070778342cbe5d0f4f14c628f5
Author: Ivaylo Valkov <ivaylo@e-valkov.org>
Date:   Tue Feb 15 06:39:57 2011 +0200

    Updated Bulgarian translation

 po/LINGUAS |    1 +
 po/bg.po   |  452
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 453 insertions(+), 0 deletions(-)

commit 32a489b0c068b9f57d540a940298609fd931125c
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sun Feb 13 04:22:08 2011 +0900

    Add Korean translation

 po/LINGUAS |    1 +
 po/ko.po   |  430
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 431 insertions(+), 0 deletions(-)

commit 6ef3a6cd4dbeebce93c6377e65a29bae5ec96fbc
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Tue Feb 8 14:14:30 2011 +0530

    Updated Gujarati Translations & Added gu in LINGUAS

 po/LINGUAS |    1 +
 po/gu.po   |  425
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 426 insertions(+), 0 deletions(-)

commit 8800f1eefba340767484b372ded403e95e2c6146
Author: Gheyret Kenji <gheyret@hotmail.com>
Date:   Fri Feb 4 23:21:33 2011 +0100

    Added UG translation

 po/LINGUAS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 17376b2db91c965eabe1c5b164e6fb9dc0a68bfe
Author: Gheyret Kenji <gheyret@hotmail.com>
Date:   Fri Feb 4 23:17:11 2011 +0100

    Added UG translation

 po/ug.po |  424
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 424 insertions(+), 0 deletions(-)

commit 63c01ba9b1ad776a71df8ce0a0788d57715fb0bd
Author: A S Alam <aalam@users.sf.net>
Date:   Sat Jan 29 09:13:12 2011 +0530

    update Punjabi Translation by A S Alam

 po/pa.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 15a465d951d7aa14508962f193fcfd541c38817e
Author: A S Alam <aalam@users.sf.net>
Date:   Sat Jan 29 08:13:25 2011 +0530

    update Punjabi Translation by A S Alam

 po/pa.po |  426
 +++++++++++++++++++++++++++++++++++++++++++++++---------------
 1 files changed, 326 insertions(+), 100 deletions(-)

commit 8bed9a863def8812ae24dfce94ab488877de9212
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Thu Jan 27 03:22:15 2011 +0100

    QA of Galician translations

 po/gl.po |   21 +++++++++++----------
 1 files changed, 11 insertions(+), 10 deletions(-)

commit c26e694f530725766b00bf84e0af86a50c27f98c
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Jan 26 15:31:12 2011 +0100

    Updated Norwegian bokmål translation.

 po/nb.po |   20 +++++++++++---------
 1 files changed, 11 insertions(+), 9 deletions(-)

commit 78eb567d32a578cef8ae573fa5da4d61cd8bf8e2
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Jan 25 19:26:27 2011 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |  237
 ++++++++++++++++++++++++++++++++++++-----------------------
 po/zh_TW.po |  237
 ++++++++++++++++++++++++++++++++++++-----------------------
 2 files changed, 292 insertions(+), 182 deletions(-)

commit 5fae259ab79bfa218fa1493923ab8b7bc051699f
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Jan 23 11:49:33 2011 +0100

    Updated Norwegian bokmål translation

 po/nb.po |  304
 ++++++++++++++++++++++++++++++++++++++++----------------------
 1 files changed, 195 insertions(+), 109 deletions(-)

commit 1951c53b54c9b44b342d4d589ba17223990f4686
Author: Michael Kotsarinis <mk73628@gmail.com>
Date:   Wed Jan 19 18:28:52 2011 +0200

    Updated Greek translation

 po/el.po |  114
 ++++++++++++++++++++++++++++++++++++++++++--------------------
 1 files changed, 77 insertions(+), 37 deletions(-)

commit ba6676dd0d6f56da993fc2a0d8e458a30e11da31
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Wed Jan 19 15:40:45 2011 +0100

    Updated Galician translations

 po/gl.po |  210
 ++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 124 insertions(+), 86 deletions(-)

commit e1a663ad280385f280ef6f32a336cc4f68e82bbe
Author: Andika Triwidada <andika@gmail.com>
Date:   Mon Jan 17 12:25:29 2011 +0700

    Updated Indonesian translation

 po/id.po |  248
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 123 insertions(+), 125 deletions(-)

commit e5a49029aaf3accb7fa65d9f4975ba8bbb3862a2
Author: George Stefanakis <george.stefanakis@gmail.com>
Date:   Thu Jan 13 21:18:38 2011 +0200

    Updated Greek translation

 po/el.po |  436
 ++++++++++++++++++++++++++++++++++++++++++++------------------
 1 files changed, 311 insertions(+), 125 deletions(-)

commit 781e53a5d939e108f7ff57fd75f6409199321de4
Author: Petr Kovar <pknbe@volny.cz>
Date:   Mon Jan 3 21:52:50 2011 +0100

    Update Czech translation by Marek Cernocky

    Reviewed by Petr Kovar.

 po/cs.po |  112
 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 57 insertions(+), 55 deletions(-)

commit fc90d4563c6209b5f4468c01c187de4e1ff8abd9
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sat Jan 1 21:16:13 2011 +0100

    [l10n] Updated German translation

 po/de.po |  152
 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 77 insertions(+), 75 deletions(-)

commit d33046b432da8a2580154dd91767710acbf28d59
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sat Jan 1 14:47:02 2011 +0100

    Updated Spanish translation

 po/es.po |  154
 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 78 insertions(+), 76 deletions(-)

commit 75be00208ccf233e551d22e4e5aa39480ebfae40
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Dec 30 21:23:54 2010 +0100

    Updated Slovenian translation

 po/sl.po |  137
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 71 insertions(+), 66 deletions(-)

commit e6cf0cd9c37c910aab4ae8efb72869cefcad4ac9
Author: Daniel Nylander <po@danielnylander.se>
Date:   Thu Dec 30 18:29:58 2010 +0100

    Updated Swedish translation

 po/sv.po |   83
 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 44 insertions(+), 39 deletions(-)

commit 065bb38c3b107b2e3574496a8d6e848fd537d7a5
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 17:00:03 2010 +0000

    docs: Add a note about the even–odd/stable–unstable versioning
    change

 HACKING |   16 +++++++++++++---
 1 files changed, 13 insertions(+), 3 deletions(-)

commit 9b42c97c5562c6937b4efcaedf5b82c99d6bd3f3
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 16:50:29 2010 +0000

    build: Increment version to 0.9.0

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 430b36875815fcf2b888f952ac84ccc71979d893
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 16:48:14 2010 +0000

    Release version 0.8.0

 NEWS         |   82
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |    2 +-
 2 files changed, 83 insertions(+), 1 deletions(-)

commit 775255d6e2263772c5ec49677e468617768e9bdf
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 15:36:35 2010 +0000

    l10n: Update British English translation

 po/en_GB.po |  170
 +++++++++++++++++++++++++++++++----------------------------
 1 files changed, 90 insertions(+), 80 deletions(-)

commit 889232526478833a43aea49a1bda8342ffca41c6
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 15:34:56 2010 +0000

    l10n: Add missing files to POTFILES.in

 po/POTFILES.in |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 3a045028895789efdf1248c10a483996426d6003
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 15:07:09 2010 +0000

    core: Don't use a deallocated mutex for early-cancelled messages

    In the case that a message is cancelled before it's queued in
    the session
    (i.e. the cancellation callback is called immediately by
    g_cancellable_connect()), ensure we don't free the mutex which
    we later
    attempt to lock.

 gdata/gdata-service.c |   34 +++++++++++++---------------------
 1 files changed, 13 insertions(+), 21 deletions(-)

commit 4869dd85d3853184a42fe66ceded941dfbd148b3
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 14:54:04 2010 +0000

    core: Don't use deallocated memory

    When authenticating asynchronously, don't attempt to use the
    username and
    password from the asynchronous closure after it's been implicitly
    deallocated
    by changing the result value of the GSimpleAsyncResult.

    See: bgo#635736

 gdata/gdata-service.c |    4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

commit 9cefc971f8facc88a8597242bc17ae38d22f04c5
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 14:10:24 2010 +0000

    calendar: Fix some typos in code examples

    Helps: bgo#579885

 gdata/services/calendar/gdata-calendar-calendar.c |    1 +
 gdata/services/calendar/gdata-calendar-query.c    |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

commit c68d0d81945184ca7896360edf05b0aef2bbe899
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 13:55:31 2010 +0000

    contacts: Add a code example for using batch operations

    Helps: bgo#579885

 gdata/services/contacts/gdata-contacts-service.c |   70
 ++++++++++++++++++++++
 1 files changed, 70 insertions(+), 0 deletions(-)

commit ceddaf96173fcb98f73a414cad2a10d28615f042
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 13:55:13 2010 +0000

    documents: Fix a small documentation typo

    Helps: bgo#579885

 gdata/services/documents/gdata-documents-service.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 8d5f8f6fb67d32308327f4baf5e3b13bf15a8b2a
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 13:52:12 2010 +0000

    contacts: Add a code example for querying for groups

    Helps: bgo#579885

 gdata/services/contacts/gdata-contacts-service.c |   43
 ++++++++++++++++++++++
 1 files changed, 43 insertions(+), 0 deletions(-)

commit 6e275bc8e3b2c37976338f3753cbd6b5d7179cbc
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 13:46:01 2010 +0000

    contacts: Add a code example for adding a new group

    Helps: bgo#579885

 gdata/services/contacts/gdata-contacts-group.c |   52
 ++++++++++++++++++++++++
 1 files changed, 52 insertions(+), 0 deletions(-)

commit edccc5d9b54f174fd15c477434423749137a0763
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 13:39:05 2010 +0000

    contacts: Add a code example for updating a contact's details

    Helps: bgo#579885

 gdata/services/contacts/gdata-contacts-contact.c |   44
 ++++++++++++++++++++++
 1 files changed, 44 insertions(+), 0 deletions(-)

commit f15d8b4bf226e11278f6344c1bc55d865973a1c0
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 13:28:31 2010 +0000

    contacts: Add a code example for getting/setting a contact's photo

    Helps: bgo#579885

 gdata/services/contacts/gdata-contacts-contact.c |   64
 ++++++++++++++++++++++
 1 files changed, 64 insertions(+), 0 deletions(-)

commit f412792acb1b2787de7efb85d9fcd5df250e7c86
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 13:24:02 2010 +0000

    contacts: Add a code example for querying for contacts

    Helps: bgo#579885

 gdata/services/contacts/gdata-contacts-query.c |   45
 ++++++++++++++++++++++++
 1 files changed, 45 insertions(+), 0 deletions(-)

commit f73bdf5e7c96252685b95864d20ac24646b57b0b
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 13:00:43 2010 +0000

    documents: Add a code example for using batch operations

    Helps: bgo#579885

 gdata/services/documents/gdata-documents-service.c |   71
 ++++++++++++++++++++
 1 files changed, 71 insertions(+), 0 deletions(-)

commit 07de9637c5ce8356dc314110e61162c2e947ac60
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 12:55:50 2010 +0000

    documents: Add a code example for document ACLs

    Helps: bgo#579885

 .../services/documents/gdata-documents-document.c  |   98
 ++++++++++++++++++++
 1 files changed, 98 insertions(+), 0 deletions(-)

commit bde0a011f9b9e373a642f13b41b99ae84fc1c952
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 12:55:35 2010 +0000

    calendar: Fix some typos in code examples

    Helps: bgo#579885

 gdata/services/calendar/gdata-calendar-service.c |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit 6dbc1592506b406d8f47cc400459a5d78ff46dd5
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 12:46:14 2010 +0000

    documents: Add a code example for downloading a specific spreadsheet
    sheet

    Helps: bgo#579885

 .../documents/gdata-documents-spreadsheet.c        |   53
 ++++++++++++++++++++
 1 files changed, 53 insertions(+), 0 deletions(-)

commit 6046970e4c38a87ab83e16e58ea7f0b2a04510bb
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 12:34:32 2010 +0000

    documents: Add a code example for querying for documents

    Helps: bgo#579885

 gdata/services/documents/gdata-documents-query.c |   47
 ++++++++++++++++++++++
 1 files changed, 47 insertions(+), 0 deletions(-)

commit e05dd7d6d8ee71ad6bdaec06cae91c2d4b19e748
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 12:24:47 2010 +0000

    documents: Add a code example for moving an entry between folders

    Helps: bgo#579885

 gdata/services/documents/gdata-documents-entry.c |   52
 ++++++++++++++++++++++
 1 files changed, 52 insertions(+), 0 deletions(-)

commit 3151fefa7d4d3e03afed40fa2a71d48091ba84cc
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 12:14:08 2010 +0000

    documents: Add a code example for uploading documents

    Helps: bgo#579885

 gdata/services/documents/gdata-documents-service.c |  101
 ++++++++++++++++++++
 1 files changed, 101 insertions(+), 0 deletions(-)

commit f886abad30b6928a1a38db3b10ba0942fbf0f621
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 12:13:42 2010 +0000

    youtube: Fix a typo in a code example

    Helps: bgo#579885

 gdata/services/youtube/gdata-youtube-service.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e081c7144e407bf107c2bebf0bf2ae57313f2ea1
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 12:06:42 2010 +0000

    documents: Add a code example for adding a new folder

    Helps: bgo#579885

 gdata/services/documents/gdata-documents-folder.c |   35
 +++++++++++++++++++++
 1 files changed, 35 insertions(+), 0 deletions(-)

commit 5720765671291315397d4f6c182f300548d4cbac
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 12:01:30 2010 +0000

    documents: Add a code example for downloading a document

    Helps: bgo#579885

 .../services/documents/gdata-documents-document.c  |   57
 ++++++++++++++++++++
 1 files changed, 57 insertions(+), 0 deletions(-)

commit 1e0ff1cdc9e70676ad3d21f2174663680b4ce899
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 11:40:11 2010 +0000

    youtube: Add a code example for querying standard video feeds

    Helps: bgo#579885

 gdata/services/youtube/gdata-youtube-service.c |   33
 ++++++++++++++++++++++++
 1 files changed, 33 insertions(+), 0 deletions(-)

commit e6763ee4f5a7fc76d8011f24e756106fc21906a7
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 11:34:00 2010 +0000

    youtube: Add a code example for uploading videos

    Helps: bgo#579885

 gdata/services/youtube/gdata-youtube-service.c |  105
 ++++++++++++++++++++++++
 1 files changed, 105 insertions(+), 0 deletions(-)

commit a246c29d8e4421663eb2448883f31ae3c61b51cb
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 11:11:13 2010 +0000

    calendar: Add a code example for using batch operations

    Helps: bgo#579885

 gdata/services/calendar/gdata-calendar-service.c |   71
 ++++++++++++++++++++++
 1 files changed, 71 insertions(+), 0 deletions(-)

commit 6864acd870b589622f9d7f482a86a448972cc57c
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 10:41:20 2010 +0000

    calendar: Add a code example for listing calendars

    Helps: bgo#579885

 gdata/services/calendar/gdata-calendar-calendar.c |   40
 +++++++++++++++++++++
 1 files changed, 40 insertions(+), 0 deletions(-)

commit fd41f764f19a0daad8a351e128cd23a6434a879d
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 10:41:04 2010 +0000

    calendar: Add a code example for querying for events

    Helps: bgo#579885

 gdata/services/calendar/gdata-calendar-query.c |   45
 ++++++++++++++++++++++++
 1 files changed, 45 insertions(+), 0 deletions(-)

commit ba0fe9776a9048b262abb64a94d5f7db4171fb13
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 10:22:52 2010 +0000

    calendar: Add a code example for inserting events

    Helps: bgo#579885

 gdata/services/calendar/gdata-calendar-event.c |   52
 ++++++++++++++++++++++++
 1 files changed, 52 insertions(+), 0 deletions(-)

commit 61927f8f0ad6c0e819fadf88637ae94d4fba0aef
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 10:04:51 2010 +0000

    calendar: Add a code example for calendar ACLs

    Helps: bgo#579885

 gdata/services/calendar/gdata-calendar-service.c |   97
 ++++++++++++++++++++++
 1 files changed, 97 insertions(+), 0 deletions(-)

commit bb023759e90b3be386c100193560652d6e31efe3
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 30 09:58:43 2010 +0000

    core: Fix a minor typo in the documentation

 gdata/gdata-upload-stream.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 841301ce2999bf54af8959843fc90ff65272f312
Author: Daniel Nylander <po@danielnylander.se>
Date:   Wed Dec 29 18:54:21 2010 +0100

    Updated Swedish translation

 po/sv.po |  168
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 90 insertions(+), 78 deletions(-)

commit e9d3eeb92226b2f179a1bc74e4595a64cb51f144
Author: Kris Thomsen <lakristho@gmail.com>
Date:   Wed Dec 29 11:59:54 2010 +0100

    Updated Danish translation

 po/da.po |  180
 +++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 97 insertions(+), 83 deletions(-)

commit f2317ea32b594e0054673557c6ea3c2fec4d080b
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Sun Dec 26 00:32:12 2010 +0100

    Updated Hungarian translation

 po/hu.po |  140
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 70 insertions(+), 70 deletions(-)

commit 29f7b1582d5b7a4bed51ef2497bb0b04b644b052
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Dec 21 17:48:50 2010 +0000

    contacts: Don't return deleted groups in
    gdata_contacts_contact_get_groups()

    Also take the opportunity to rewrite it to use GHashTableIter
    instead of
    a tiny little callback function.

 gdata/services/contacts/gdata-contacts-contact.c |   17 ++++++++++-------
 1 files changed, 10 insertions(+), 7 deletions(-)

commit bda2daa2a4741eb7ad7e59859c62c4df329656d7
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Dec 21 17:44:55 2010 +0000

    contacts: Improve documentation for
    gdata_contacts_contact_is_group_deleted()

 gdata/services/contacts/gdata-contacts-contact.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit c3129e7de1b02ea646c30051dad2c7b3938946c1
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Dec 21 17:44:37 2010 +0000

    contacts: Add tests for group membership

 gdata/tests/contacts.c |   46
 ++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 46 insertions(+), 0 deletions(-)

commit 3dfd4dedf71fae3481477fb66e199f9d235402fd
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Dec 20 13:57:40 2010 +0000

    docs: Remove some outdated TODO comments

 gdata/gdata-service.c                              |    2 +-
 gdata/services/calendar/gdata-calendar-query.c     |    4 ++--
 gdata/services/contacts/gdata-contacts-contact.c   |    1 -
 gdata/services/contacts/gdata-contacts-query.c     |    4 ++--
 gdata/services/picasaweb/gdata-picasaweb-album.c   |    1 -
 gdata/services/picasaweb/gdata-picasaweb-file.h    |    1 -
 gdata/services/picasaweb/gdata-picasaweb-service.c |    1 -
 7 files changed, 5 insertions(+), 9 deletions(-)

commit d3a1231d07669b05b791b15b370065effc35b20e
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Dec 20 13:51:36 2010 +0000

    core: Expand documentation about cancellation of core query methods

 gdata/gdata-service.c |   17 +++++++++++++----
 1 files changed, 13 insertions(+), 4 deletions(-)

commit f5c20a31ae87a543a60024a1f3a62c15eef56b70
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Dec 20 11:29:51 2010 +0000

    core: Expand GDataUploadStream documentation

 gdata/gdata-upload-stream.c |  122
 +++++++++++++++++++++++++++++++++++++++----
 1 files changed, 112 insertions(+), 10 deletions(-)

commit 515868e62f6ed1096b55b7df30c9867a52f3154a
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Dec 20 11:06:54 2010 +0000

    core: Expand GDataDownloadStream documentation

 gdata/gdata-download-stream.c |   64
 +++++++++++++++++++++++++++++++++++++++-
 1 files changed, 62 insertions(+), 2 deletions(-)

commit 7d28021fa21a3349f08940154f5370c0d385266b
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Dec 20 10:28:55 2010 +0000

    core: Move sending of final boundary to gdata_upload_stream_close()

    It makes more sense for the final boundary to be sent to the
    server when
    the stream is closed, and makes the bookkeeping simpler. It also
    means that
    the boundary can't be sent multiple times, which was possible
    before if
    g_output_stream_write() was called multiple times after EOF.

 gdata/gdata-upload-stream.c |   81
 ++++++++++++++++++++++---------------------
 1 files changed, 41 insertions(+), 40 deletions(-)

commit 475e64a25734af7366984e5a5cdb070e01996dd1
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Dec 20 10:12:04 2010 +0000

    core: Don't signal completion of a download in a callback function

    If completion of a GDataDownloadStream download is signalled in
    a callback
    function, it's possible for the stream object to be unreffed and
    finalised
    while the network thread is still using the object (as it has
    some cleanup
    work to do after emitting the “finished” signal).

    This is fixed by moving signalling of finished_cond to the end of
    the thread's
    main function.

 gdata/gdata-download-stream.c |   29 +++++++++++++----------------
 1 files changed, 13 insertions(+), 16 deletions(-)

commit 063845eaabfdf0703914c3d59b63a7945250ce4d
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Dec 20 10:09:21 2010 +0000

    core: Return G_IO_ERROR_CLOSED if stream close methods are called
    again

    While g_[input|output]_stream_close() prevents the close method
    implementation
    from being called multiple times, other methods in GIO (such as
    g_output_stream_splice()) call the close method implementation
    directly, so
    gdata_[upload|download]_stream_close() need to be safe to call
    multiple
    times.

 gdata/gdata-download-stream.c |   16 +++++++++++++---
 gdata/gdata-upload-stream.c   |   16 +++++++++++++---
 2 files changed, 26 insertions(+), 6 deletions(-)

commit d968510805686fba3f0b6d1318db4402b10fbcbe
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Dec 20 10:05:21 2010 +0000

    core: Ensure that _gdata_service_actually_send_message() never
    returns NONE

    If the message was cancelled before
    _gdata_service_actually_send_message()
    was called, it wasn't previously getting the correct status code
    (SOUP_STATUS_CANCELLED) set.

 gdata/gdata-service.c |   12 ++++++++----
 1 files changed, 8 insertions(+), 4 deletions(-)

commit 756cdd54d364bea57a751eb8a543219847d84fdb
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Dec 19 17:23:49 2010 +0000

    core: Take offset into account multiple times in GDataBuffer

    If many small pops are requested of a GDataBuffer which has only
    had large
    pushes done on it, the head_read_offset should be used to return
    the correct
    data from increasing positions in the first chunk. Previously,
    it wasn't.

 gdata/gdata-buffer.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 2cb5ab13464357ad5ed76a1f32dde79f0cfdaeff
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Dec 19 17:22:51 2010 +0000

    tests: Add test suite for GDataUploadStream and GDataDownloadStream

    Add a simple test suite (comprising two tests cases so far) for
    the two
    stream classes. More tests will be added in future.

 gdata/tests/Makefile.am |    3 +
 gdata/tests/streams.c   |  266
 +++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 269 insertions(+), 0 deletions(-)

commit 7b700f72366981c8fb97cfc929d28db1aee2a269
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Dec 18 23:28:26 2010 +0000

    core: Tidy up critical regions in GDataDownloadStream

    Tidy up the mutex locks and unlocks, and ensure that all variables
    which
    should be protected by a mutex, are.

 gdata/gdata-download-stream.c |   29 +++++++++++++++++++++++++----
 1 files changed, 25 insertions(+), 4 deletions(-)

commit f9b2d01bbc94a20091e466c9989b641cc654cd7d
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Dec 18 22:12:44 2010 +0000

    core: Tidy up critical regions in GDataUploadStream

    Tidy up the mutex locks and unlocks, and ensure that all variables
    which
    should be protected by a mutex, are.

 gdata/gdata-upload-stream.c |   31 ++++++++++++++-----------------
 1 files changed, 14 insertions(+), 17 deletions(-)

commit 0c5cb2bee46d0646cba336dc44feb28301bd5e6d
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Dec 18 21:56:04 2010 +0000

    core: Make behaviour of response values more consistent

    We now make more guarantees about the response values (response_status
    and
    response_error). Firstly, we guarantee that they won't be set
    until the
    network activity has finished. Secondly, we guarantee that they
    won't be
    returned by any GOutputStream methods other than
    g_output_stream_close().
    Thirdly, we guarantee that they are immutable once set.

 gdata/gdata-upload-stream.c |   32 ++++++++++++++++++--------------
 1 files changed, 18 insertions(+), 14 deletions(-)

commit ef2af1afd03788feed7e3ed52de84280e2eaeea1
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Dec 18 18:57:42 2010 +0000

    core: Ensure that data from the EOF chunk is uploaded in
    GDataUploadStream

 gdata/gdata-upload-stream.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 484f237da97941f486b5fd4fac84f7baa6810f21
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Dec 18 17:24:44 2010 +0000

    core: Cancel gdata_download_stream_read() if the entire download
    is cancelled

    Helps: bgo#637036

 gdata/gdata-download-stream.c |   36 ++++++++++++++++++++++++++++++++++--
 1 files changed, 34 insertions(+), 2 deletions(-)

commit b1b2f8399a2a03d7ccc11ff8b99fd0ad42411490
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Dec 18 17:07:39 2010 +0000

    core: Refactor return path in gdata_download_stream_read()

    Refactor it to contain a single return statement which asserts
    a postcondition
    derived from the documentation for g_input_stream_read().

 gdata/gdata-download-stream.c |   30 ++++++++++++++++++++----------
 1 files changed, 20 insertions(+), 10 deletions(-)

commit 8dca3d4cb09de2787d490f0b62246d2bd22360a7
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 16 19:10:47 2010 +0000

    core: Allow gdata_download_stream_close() to be cancelled

    Helps: bgo#637036

 gdata/gdata-download-stream.c |  102
 ++++++++++++++++++++++++++++++++++++++--
 1 files changed, 96 insertions(+), 6 deletions(-)

commit 4d2061ee2f614f5ff923d2f49f9218a8db38ddfd
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Dec 18 12:46:07 2010 +0000

    media: Add a cancellable parameter to gdata_media_thumbnail_download()

    Add a cancellable parameter to gdata_media_thumbnail_download()
    to mirror
    GDataDownloadStream:cancellable. The tests have been updated
    accordingly.

    This breaks the following API:
    • gdata_media_thumbnail_download()

    Helps: bgo#637036

 gdata/media/gdata-media-thumbnail.c              |   10 ++++++++--
 gdata/media/gdata-media-thumbnail.h              |    2 +-
 gdata/services/picasaweb/gdata-picasaweb-album.c |    2 +-
 gdata/tests/picasaweb.c                          |    4 ++--
 4 files changed, 12 insertions(+), 6 deletions(-)

commit 63e1cc0b4e8440f851549552da334fe0c58bdc47
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Dec 18 12:43:07 2010 +0000

    media: Add a cancellable parameter to gdata_media_content_download()

    Add a cancellable parameter to gdata_media_content_download()
    to mirror
    GDataDownloadStream:cancellable. The tests have been updated
    accordingly.

    This breaks the following API:
    • gdata_media_content_download()

    Helps: bgo#637036

 gdata/media/gdata-media-content.c               |   10 ++++++++--
 gdata/media/gdata-media-content.h               |    2 +-
 gdata/services/picasaweb/gdata-picasaweb-file.c |    2 +-
 gdata/tests/picasaweb.c                         |    2 +-
 4 files changed, 11 insertions(+), 5 deletions(-)

commit 032a5bc08986f66735846ffec3d1daafcd62cd0f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Dec 18 12:39:43 2010 +0000

    documents: Add a cancellable parameter to
    gdata_documents_document_download()

    Add a cancellable parameter to gdata_documents_document_download()
    to mirror
    GDataDownloadStream:cancellable. The tests have been updated
    accordingly.

    This breaks the following API:
    • gdata_documents_document_download()

    Helps: bgo#637036

 .../services/documents/gdata-documents-document.c  |   11 +++++++++--
 .../services/documents/gdata-documents-document.h  |    2 +-
 gdata/tests/documents.c                            |    6 +++---
 3 files changed, 13 insertions(+), 6 deletions(-)

commit 002d4d83e03f7bb30544d7690c83e4c44f5ae73f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Dec 18 12:35:54 2010 +0000

    core: Add a “cancellable” property to GDataDownloadStream

    Allow the code which creates the GDataDownloadStream to specify
    a GCancellable
    which will cancel the entire download operation (i.e. permanently
    cancel all
    I/O on the stream and all network activity).

    This breaks the following API:
    • gdata_download_stream_new()

    The following API has been added:
    • GDataDownloadStream:cancellable
    • gdata_download_stream_get_cancellable()

    Helps: bgo#637036

 docs/reference/gdata-sections.txt                  |    1 +
 gdata/gdata-download-stream.c                      |   83
 ++++++++++++++++----
 gdata/gdata-download-stream.h                      |    4 +-
 gdata/gdata.symbols                                |    1 +
 gdata/media/gdata-media-content.c                  |    2 +-
 gdata/media/gdata-media-thumbnail.c                |    2 +-
 .../services/documents/gdata-documents-document.c  |    2 +-
 7 files changed, 76 insertions(+), 19 deletions(-)

commit 26b8b853f3c24f47077b277a95ca1f49e37d7584
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 17 23:55:59 2010 +0000

    core: Add support for g_output_stream_flush() to GDataUploadStream

    Now, calling g_output_stream_flush() on a GDataUploadStream will
    block until
    all outstanding bytes have been written to the network.

 gdata/gdata-upload-stream.c |   63
 +++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 63 insertions(+), 0 deletions(-)

commit e74adbd5a414cf075df5fdd868a3cfb628e7f1ac
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 17 21:49:06 2010 +0000

    core: Fix cancellation of gdata_upload_stream_close()

    It shouldn't return a cancellation error for the entire stream — if
    gdata_upload_stream_close() is cancelled, it merely means to return
    from the
    call without blocking on the stream actually being closed.

    Helps: bgo#637036

 gdata/gdata-upload-stream.c |   68
 ++++++++++++++++++++++++++++++++-----------
 1 files changed, 51 insertions(+), 17 deletions(-)

commit b7974ac2ed3293968cfb0c10c610a0afb0d2abc8
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 17 23:30:28 2010 +0000

    youtube: Add a cancellable parameter to the upload video method

    Add a cancellable parameter to gdata_youtube_service_upload_video() to
    mirror GDataUploadStream:cancellable. The tests have been updated
    accordingly.

    This breaks the following API:
     • gdata_youtube_service_upload_video()

    Helps: bgo#637036

 gdata/services/youtube/gdata-youtube-service.c |   11 +++++++++--
 gdata/services/youtube/gdata-youtube-service.h |    3 ++-
 gdata/tests/youtube.c                          |    5 +++--
 3 files changed, 14 insertions(+), 5 deletions(-)

commit c512dd50e0c5c5561dae0ad333cf35e29ff5c1ae
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 17 23:28:30 2010 +0000

    picasaweb: Add a cancellable parameter to the upload file method

    Add a cancellable parameter to gdata_picasaweb_service_upload_file()
    to mirror
    GDataUploadStream:cancellable. The tests have been updated
    accordingly.

    This breaks the following API:
     • gdata_picasaweb_service_upload_file()

    Helps: bgo#637036

 gdata/services/picasaweb/gdata-picasaweb-service.c |   12 +++++++++---
 gdata/services/picasaweb/gdata-picasaweb-service.h |    2 +-
 gdata/tests/picasaweb.c                            |   12 ++++++------
 3 files changed, 16 insertions(+), 10 deletions(-)

commit 2641a723031b13b129cbe9b8e864115f0024a398
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 17 23:26:53 2010 +0000

    documents: Add a cancellable parameter to the upload/update methods

    Add a cancellable parameter to
    gdata_documents_service_upload_document()
    and gdata_documents_service_update_document() to mirror
    GDataUploadStream:cancellable. The tests have been updated
    accordingly.

    This breaks the following API:
     • gdata_documents_service_upload_document()
     • gdata_documents_service_update_document()

    Helps: bgo#637036

 gdata/services/documents/gdata-documents-service.c |   24
 +++++++++++++++-----
 gdata/services/documents/gdata-documents-service.h |    5 ++-
 gdata/tests/documents.c                            |   14 +++++-----
 3 files changed, 28 insertions(+), 15 deletions(-)

commit 2338e007e768770627158f5298cc44bd6de80ed8
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 17 23:13:53 2010 +0000

    core: Add a “cancellable” property to GDataUploadStream

    Allow the code which creates the GDataUploadStream to specify
    a GCancellable
    which will cancel the entire upload operation (i.e. permanently
    cancel all
    I/O on the stream and all network activity).

    This breaks the following API:
     • gdata_upload_stream_new()

    The following API has been added:
     • GDataUploadStream:cancellable
     • gdata_upload_stream_get_cancellable()

    Helps: bgo#637036

 docs/reference/gdata-sections.txt                  |    1 +
 gdata/gdata-upload-stream.c                        |   79
 ++++++++++++++++----
 gdata/gdata-upload-stream.h                        |    3 +-
 gdata/gdata.symbols                                |    1 +
 gdata/services/documents/gdata-documents-service.c |    3 +-
 gdata/services/picasaweb/gdata-picasaweb-service.c |    2 +-
 gdata/services/youtube/gdata-youtube-service.c     |    2 +-
 7 files changed, 72 insertions(+), 19 deletions(-)

commit 89fbed575e1e22c3e68b9bbc1cc4cb93b9800e21
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 17 23:11:19 2010 +0000

    core: Cancel gdata_upload_stream_write() if the entire upload is
    cancelled

    Helps: bgo#637036

 gdata/gdata-upload-stream.c |   34 ++++++++++++++++++----------------
 1 files changed, 18 insertions(+), 16 deletions(-)

commit 4ca3dbe2b46fab8d578ca9d16ab06fe60be08c26
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 17 22:22:24 2010 +0000

    core: Port GDataUploadStream to use the safe message cancellation
    methods

    GDataUploadStream now uses _gdata_service_actually_send_message(), and
    consequently message cancellation is properly an non-racily
    supported by
    holding a GCancellable in the GDataUploadStream's private data.

    Helps: bgo#637036

 gdata/gdata-upload-stream.c |   31 +++++++++++++++++++++++++------
 1 files changed, 25 insertions(+), 6 deletions(-)

commit 8962b93e81f3095cd3c78f0bf2af81c2360311cf
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 16 23:37:54 2010 +0000

    core: Fix synchronisation between threads in GDataUploadStream

    This upgrades GDataUploadStream to keep track of the number of
    bytes in
    various buffers, so that it can return more accurate numbers of
    bytes written
    in each gdata_upload_stream_write() operation, as well as support
    cancellation
    of a write without cancelling the entire upload.

    Helps: bgo#637036

 gdata/gdata-upload-stream.c |   70
 ++++++++++++++++++++++++++++++++----------
 1 files changed, 53 insertions(+), 17 deletions(-)

commit 9170ed2d603397a12be1cbfafd6408b7c37de98a
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 16 23:37:09 2010 +0000

    core: Don't reach EOF in gdata_buffer_pop_data() unless it's the
    last read

    Helps: bgo#637036

 gdata/gdata-buffer.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 97b1e0dccee1a70a53bd601721219ac1639ed450
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 16 22:31:12 2010 +0000

    core: Rearrange the network thread callbacks in GDataUploadStream

    If we use wrote-body-data, we have access to the number of bytes
    which were
    written from the last chunk, which is important for keeping track
    of the total
    number of bytes written, coming up in the next commit.

    Helps: bgo#637036

 gdata/gdata-upload-stream.c |   51
 +++++++++++++++++++++++++++++++-----------
 1 files changed, 37 insertions(+), 14 deletions(-)

commit 61f4f916bfb249c8ed6ff2dcfb5c71a47a6ee902
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 16 22:06:12 2010 +0000

    core: Don't set the response error when cancelling
    gdata_upload_stream_write()

    Helps: bgo#637036

 gdata/gdata-upload-stream.c |   50
 +++++++++++++++++++++++-------------------
 1 files changed, 27 insertions(+), 23 deletions(-)

commit 76ddf92f954288ff187b69328e37317829f24ce9
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 16 19:22:09 2010 +0000

    core: Prevent a race condition in joining GDataUploadStream's
    network thread

    Helps: bgo#637036

 gdata/gdata-upload-stream.c |    7 +------
 1 files changed, 1 insertions(+), 6 deletions(-)

commit 1d32533173641103283c2fc201821cd50e7f180d
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 16 19:16:58 2010 +0000

    core: Add some comments about the lifecycle of GDataDownloadStream

    Helps: bgo#637036

 gdata/gdata-download-stream.c |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit 7dfcadbc0e34e378eff8890a269e91cc0dab298e
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 16 18:27:34 2010 +0000

    core: Port GDataDownloadStream to use the safe message cancellation
    methods

    GDataDownloadStream now uses _gdata_service_actually_send_message(),
    and
    consequently message cancellation is properly an non-racily
    supported by
    holding a GCancellable in the GDataDownloadStream's private data.

    Helps: bgo#637036

 gdata/gdata-download-stream.c |   51
 +++++++++++++++++++++++++++++------------
 1 files changed, 36 insertions(+), 15 deletions(-)

commit ffde18eaeeb03464ad183cc46c41ed10d03f57a9
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 16 18:05:25 2010 +0000

    core: Expose _gdata_service_actually_send_message() internally

    This will allow the GDataUploadStream and GDataDownloadStream
    message-sending
    code to be rebased on it to fix cancellation races.

    Helps: bgo#637036

 gdata/gdata-private.h |    1 +
 gdata/gdata-service.c |   16 ++++++++--------
 2 files changed, 9 insertions(+), 8 deletions(-)

commit fbf02481e91a4bc0aea673dc1a971063426ec3fd
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 16 17:59:12 2010 +0000

    core: Prevent cancellation races being caused by other messages
    being queued

    The SoupSession::request-queued signal is emitted for messages
    other than
    the one we're preventing message cancellation races for, so we need
    to check
    that it's been emitted for the message we're interested in.

    Helps: bgo#637036

 gdata/gdata-service.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 0edc7d221cf99bd701d4912e4ba1546797978544
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 16 17:50:06 2010 +0000

    core: Handle GDataDownloadStreams which never have a network thread
    started

    Helps: bgo#637036

 gdata/gdata-download-stream.c |   22 ++++++++++++++--------
 1 files changed, 14 insertions(+), 8 deletions(-)

commit 3e9e1dbfa7b8a2853635aa3f0ea64421290490b5
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 16 17:36:04 2010 +0000

    core: Block gdata_download_stream_close() on completion of network
    activity

    It wasn't previously waiting for the network activity to finish,
    which it
    should (if any has started).

    Helps: bgo#637036

 gdata/gdata-download-stream.c |   33 +++++++++++++++++++++++++++++----
 1 files changed, 29 insertions(+), 4 deletions(-)

commit 458b9cc57e2a9a734a591a3fe4e0955b3decd401
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 16 16:41:44 2010 +0000

    core: Remove redundant cancellation checks from the authentication
    thread

    Helps: bgo#637036

 gdata/gdata-service.c |   11 ++---------
 1 files changed, 2 insertions(+), 9 deletions(-)

commit cd457fa88f55e3306baef639a7e6a9d292836afb
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 16 16:40:44 2010 +0000

    core: Only notify for GDataService::authenticated if it's actually
    changed

 gdata/gdata-service.c |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit 7111756f40c188479364830b1da819e3e8cf39f9
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 16 16:31:11 2010 +0000

    core: Fix cancellation handling for closing a GDataUploadStream

    Deadlocks could have occurred if the cancellable was in the process
    of being
    cancelled when g_cancellable_disconnect() was called (as it was
    being called
    with the same mutex locked that the cancellation callback attempts
    to lock).

    Additionally, the suboptimal method of running the cancellation code
    in an
    idle callback to ensure that it wasn't run in the same thread as
    gdata_upload_stream_close() can be removed, because the cancellation
    handler
    is now installed before gdata_upload_stream_close() locks the
    response_mutex,
    thus removing the possibility of deadlock if the cancellable has
    already been
    cancelled.

    Helps: bgo#637036

 gdata/gdata-upload-stream.c |   69
 ++++++++++++++++++-------------------------
 1 files changed, 29 insertions(+), 40 deletions(-)

commit 80be38cfb29922a4b0846c1b5496ba3cd3f1f5f4
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 16 16:07:10 2010 +0000

    core: Fix cancellation handling for writing to a GDataUploadStream

    There was a minor locking issue with write_finished, and deadlocks
    could have
    occurred if the cancellable was in the process of being cancelled when
    g_cancellable_disconnect() was called (as it was being called with
    the same
    mutex locked that the cancellation callback attempts to lock).

    Helps: bgo#637036

 gdata/gdata-upload-stream.c |   15 +++++++++------
 1 files changed, 9 insertions(+), 6 deletions(-)

commit 321abcef328f35b2cd732fea7e3e2ccfd96ccf4d
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 16 15:45:50 2010 +0000

    core: Fix error handling for reading from a GDataDownloadStream

    Cancellation should only return an error if it couldn't read a
    single byte.
    All errors should be accompanied by a return value of -1, not 0.

 gdata/gdata-download-stream.c |   17 ++++++++++++-----
 1 files changed, 12 insertions(+), 5 deletions(-)

commit 76e7ba27e5f275fdd886648b00e0d7ea0e2147b4
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 16 15:25:45 2010 +0000

    core: Fix liveness issues and cancellation problems in GDataBuffer

    There was a race condition with cancellation of a
    gdata_buffer_pop_data()
    operation where if the operation was cancelled before the first
    g_cond_wait()
    call, the thread would sit in the g_cond_wait() for ever, as the
    GCond would
    never be signalled in the cancellation handler, as it had already run.

    This commit fixes the problem by serialising access to the cancelled
    flag,
    ensuring that deadlock doesn't occur by setting up and tearing
    down the
    cancellation stuff without the buffer's mutex being held.

    Helps: bgo#637036

 gdata/gdata-buffer.c |   49
 +++++++++++++++++++++++++++----------------------
 1 files changed, 27 insertions(+), 22 deletions(-)

commit 6273d1c7161c892c42e76320fc87988fd58c02f8
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 16 15:02:02 2010 +0000

    core: Ensure all GDataUploadStream ops are finished before freeing
    the message

    It was previously possible for the SoupMessage being used in an
    ongoing
    upload to be unreffed (by dispose()) and destroyed before the
    ongoing network
    operation finished, causing a crash. We now ensure that all network
    operations
    are finished at the start of dispose(), rather than at the start of
    finalize().

 gdata/gdata-upload-stream.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 877c9b0b3ca169d0edd7280b256b0af658a6803a
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 16 14:06:09 2010 +0000

    core: Expand the cancellation docs on gdata_service_query()

 docs/reference/gdata-overview.xml |    2 +-
 gdata/gdata-service.c             |    5 ++++-
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 5d3f8c90da42719cd49bb1f3ef643a676e901f15
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Mon Dec 20 12:57:29 2010 +0100

    [l10n] Updated German translation

 po/de.po |  129
 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 68 insertions(+), 61 deletions(-)

commit b1f7f3fd54a155889939c5bbcafe711e072406e9
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 16 12:45:46 2010 +0000

    docs: Add a diagram of cancellation in libgdata

 docs/reference/Makefile.am        |    7 +++++--
 docs/reference/cancellation.dia   |  Bin 0 -> 1273 bytes
 docs/reference/cancellation.png   |  Bin 0 -> 7849 bytes
 docs/reference/gdata-overview.xml |    8 ++++++++
 4 files changed, 13 insertions(+), 2 deletions(-)

commit ab094bab26aa754196d467a9c183f9598ed8d1f1
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 16 12:41:36 2010 +0000

    docs: Add missing file to EXTRA_DIST

 docs/reference/Makefile.am |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 8baf76c36876bd46c4ebe3399bf52d1775078293
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 16 12:19:52 2010 +0000

    Bug 594814 — Handle GeoRSS for YouTube videos

    Add support for getting and setting the latitude and longitude
    for YouTube
    videos. This adds the following new API:
     • GDataYouTubeVideo:latitude
     • GDataYouTubeVideo:longitude
     • gdata_youtube_video_get_coordinates()
     • gdata_youtube_video_set_coordinates()

    Closes: bgo#594814

 docs/reference/gdata-sections.txt            |    2 +
 gdata/gdata.symbols                          |    2 +
 gdata/services/youtube/gdata-youtube-video.c |  122
 ++++++++++++++++++++++-
 gdata/services/youtube/gdata-youtube-video.h |    2 +
 gdata/tests/youtube.c                        |  135
 +++++++++++++++++++++++++-
 5 files changed, 257 insertions(+), 6 deletions(-)

commit ba11882e88125857219145f6da72ae52d3d3d7c4
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Dec 13 14:53:02 2010 +0100

    Updated Czech translation

 po/cs.po |  146
 ++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 72 insertions(+), 74 deletions(-)

commit 464606f752f1b6832c45e348569dd241b43c66ed
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Dec 11 23:13:50 2010 +0000

    core: Minor documentation fix for some of the authentication
    documentation

 gdata/gdata-service.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 425fc2eb51acbc2ca4b98961a8903ef23dac0d8f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Dec 11 23:13:23 2010 +0000

    core: Add an example of async authentication to the documentation

    Helps: bgo#579885

 gdata/gdata-service.c |   30 ++++++++++++++++++++++++++++++
 1 files changed, 30 insertions(+), 0 deletions(-)

commit 6f39903405ba8f12c3d1808c1fc36b51105ce8a1
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Dec 11 20:12:03 2010 +0000

    tests: Fix comparison of attributes' namespaces in XML tree
    comparisons

 gdata/tests/common.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7c73cdda649657245de554eb0711c04591ef9f9e
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Dec 11 20:23:21 2010 +0100

    Updated Slovenian translation

 po/sl.po |  170
 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 86 insertions(+), 84 deletions(-)

commit ef956e38771209b1dc815e95382f006ceea04c57
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Dec 11 18:27:30 2010 +0000

    core: Remove _gdata_download_stream_find_destination()

    It was unused and private.

 gdata/gdata-download-stream.c |   70
 -----------------------------------------
 gdata/gdata-private.h         |    4 --
 2 files changed, 0 insertions(+), 74 deletions(-)

commit 3a3e1704e0da0c3ddeff973f1beb5c3a69d2b464
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Dec 11 18:24:09 2010 +0000

    core: Fix handling early cancellation of batch operations

    If we left cancellation handling to the GSimpleAsyncResult, our
    code to
    propagate errors to all the operation's callbacks was not being
    called if
    the GCancellable was cancelled really early in running the operation
    (e.g.
    before calling gdata_batch_operation_run[_async]()).

    This commit fixes the problem by disabling GSimpleAsyncResult's
    cancellation
    handling feature for batch operations.

 gdata/gdata-batch-operation.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 3fe595e302eaed8af46b7b3d58313548e4473584
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Dec 11 18:20:46 2010 +0000

    core: Fix a race condition in message cancellation handling

    Message cancellation is performed using soup_session_cancel_message(),
    but
    this has no effect until after the message is queued in the
    SoupSession's
    message queue. Consequently, with the naïve cancellation
    implementation we
    had before, there was a race condition which could occur if the
    message was
    cancelled before it was queued in the session (typically if the
    cancellable
    was cancelled before the message was even passed to the GDataService).

    We fix this by locking message cancellation while the message is
    added to
    the session's message queue, and separately handling cancellation
    which
    occurs before the message is passed to the GDataService.

 gdata/gdata-service.c |  104
 ++++++++++++++++++++++++++++++++++++------------
 1 files changed, 78 insertions(+), 26 deletions(-)

commit 9d04916081eea719b162cde3be0ee5b0da2eb99d
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Dec 11 16:32:36 2010 +0000

    core: Consolidate message sending code in GDataService

    This reduces duplication of the repetitive code needed to send
    messages in
    the authentication and query code paths, and gives a central
    location to
    fix the race conditions in cancellation.

 gdata/gdata-service.c |   30 +++++++-----------------------
 1 files changed, 7 insertions(+), 23 deletions(-)

commit 4ab7b69209455a95afbce8a4b479617696ab860f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Dec 11 15:58:09 2010 +0000

    youtube: Fix another leak in the test suite

 gdata/tests/youtube.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit bca50ab7f79f24fa5d4ba1269094e2e4daf811ab
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Dec 11 15:44:55 2010 +0000

    youtube: Fix batch tests

    Due to the fixes in GDataBatchOperation which ensure that callbacks
    are
    always called for every operation, the batch operation tests need
    fixing.

 gdata/tests/youtube.c |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit 997fc9a3dda1d3d1e38e68b11cb3c5136d484e63
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Dec 11 14:38:00 2010 +0000

    tests: Convert all the tests to use the new XML tree comparison
    function

    This fixes them to work correctly regardless of the GLib version.

 gdata/tests/calendar.c  |   25 +---
 gdata/tests/contacts.c  |   22 +--
 gdata/tests/general.c   |  354
 +++++++++++------------------------------------
 gdata/tests/picasaweb.c |   29 ++---
 gdata/tests/youtube.c   |   15 +--
 5 files changed, 108 insertions(+), 337 deletions(-)

commit c32acde2c4d486fb1a01fed8f76e1442844ac190
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Dec 11 11:53:55 2010 +0000

    tests: Add an XML tree comparison function for the test suite

    Due to a recent change in GLib master which affects the ordering
    of entries
    in hash tables (g_str_hash()'s implementation has been changed),
    many of the
    XML comparisons in libgdata's test suite have been broken. A tidy
    solution is
    to introduce an XML-aware comparison function, rather than just
    using a
    simple string comparison. This commit does that.

    This commit only adds the comparison function; a further one will
    port all
    the test suites to use it.

 gdata/tests/common.c  |  180
 +++++++++++++++++++++++++++++++++++++++++++++++++
 gdata/tests/common.h  |    9 +++
 gdata/tests/general.c |  172
 ++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 361 insertions(+), 0 deletions(-)

commit be936bbdf8b4e4b45d15a7675655e3841a2168e1
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Dec 11 18:18:42 2010 +0100

    Updated Spanish translation

 po/es.po |  133
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 69 insertions(+), 64 deletions(-)

commit 6fb9eb819b1122dca6128133484820ffcd5f421c
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 20:01:46 2010 +0000

    contacts: Add an async method for gdata_contacts_contact_set_photo()

    This includes new tests.

    The following API has been added:
     • gdata_contacts_contact_set_photo_async()
     • gdata_contacts_contact_set_photo_finish()

    Closes: bgo#633363

 docs/reference/gdata-sections.txt                |    2 +
 gdata/gdata.symbols                              |    2 +
 gdata/services/contacts/gdata-contacts-contact.c |  108
 +++++++++++++++++++++-
 gdata/services/contacts/gdata-contacts-contact.h |    3 +
 gdata/tests/contacts.c                           |   76 +++++++++++++++
 5 files changed, 190 insertions(+), 1 deletions(-)

commit 2735092f558b98cfa58c71cdf167ba102b424ce2
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 19:46:48 2010 +0000

    contacts: Tighten the type of service in
    gdata_contacts_contact_set_photo()

    We shouldn't support the use of a GDataService for one service
    with methods
    for a different service.

    This breaks the API of gdata_contacts_contact_set_photo() (again).

 gdata/services/contacts/gdata-contacts-contact.c |   14 +++++++-------
 gdata/services/contacts/gdata-contacts-contact.h |    2 +-
 gdata/tests/contacts.c                           |    4 ++--
 3 files changed, 10 insertions(+), 10 deletions(-)

commit a456b9be8884b2bc9d39ffd09e54b2ce1d0b1ca5
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 19:25:10 2010 +0000

    contacts: Require the content type of new contact photos to be passed

    Google's servers technically require a precise content type for
    image data
    which is uploaded by gdata_contacts_contact_set_photo(), so it's
    necessary
    to add a content type argument to the method.

    This breaks the API of gdata_contacts_contact_set_photo().

 gdata/services/contacts/gdata-contacts-contact.c |    8 +++++---
 gdata/services/contacts/gdata-contacts-contact.h |    2 +-
 gdata/tests/contacts.c                           |    4 ++--
 3 files changed, 8 insertions(+), 6 deletions(-)

commit 03ffabc8a6a7cb0dedd91e61d9a1355b7d08f8bf
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 19:15:22 2010 +0000

    contacts: Add an async method for gdata_contacts_contact_get_photo()

    This includes new tests.

    The following API has been added:
     • gdata_contacts_contact_get_photo_async()
     • gdata_contacts_contact_get_photo_finish()

    Helps: bgo#633363

 docs/reference/gdata-sections.txt                |    2 +
 gdata/gdata.symbols                              |    2 +
 gdata/services/contacts/gdata-contacts-contact.c |  128
 +++++++++++++++++++++-
 gdata/services/contacts/gdata-contacts-contact.h |    6 +
 gdata/tests/contacts.c                           |   44 ++++++++
 5 files changed, 180 insertions(+), 2 deletions(-)

commit fd5f10453b6456ad55d707327a24f14d3df57d95
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 18:41:22 2010 +0000

    contacts: Use guint8 instead of gchar for image data

    When handling contacts' photos, we should use guint8 representations
    rather
    than gchar ones, as the data isn't textual, and for consistency with
    GDataBuffer and friends.

    This changes the types of the following methods, which is an API
    break on
    weird platforms where sizeof(gchar) != sizeof(guint8):
     • gdata_contacts_contact_get_photo()
     • gdata_contacts_contact_set_photo()

 gdata/services/contacts/gdata-contacts-contact.c |    6 +++---
 gdata/services/contacts/gdata-contacts-contact.h |    6 +++---
 gdata/tests/contacts.c                           |    7 ++++---
 3 files changed, 10 insertions(+), 9 deletions(-)

commit f7a0cc289fc2fa82a5ae4d1af6adceb8ed7f5934
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 18:21:26 2010 +0000

    calendar: Add an async method for
    gdata_calendar_service_insert_event()

    This includes new tests.

    The following API has been added:
     • gdata_calendar_service_insert_event_async()

    Helps: bgo#633363

 docs/reference/gdata-sections.txt                |    1 +
 gdata/gdata.symbols                              |    1 +
 gdata/services/calendar/gdata-calendar-service.c |   35 +++++++++++++-
 gdata/services/calendar/gdata-calendar-service.h |    2 +
 gdata/tests/calendar.c                           |   58
 ++++++++++++++++++++++
 5 files changed, 96 insertions(+), 1 deletions(-)

commit 98cabcd58764cd535b3139a9594d3b0f0245bd1f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 18:08:48 2010 +0000

    calendar: Add an async method for
    gdata_calendar_service_query_events()

    This includes new tests.

    The following API has been added:
     • gdata_calendar_service_query_events_async()

    Helps: bgo#633363

 docs/reference/gdata-sections.txt                |    1 +
 gdata/gdata.symbols                              |    1 +
 gdata/services/calendar/gdata-calendar-service.c |   57
 +++++++++++++++++++++-
 gdata/services/calendar/gdata-calendar-service.h |    3 +
 gdata/tests/calendar.c                           |   35 +++++++++++++
 5 files changed, 96 insertions(+), 1 deletions(-)

commit 6a728e3d24f446934bd36f7687d841540ada08f6
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 17:51:41 2010 +0000

    core: Fix attribute escaping for GDataFeed

    Helps: bgo#631033

 gdata/gdata-feed.c    |    2 +-
 gdata/tests/general.c |   32 ++++++++++++++++++++++++++++++++
 2 files changed, 33 insertions(+), 1 deletions(-)

commit 56b33358f94c325dca0fee75a9028247ef5ad896
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 17:45:20 2010 +0000

    core: Fix attribute escaping for GDataAccessRule

    Helps: bgo#631033

 gdata/gdata-access-rule.c |   17 ++++++++++-------
 gdata/tests/general.c     |   26 ++++++++++++++++++++++++++
 2 files changed, 36 insertions(+), 7 deletions(-)

commit 87d003808596109dbb7ab4bf6f946898a9a53c0e
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 17:27:19 2010 +0000

    core: Fix attribute escaping for GDataEntry

    Helps: bgo#631033

 gdata/gdata-entry.c   |    4 +-
 gdata/tests/general.c |   61
 +++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+), 2 deletions(-)

commit 5a6637eb4ba66265a7f698d8bbae4a3f5b6a30a5
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 17:13:33 2010 +0000

    youtube: Switch to a stream-based upload API

    For similar reasons as the Documents service's switch to a
    stream-based
    upload and download API, it makes sense to switch the YouTube service
    to a
    stream-based upload API. This gives us more flexibility as to the
    source of
    uploaded data.

    The test suite has been updated appropriately.

    The following API has been changed:
     • gdata_youtube_service_upload_video()

    The following API has been removed:
     • gdata_youtube_service_upload_video_async()
     • gdata_youtube_service_upload_video_finish()

    The following API has been added:
     • gdata_youtube_service_finish_video_upload()

 docs/reference/gdata-sections.txt              |    3 +-
 gdata/gdata.symbols                            |    5 +-
 gdata/services/youtube/gdata-youtube-service.c |  248
 ++++--------------------
 gdata/services/youtube/gdata-youtube-service.h |    9 +-
 gdata/tests/youtube.c                          |  100 +++++++++-
 5 files changed, 136 insertions(+), 229 deletions(-)

commit f3e240dda770f1816d4d4e533fc6f734e782eac0
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 16:55:45 2010 +0000

    youtube: Make the upload tests idempotent

    This helps towards the goal of making all tests idempotent, but
    also means
    that the tests will be a lot easier to adapt to a stream-based upload
    mechanism which is landing shortly for the YouTube service.

    Helps: bgo#633359

 gdata/tests/youtube.c |  143
 ++++++++++++++++++++++---------------------------
 1 files changed, 64 insertions(+), 79 deletions(-)

commit 70e9d50ae9007181e2938ff347118c93810ef1d1
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 16:49:25 2010 +0000

    youtube: Fix a crash in the error handling code if no GError is
    passed in

 gdata/services/youtube/gdata-youtube-service.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit ea6df1cfd4f7f4d2ccad733e20f9ee05ad618b88
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 15:45:33 2010 +0000

    media: Switch GDataMediaThumbnail to a stream-based download API

    Downloading to a file provided by its path was unnecessarily limiting,
    forcing downloads to be made directly to disk instead of
    (e.g.) another
    network stream, and subjecting clients to libgdata's idea of
    “Replace this
    File?” logic. It's not much extra code for the clients to handle
    this
    themselves, and offers much greater flexibility. We also get async
    support
    for free, as creating the GDataDownloadStream is a cheap operation,
    and it
    already has async support.

    This updates the test suite appropriately. We now load thumbnails
    in the
    test suite directly into GdkPixbufs, which requires that we bump our
    gdk-pixbuf requirement to 2.14.

    This is an API break which affects:
     • gdata_media_thumbnail_download()

    Helps: bgo#633363

 configure.ac                                     |    2 +-
 gdata/media/gdata-media-thumbnail.c              |   49 ++-----
 gdata/media/gdata-media-thumbnail.h              |    8 +-
 gdata/services/picasaweb/gdata-picasaweb-album.c |   13 +-
 gdata/tests/picasaweb.c                          |  175
 +++++----------------
 5 files changed, 66 insertions(+), 181 deletions(-)

commit 8c6c28dca3cbd84759f7933e8fc29aec0a5eb4ac
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 15:29:58 2010 +0000

    media: Switch GDataMediaContent to a stream-based download API

    Downloading to a file provided by its path was unnecessarily limiting,
    forcing downloads to be made directly to disk instead of
    (e.g.) another
    network stream, and subjecting clients to libgdata's idea of
    “Replace this
    File?” logic. It's not much extra code for the clients to handle
    this
    themselves, and offers much greater flexibility. We also get async
    support
    for free, as creating the GDataDownloadStream is a cheap operation,
    and it
    already has async support.

    This updates the test suite appropriately.

    This is an API break which affects:
     • gdata_media_content_download()

    Helps: bgo#633363

 gdata/media/gdata-media-content.c               |   50 +++--------
 gdata/media/gdata-media-content.h               |    6 +-
 gdata/services/picasaweb/gdata-picasaweb-file.c |   12 ++-
 gdata/tests/picasaweb.c                         |  107
 ++++++-----------------
 4 files changed, 50 insertions(+), 125 deletions(-)

commit bee6e510abd2cb63341028d30c59f0f2f374b2dd
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 15:05:46 2010 +0000

    picasaweb: Switch to a stream-based upload API

    For similar reasons as the Documents service's switch to a
    stream-based
    upload and download API, it makes sense to switch the PicasaWeb
    service to a
    stream-based upload API. This gives us more flexibility as to the
    source of
    uploaded data.

    The test suite has been updated appropriately.

    The following API has been changed:
     • gdata_picasaweb_service_upload_file()

    The following API has been removed:
     • gdata_picasaweb_service_upload_file_async()
     • gdata_picasaweb_service_upload_file_finish()

    The following API has been added:
     • gdata_picasaweb_service_finish_file_upload()

 docs/reference/gdata-sections.txt                  |    3 +-
 gdata/gdata.symbols                                |    5 +-
 gdata/services/picasaweb/gdata-picasaweb-service.c |  308
 +++++---------------
 gdata/services/picasaweb/gdata-picasaweb-service.h |   12 +-
 gdata/tests/picasaweb.c                            |  143 ++++++++--
 5 files changed, 203 insertions(+), 268 deletions(-)

commit ab3a9b5f5c69ad9d716d853ea00610915dda626c
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 14:11:55 2010 +0000

    picasaweb: Make the upload tests idempotent

    This helps towards the goal of making all tests idempotent, but
    also means
    that the tests will be a lot easier to adapt to a stream-based upload
    mechanism which is landing shortly for the PicasaWeb service.

    Helps: bgo#633359

 gdata/tests/picasaweb.c |  292
 ++++++++++++++---------------------------------
 1 files changed, 86 insertions(+), 206 deletions(-)

commit 719230d79d877238fc8f13ff9640e24f01d54c24
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 13:04:00 2010 +0000

    picasaweb: Rearrange and rename the upload tests

    This makes them more logical, in preparation for making them
    idempotent.

 gdata/tests/picasaweb.c |  715
 +++++++++++++++++++++++------------------------
 1 files changed, 356 insertions(+), 359 deletions(-)

commit ef81ce227917b36a29b57d88a66c2ed7d5adb4b2
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 12:12:40 2010 +0000

    picasaweb: Fix memory leaks in the picasaweb test suite

 gdata/tests/picasaweb.c |   21 +++++++++++++++++++--
 1 files changed, 19 insertions(+), 2 deletions(-)

commit 1f33f87086c6005f2938985c98575ab3a9f0d142
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 12:12:17 2010 +0000

    picasaweb: Fix a memory leak in GDataPicasaWebService

 gdata/services/picasaweb/gdata-picasaweb-service.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 82ca3cb7a602184bafd87003fddce297f82aa2a1
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 12:11:49 2010 +0000

    core: Fix a memory leak in GDataMediaGroup

 gdata/media/gdata-media-group.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 2c087dd6d3ab3be0ee81c811d9deb98ded181f0f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 11:54:43 2010 +0000

    picasaweb: Update test URIs

    It appears that the test account on PicasaWeb has been moved to
    a different
    server, so we need to update a few URIs in the tests accordingly.

 gdata/tests/picasaweb.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 4f8564081500373ef15e0d15c4f35f1e498bb53e
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 11:44:22 2010 +0000

    tests: Fix memory leaks in the general test suite

 gdata/tests/general.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit e1d394cde3a24b466b3c8d1bb5839b2766eeb0e0
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 11:30:43 2010 +0000

    contacts: Fix a leak in GDataContactsContact

 gdata/services/contacts/gdata-contacts-contact.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 205874013f1d29df289f5ddc0ac019f11d207521
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 11:18:49 2010 +0000

    contacts: Fix memory leaks in the contacts test suite

 gdata/tests/contacts.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit d85e212574069365574e0e31f009013cb0febc08
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 11:11:36 2010 +0000

    contacts: Test that batch operations' callbacks are always called

 gdata/tests/contacts.c |   20 +++++++++++++-------
 1 files changed, 13 insertions(+), 7 deletions(-)

commit 3de1294e146d33dff8cb94f01dbce1d2715c764b
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 10:47:50 2010 +0000

    calendar: Test that batch operations' callbacks are always called

 gdata/tests/calendar.c |   20 +++++++++++++-------
 1 files changed, 13 insertions(+), 7 deletions(-)

commit c2703d63f24a77b5dfd440a69b91932c63c00199
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 10:46:29 2010 +0000

    calendar: Fix memory leaks in the calendar test suite

 gdata/tests/calendar.c |   11 ++++++++++-
 1 files changed, 10 insertions(+), 1 deletions(-)

commit 321fbe1f19184c2b9863c285c803fda120be9a41
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 10:39:44 2010 +0000

    tests: Fix batch tests

    Due to the fixes in GDataBatchOperation which ensure that callbacks
    are
    always called for every operation, some of the batch operation
    tests need
    fixing.

 gdata/tests/calendar.c |    7 ++++++-
 gdata/tests/contacts.c |    7 ++++++-
 2 files changed, 12 insertions(+), 2 deletions(-)

commit a26e978bff4cb83845a822e1ff9d4356a860f047
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 01:59:20 2010 +0000

    core: Fix a major memory leak in GDataDownloadStream

    It turns out that we were leaking the entirety of every file
    downloaded using
    a GDataDownloadStream. Whoops.

 gdata/gdata-download-stream.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ac7299c52faed679d7135ed72861b35b329a6ad2
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 01:52:54 2010 +0000

    core: Fix a memory leak in the URI handling code

 gdata/gdata-service.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 58964fb7f1e1608b32f275f28046fcffa6949fd7
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Dec 10 01:50:39 2010 +0000

    core: Fix a memory leak in the logging code

 gdata/gdata-service.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 6a9e3708203828aabd4904d9b676603a6ea76726
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 9 21:50:20 2010 +0000

    core: Rearrange some of the batch operation code

    This replaces a g_hash_table_foreach() call with use of a
    GHashTableIter,
    saving some function calls and reusing existing variables better.

 gdata/gdata-batch-operation.c |   66
 ++++++++++++++++++----------------------
 1 files changed, 30 insertions(+), 36 deletions(-)

commit 17142ca07f96d671ad07c8be48df5892bd8187c2
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 9 21:45:51 2010 +0000

    core: Ensure GDataBatchOperation's operations' callbacks are always
    called

    Even in error conditions, the callbacks for each of the operations
    in a
    GDataBatchOperation should be called, or memory leaks could result.

 gdata/gdata-batch-feed.c      |    6 +-
 gdata/gdata-batch-operation.c |   83
 +++++++++++++++++++++++++++++++----------
 gdata/tests/common.c          |   59 +++++++++++++++++++++++++++++
 gdata/tests/common.h          |    3 +
 gdata/tests/documents.c       |   31 ++++++++++-----
 5 files changed, 149 insertions(+), 33 deletions(-)

commit d08105e42c0f6d93dfff9fd5e61fe9522579cdb6
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 9 19:54:58 2010 +0000

    core: Emit notifications from GDataDownloadStream in the download
    thread

    Emitting them in the main thread doesn't guarantee us any extra thread
    safety (the client is still required to be MT-safe, as the thread
    which
    started the download operation could be different from the one
    with the
    main loop), and can cause memory leaks if a main loop isn't running.

    Note that this is an API break (of sorts), as extra restrictions
    have been
    added to the use of notification signals for
    GDataDownloadStream::content-length and
    GDataDownloadStream::content-type.

 gdata/gdata-download-stream.c |   28 +++++++++++++---------------
 1 files changed, 13 insertions(+), 15 deletions(-)

commit b6a3b8e2dd1c844be5a8adda378ca900c255714c
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 9 19:01:32 2010 +0000

    documents: Fix some memory leaks in the documents test suite

 gdata/tests/documents.c |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit 940ef4279001cf2ea5551192e668865d1cc52375
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 9 18:58:33 2010 +0000

    core: Fix a memory leak in GDataBatchOperation

 gdata/gdata-batch-feed.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 118758e95854ae98ba8183e358d35be98d497fce
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 9 18:46:39 2010 +0000

    documents: Fix a memory leak in GDataDocumentsQuery

 gdata/services/documents/gdata-documents-query.c |   21
 +++++++++++++++++++++
 1 files changed, 21 insertions(+), 0 deletions(-)

commit 7ba3624aac18d7233cae4901a0d02449f0ffeb0e
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 9 17:48:37 2010 +0000

    picasaweb: Fix a minor documentation problem

 gdata/services/picasaweb/gdata-picasaweb-service.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4e97fad4065c3d85ffe83406f38eb5de6dbadc7e
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 9 17:30:02 2010 +0000

    documents: Add an async method to remove entries from folders

    This adds an asynchronous version of
    gdata_documents_service_remove_entry_from_folder(), and the associated
    normal
    and cancellation tests.

    The following API has been added:
     • gdata_documents_service_from_entry_from_folder_async()
     • gdata_documents_service_from_entry_from_folder_finish()

    Helps: bgo#633363

 docs/reference/gdata-sections.txt                  |    2 +
 gdata/gdata.symbols                                |    2 +
 gdata/services/documents/gdata-documents-service.c |  110
 ++++++++++++++++++++
 gdata/services/documents/gdata-documents-service.h |    4 +
 gdata/tests/documents.c                            |   84 +++++++++++++++
 5 files changed, 202 insertions(+), 0 deletions(-)

commit 83b78714fa32ed23dbb16155d827f6bfad40ea13
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 9 17:23:28 2010 +0000

    documents: Make the test for removing from a folder idempotent

    This helps towards the goal of making all tests idempotent, but
    also means
    that the setup and teardown code can be reused to test the
    asynchronous
    method gdata_documents_service_remove_entry_from_folder_async().

    Helps: bgo#633359

 gdata/tests/documents.c |  175
 +++++++++++++++++------------------------------
 1 files changed, 64 insertions(+), 111 deletions(-)

commit 54c6db565cc1d4bb263d58aac2cb8e8743f44bbd
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 9 17:09:11 2010 +0000

    documents: Add an async method to add entries to folders

    This adds an asynchronous version of
    gdata_documents_service_add_entry_to_folder(), and the associated
    normal and
    cancellation tests.

    The following API has been added:
     • gdata_documents_service_add_entry_to_folder_async()
     • gdata_documents_service_add_entry_to_folder_finish()

    Helps: bgo#633363

 docs/reference/gdata-sections.txt                  |    2 +
 gdata/gdata.symbols                                |    2 +
 gdata/services/documents/gdata-documents-service.c |  109
 ++++++++++++++++++++
 gdata/services/documents/gdata-documents-service.h |    5 +
 gdata/tests/documents.c                            |   88
 ++++++++++++++++
 5 files changed, 206 insertions(+), 0 deletions(-)

commit e5ea2a506ca42ff7c4095c8aa06f17591a29d314
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 9 16:28:16 2010 +0000

    documents: Make the test for adding to a folder idempotent

    This helps towards the goal of making all tests idempotent, but
    also means
    that the setup and teardown code can be reused to test the
    asynchronous
    method gdata_documents_service_add_entry_to_folder_async().

    Helps: bgo#633359

 gdata/tests/documents.c |   84
 +++++++++++++++++++++++++++++++---------------
 1 files changed, 56 insertions(+), 28 deletions(-)

commit de5b50417d7e128bd7eed12ed81dbf0247c28ee0
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 9 15:40:02 2010 +0000

    documents: Rename add to/remove from folder methods

    To better indicate that the following methods can be used on
    documents and
    folders, and because “move” was a misnomer (the document isn't
    moved; it's
    merely added to a new folder without being removed from its old
    ones), two
    methods in GDataDocumentsService have been renamed.

    The following API changes have been made:
     • gdata_documents_service_move_document_to_folder() has been
     renamed to
       gdata_documents_service_add_entry_to_folder()
     • gdata_documents_service_remove_document_from_folder() has been
     renamed to
       gdata_documents_service_remove_entry_from_folder()

 docs/reference/gdata-sections.txt                  |    4 +-
 gdata/gdata.symbols                                |    4 +-
 gdata/services/documents/gdata-documents-service.c |   84
 ++++++++++----------
 gdata/services/documents/gdata-documents-service.h |   13 ++--
 gdata/tests/documents.c                            |   12 ++--
 5 files changed, 60 insertions(+), 57 deletions(-)

commit c5954219e84d94ee70cbde9390ed2f0da8d20893
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 9 15:25:30 2010 +0000

    documents: Fix the API of the document upload methods

    Since the upload methods are now only for uploading documents
    with data,
    they should no longer be used to insert folders
    (gdata_service_insert_entry() should be used instead). Consequently,
    they
    can accept the more specific GDataDocumentsDocument rather than
    GDataDocumentsEntry.

    This changes the API of the following methods (again):
     • gdata_documents_service_upload_document()
     • gdata_documents_service_update_document()
     • gdata_documents_service_finish_upload()

 .../services/documents/gdata-documents-document.h  |    3 +-
 gdata/services/documents/gdata-documents-service.c |   34 +++++++-------
 gdata/services/documents/gdata-documents-service.h |    9 ++--
 gdata/tests/documents.c                            |   49
 +++++++++++---------
 4 files changed, 51 insertions(+), 44 deletions(-)

commit 35b6599dff2d54e3ddc05ce43f75b87a8ef8c04c
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 9 14:22:09 2010 +0000

    documents: Don't fail the batch tests if cleaning up fails

 gdata/tests/documents.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

commit f3e8cc9bc4df36d0882b37734d1a44467eda4692
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 9 14:14:38 2010 +0000

    documents: Work around an ETag problem when uploading new documents

    Google's servers appear to modify newly uploaded documents a few
    seconds
    after returning the entry and ETag for them to the client, thus
    changing the
    documents' ETags and causing subsequent queries by the client to
    fail due to
    an outdated ETag. This commit hacks the test suite to sleep for
    5 seconds
    after uploading a new document before querying for the new document
    to get
    the updated ETag.

    See:
    http://code.google.com/a/google.com/p/apps-api-issues/issues/detail?id=2337

 gdata/tests/documents.c |   60
 +++++++++++++++++++++++++++++++++++-----------
 1 files changed, 45 insertions(+), 15 deletions(-)

commit c405bb66b00a72a3882452ff11b29aac6f2a0e4e
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 9 01:31:10 2010 +0000

    documents: Switch to a stream-based upload API

    For similar reasons as the switch to a stream-based download API,
    it makes
    sense to switch to a stream-based upload API. This gives us
    asynchronous
    support for free.

    The test suite has been updated appropriately.

    The following API has been broken:
     • gdata_documents_service_upload_document()
     • gdata_documents_service_update_document()

    The following API has been added:
     • gdata_documents_service_finish_upload()

 docs/reference/gdata-sections.txt                  |    1 +
 gdata/gdata.symbols                                |    1 +
 gdata/services/documents/gdata-documents-service.c |  253 +++++------
 gdata/services/documents/gdata-documents-service.h |   14 +-
 gdata/tests/documents.c                            |  439
 +++++++++++++++++---
 5 files changed, 505 insertions(+), 203 deletions(-)

commit 3f3fd8ca71d10bb24b5b3ee8b12325f46f17cf34
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Dec 8 15:06:38 2010 +0000

    documents: Switch to a stream-based download API

    Downloading to a file provided by its path was unnecessarily limiting,
    forcing downloads to be made directly to disk instead of
    (e.g.) another
    network stream, and subjecting clients to libgdata's idea of
    “Replace this
    File?” logic. It's not much extra code for the clients to handle
    this
    themselves, and offers much greater flexibility. We also get async
    support
    for free, as creating the GDataDownloadStream is a cheap operation,
    and it
    already has async support.

    This updates the test suite appropriately.

    This is an API break which affects:
     • gdata_documents_document_download()

 .../services/documents/gdata-documents-document.c  |   69 +++-----------
 .../services/documents/gdata-documents-document.h  |    6 +-
 gdata/tests/documents.c                            |  101
 ++++++++++---------
 3 files changed, 68 insertions(+), 108 deletions(-)

commit 0aa354ee8017e1a13f394c29e95ac5ba5b55363f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Dec 4 12:29:20 2010 +0000

    picasaweb: Fix XML tag names for GDataPicasaWebFile:version

    The gphoto:version tag has been deprecated (see
    http://code.google.com/apis/picasaweb/docs/2.0/releasenotes.html), and
    appears to have been replaced by gphoto:imageVersion.

 gdata/services/picasaweb/gdata-picasaweb-file.c |    2 +-
 gdata/tests/picasaweb.c                         |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit abc595a95f9556678bde56364fdfe40920fbb5cb
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 2 18:24:40 2010 +0000

    picasaweb: Remove GDataPicasaWebFile:position

    The service no longer deals with photo positions in albums (see
    http://code.google.com/apis/picasaweb/docs/2.0/releasenotes.html). The
    following API has been removed:
     • GDataPicasaWebFile:position
     • gdata_picasaweb_file_get_position()
     • gdata_picasaweb_file_set_position()

 docs/reference/gdata-sections.txt               |    2 -
 gdata/gdata.symbols                             |    2 -
 gdata/services/picasaweb/gdata-picasaweb-file.c |   67
 -----------------------
 gdata/services/picasaweb/gdata-picasaweb-file.h |    2 -
 gdata/tests/picasaweb.c                         |    4 --
 5 files changed, 0 insertions(+), 77 deletions(-)

commit fadf3de794738340162b53c0390f4254614b7ebc
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 2 18:19:45 2010 +0000

    picasaweb: Remove GDataPicasaWebFile:client

    The service no longer deals with client information (see
    http://code.google.com/apis/picasaweb/docs/2.0/releasenotes.html). The
    following API has been removed:
     • GDataPicasaWebFile:client
     • gdata_picasaweb_file_get_client()
     • gdata_picasaweb_file_set_client()

 docs/reference/gdata-sections.txt               |    2 -
 gdata/gdata.symbols                             |    2 -
 gdata/services/picasaweb/gdata-picasaweb-file.c |   67
 -----------------------
 gdata/services/picasaweb/gdata-picasaweb-file.h |    2 -
 gdata/tests/picasaweb.c                         |    3 -
 5 files changed, 0 insertions(+), 76 deletions(-)

commit 8e751ef512ec8feae2e374d1e0698f2d9fa4efb9
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 2 18:12:57 2010 +0000

    picasaweb: Fix parsing of GDataPicasaWebFile:checksum

 gdata/services/picasaweb/gdata-picasaweb-file.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a672b202e53fb46ddb9793d5d2cdfc43e55895f6
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 2 18:07:06 2010 +0000

    youtube: Fix attribute escaping for GDataYouTubeVideo

    Closes: bgo#631033

 gdata/services/youtube/gdata-youtube-video.c |    4 +-
 gdata/tests/youtube.c                        |   38
 ++++++++++++++++++++++++++
 2 files changed, 40 insertions(+), 2 deletions(-)

commit a4c26eee25bdc5dfc87cc34998655f769b5b62b9
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 2 18:06:15 2010 +0000

    youtube: Emit XML for a video's aspect ratio

 gdata/services/youtube/gdata-youtube-group.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 2b16dc2baf8a1691b078606d5dc8820b063f33bd
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 2 18:00:54 2010 +0000

    youtube: Don't notify on a non-existent property when changing
    aspect ratio

 gdata/services/youtube/gdata-youtube-group.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 6de8fc98f282e338e372b1ab612e05e37925707a
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 2 17:24:55 2010 +0000

    youtube: Fix attribute escaping for GDataYouTubeCredit

    Note: we can't add a test case for this, as GDataYouTubeCredit
    isn't publicly
    exposed.

    Helps: bgo#631033

 gdata/services/youtube/gdata-youtube-credit.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a4dae63676259caa67b48f0cefec4522c7516d56
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 2 17:19:27 2010 +0000

    picasaweb: Fix attribute escaping for GDataPicasaWebFile

    Helps: bgo#631033

 gdata/services/picasaweb/gdata-picasaweb-file.c |    7 +--
 gdata/tests/picasaweb.c                         |   55
 +++++++++++++++++++++++
 2 files changed, 58 insertions(+), 4 deletions(-)

commit 58880acd7ad007d2fee1f2278ffbb78f7b7bea02
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 2 17:06:00 2010 +0000

    picasaweb: Fix attribute escaping for GDataPicasaWebAlbum

    Helps: bgo#631033

 gdata/services/picasaweb/gdata-picasaweb-album.c |    3 +-
 gdata/tests/picasaweb.c                          |   45
 ++++++++++++++++++++++
 2 files changed, 46 insertions(+), 2 deletions(-)

commit a14db789764bd49a83d9a91d3682217a6dd492f2
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 2 16:48:33 2010 +0000

    documents: Fix attribute escaping for GDataDocumentsEntry subclasses

    No test cases can be added, as no public API is affected by the
    escaping.

    Helps: bgo#631033

 gdata/services/documents/gdata-documents-folder.c  |    2 +-
 .../documents/gdata-documents-presentation.c       |    3 ++-
 .../documents/gdata-documents-spreadsheet.c        |    3 ++-
 gdata/services/documents/gdata-documents-text.c    |    3 ++-
 4 files changed, 7 insertions(+), 4 deletions(-)

commit 82c4747c889d795841ae9c42310c60e421ea7274
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 2 16:37:14 2010 +0000

    contacts: Fix attribute escaping for GDataContactsGroup

    Helps: bgo#631033

 gdata/services/contacts/gdata-contacts-group.c |    5 ++-
 gdata/tests/contacts.c                         |   26
 ++++++++++++++++++++++++
 2 files changed, 29 insertions(+), 2 deletions(-)

commit 9e04e24eaca7ddbb7a3c98f459baf1593f394e67
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 2 16:29:24 2010 +0000

    contacts: Fix attribute escaping for GDataContactsContact

    Helps: bgo#631033

 gdata/services/contacts/gdata-contacts-contact.c |   10 ++--
 gdata/tests/contacts.c                           |   58
 ++++++++++++++++++++++
 2 files changed, 64 insertions(+), 4 deletions(-)

commit c6bde418737a0816a839156055e0ebc860443031
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 2 15:58:09 2010 +0000

    calendar: Fix attribute escaping for GDataCalendarEvent

    Helps: bgo#631033

 gdata/services/calendar/gdata-calendar-event.c |   11 +++----
 gdata/tests/calendar.c                         |   36
 ++++++++++++++++++++++++
 2 files changed, 41 insertions(+), 6 deletions(-)

commit 344a3136ba02ce33849d76318ea1c62e2c2057f8
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 2 15:49:01 2010 +0000

    calendar: Fix attribute escaping for GDataCalendarCalendar

    Helps: bgo#631033

 gdata/tests/calendar.c |   28 ++++++++++++++++++++++++++++
 1 files changed, 28 insertions(+), 0 deletions(-)

commit e18ee7f900762b49043849ad1d66c51357f2fead
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 2 15:36:21 2010 +0000

    media: Fix attribute escaping for GDataMediaGroup

    Note: we can't add a test case for this, as GDataMediaGroup isn't
    publicly
    exposed.

    Helps: bgo#631033

 gdata/media/gdata-media-group.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 435d9a9b250e9e81f454912e344b5e4b7707c33c
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 2 15:30:51 2010 +0000

    media: Fix attribute escaping for GDataMediaCategory

    Helps: bgo#631033

 gdata/media/gdata-media-category.c |    2 +-
 gdata/tests/general.c              |   19 +++++++++++++++++++
 2 files changed, 20 insertions(+), 1 deletions(-)

commit 0e59d4caf5463d846322f240431128df0fddc771
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 2 12:23:42 2010 +0000

    gcontact: Fix attribute escaping for GDataGContactWebsite

    Helps: bgo#631033

 gdata/gcontact/gdata-gcontact-website.c |    2 +-
 gdata/tests/general.c                   |   20 ++++++++++++++++++++
 2 files changed, 21 insertions(+), 1 deletions(-)

commit 91c1bc17304dcde4356652ac2ed2552961e34d36
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 2 12:20:40 2010 +0000

    gcontact: Fix attribute escaping for GDataGContactRelation

    Helps: bgo#631033

 gdata/gcontact/gdata-gcontact-relation.c |    2 +-
 gdata/tests/general.c                    |   32
 ++++++++++++++++++++++++++++++
 2 files changed, 33 insertions(+), 1 deletions(-)

commit 807ae95cb8d2baac80002c4bb79118f9de2b1e1f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 2 12:17:31 2010 +0000

    gcontact: Fix attribute escaping for GDataGContactLanguage

    Helps: bgo#631033

 gdata/gcontact/gdata-gcontact-language.c |    2 +-
 gdata/tests/general.c                    |   32
 ++++++++++++++++++++++++++++++
 2 files changed, 33 insertions(+), 1 deletions(-)

commit 0cf802f5f3c6f90e04cb6ef5f308ece73dca20e3
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 2 12:14:35 2010 +0000

    gcontact: Fix attribute escaping for GDataGContactJot

    Helps: bgo#631033

 gdata/gcontact/gdata-gcontact-jot.c |    2 +-
 gdata/tests/general.c               |   19 +++++++++++++++++++
 2 files changed, 20 insertions(+), 1 deletions(-)

commit db01acd110abb30bbce46d9e6d922a1947c84ef9
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 2 12:12:11 2010 +0000

    gcontact: Fix attribute escaping for GDataGContactExternalID

    Helps: bgo#631033

 gdata/gcontact/gdata-gcontact-external-id.c |    2 +-
 gdata/tests/general.c                       |   32
 +++++++++++++++++++++++++++
 2 files changed, 33 insertions(+), 1 deletions(-)

commit 1645782428aaf608bce29915641a91da3568ab20
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 2 12:08:16 2010 +0000

    gcontact: Fix attribute escaping for GDataGContactEvent

    Helps: bgo#631033

 gdata/gcontact/gdata-gcontact-event.c |    2 +-
 gdata/tests/general.c                 |   40
 +++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+), 1 deletions(-)

commit d0060ea09749752aa6c15676beb0467faef0f9f1
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 2 12:01:16 2010 +0000

    gcontact: Fix attribute escaping for GDataGContactCalendar

    Helps: bgo#631033

 gdata/gcontact/gdata-gcontact-calendar.c |    2 +-
 gdata/tests/general.c                    |   32
 ++++++++++++++++++++++++++++++
 2 files changed, 33 insertions(+), 1 deletions(-)

commit 852579001a8e76c4cb5b5413429342dd643647f5
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 2 11:53:27 2010 +0000

    atom: Fix attribute escaping for GDataLink

    Helps: bgo#631033

 gdata/atom/gdata-link.c |    6 +++---
 gdata/tests/general.c   |   23 +++++++++++++++++++++++
 2 files changed, 26 insertions(+), 3 deletions(-)

commit 47e85e0de0094fc161aa9ab4b53f23b64feecde8
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 2 11:47:41 2010 +0000

    atom: Fix attribute escaping for GDataCategory

    Helps: bgo#631033

 gdata/atom/gdata-category.c |    4 ++--
 gdata/tests/general.c       |   19 +++++++++++++++++++
 2 files changed, 21 insertions(+), 2 deletions(-)

commit edf4d2e0afa128bcae9ef348a085e63fd6f19952
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 2 11:44:03 2010 +0000

    atom: Fix attribute escaping for GDataAuthor

    Helps: bgo#631033

 gdata/tests/general.c |   22 ++++++++++++++++++++++
 1 files changed, 22 insertions(+), 0 deletions(-)

commit ede9722c773167ff91af3d5b9f1f75bd5e1b82da
Author: Evan Nemerson <evan@coeus-group.com>
Date:   Fri Nov 19 23:50:37 2010 -0800

    build: Include information about exported packages in GIR

    Closes: bgo#635335

 Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 195819c7ee35dedbb0e55e0832b970977a21867d
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Dec 1 20:56:19 2010 +0000

    youtube: Remove GDataYouTubeService:youtube-user

    Due to standardisation on the ClientLogin interface for authentication
    in the
    YouTube service, the user's YouTube username is no longer accessible
    to
    libgdata (and would be largely irrelevant even if it
    was). Consequently, the
    following API has been removed:
     • GDataYouTubeService:youtube-user
     • gdata_youtube_service_get_youtube_user()

    See also: bgo#634033

 docs/reference/gdata-sections.txt              |    1 -
 gdata/gdata.symbols                            |    1 -
 gdata/services/youtube/gdata-youtube-service.c |   35
 +-----------------------
 gdata/services/youtube/gdata-youtube-service.h |    1 -
 4 files changed, 1 insertions(+), 37 deletions(-)

commit a0944994877651f63fb7f9bcde76e9a7961d416c
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Dec 1 20:52:08 2010 +0000

    Bug 634033 — Use standard login URI for YouTube

    YouTube is switching over to using the same ClientLogin URI as
    all other
    GData services. This obsoletes GDataYouTubeService:youtube-user,
    which will
    disappear shortly.

    Closes: bgo#634033

 gdata/services/youtube/gdata-youtube-service.c |   37
 ------------------------
 gdata/tests/youtube.c                          |    3 --
 2 files changed, 0 insertions(+), 40 deletions(-)

commit 30ddfe1864085a1bdfe69a057065eaf977811771
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Dec 1 20:45:03 2010 +0000

    Bug 635736 — Asynchronous authentication tests broken

    The asynchronous authentication tests have been broken for a while,
    probably
    caused due to changes of asynchronous callback functions within
    GIO. We
    previously depended on an idle function to set the username and
    password
    after a successful asynchronous authentication, but due to the
    priority
    changes this has stopped being called before the asynchronous result
    callback, meaning that the results of authentication weren't
    available to
    the callback. This made it look like authentication had failed,
    when in
    reality it had succeeded and the results were waiting in the main
    loop's
    queue.

    This changes it so that the authentication information in GDataService
    is
    set inside the authentication thread, protected by a mutex.

    Closes: bgo#635736

 gdata/gdata-service.c |   65
 ++++++++++++++++++++++++++----------------------
 1 files changed, 35 insertions(+), 30 deletions(-)

commit acf599f253512bced955e5fa94528c82dac79f82
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Nov 30 23:56:18 2010 +0000

    Bug 635959 — Proper cancellation support for GDataUploadStream

    Add proper cancellation support to GDataUploadStream. This involves
    adding
    support for not starting the upload thread if the operation has been
    cancelled very early, plus adding support for cancelling it mid-upload
    using
    soup_session_cancel_message().

    One of the PicasaWeb upload cancellation tests had to be changed to
    use a
    smaller timeout in order to provide more of a guarantee that it'll
    cancel
    during the upload.

    Closes: bgo#635959

 gdata/gdata-upload-stream.c |   25 +++++++++++++++++++++++--
 gdata/tests/picasaweb.c     |    2 +-
 2 files changed, 24 insertions(+), 3 deletions(-)

commit 1cf698f8233f9a431a4b84cc4a69efbb125439b8
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Nov 27 23:11:13 2010 +0000

    core: Store the start index as an unsigned int in GDataQuery

    The external interface was accepting unsigned values, but was
    storing them
    as signed internally.

 gdata/gdata-query.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8fb1a2873e39e2e1dae6e405cef756e2a289653b
Author: George Stephanos <gaf.stephanos@gmail.com>
Date:   Sat Nov 27 23:04:16 2010 +0000

    Bug 607620 — Cancelled uploads appear partially complete in
    PicasaWeb

    Ensure that the bottom multipart/related boundary string isn't sent
    to the
    server for cancelled uploads (or indeed, any uploads which have
    experienced
    an error). This prevents partial uploads from being interpreted by
    the server
    as images. Patch based directly on work by George Stephanos
    <gaf.stephanos@gmail.com> for GCI 2010. Closes: bgo#607620

 gdata/gdata-upload-stream.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit f80a20656ec3cdabc9882670769ebd331495d2f6
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Nov 27 23:00:15 2010 +0000

    core: Prevent deadlock when closing a cancelled GDataUploadStream

    When closing a GDataUploadStream which has already been cancelled, the
    cancellation callback would be executed in the same thread as
    gdata_upload_stream_close(), causing a deadlock (as they both tried
    to hold
    the same lock). The only solution I can think of is to move the
    cancellation
    out to the main thread, which ensures that deadlock will only happen
    if the
    application is doing synchronous I/O (i.e. gdata_upload_stream_close()
    gets
    called in the main thread). If they're doing that, they deserve
    the deadlock.
    Spotted by George Stephanos <gaf.stephanos@gmail.com>. Helps:
    bgo#607620

 gdata/gdata-upload-stream.c |   34 ++++++++++++++++++++++++++++++----
 1 files changed, 30 insertions(+), 4 deletions(-)

commit c760229b57fa19a43777c96e32584432a3b3c894
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Nov 27 22:51:08 2010 +0000

    picasaweb: Add tests for upload cancellation

    There are two tests: one cancels as early as possible (ideally
    before any
    data is uploaded, though that can't be guaranteed), and one cancels
    at few
    tens of milliseconds into the upload (ideally half-way through
    uploading the
    data). Helps: bgo#607620

 gdata/tests/picasaweb.c |   91
 +++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 91 insertions(+), 0 deletions(-)

commit 61e704dc4a948f3fba2f874da5ca23593a5f8712
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Nov 27 21:47:46 2010 +0000

    core: Store the maximum number of results as an unsigned int in
    GDataQuery

    The external interface was accepting unsigned values, but was
    storing them
    as signed internally, leading to interesting things happening when
    G_MAXUINT
    was passed as max-results, as recommended by the documentation.

 gdata/gdata-query.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 10356809fe9621b409266d0840c855f10e0f480b
Author: Eleanor Chen <chenyueg@gmail.com>
Date:   Sat Nov 27 16:50:28 2010 +0000

    Update Simplified Chinese translation.

 po/zh_CN.po |   59
 +++++++++++++++++++++++++++++++++++------------------------
 1 files changed, 35 insertions(+), 24 deletions(-)

commit 48edf829a465abe7ff43d29a71ca6f1ecc7756e6
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Nov 22 22:07:45 2010 +0000

    build: Don't use IT_PROG_INTLTOOL and AM_GNU_GETTEXT

    They conflict. See bgo#635134.

 configure.ac |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit af998f97bc2efdeeed944ec87cc6f6080da9f66f
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Thu Nov 18 22:38:55 2010 +0100

    Updated Basque language

 po/eu.po |  267
 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 169 insertions(+), 98 deletions(-)

commit c2ef6202f60bbfb6f78dee8e72bc567435b924f0
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Sun Nov 14 22:26:33 2010 +0100

    Updated Hungarian translation

 po/hu.po |   51 +++++++++++++++++++++++++++++++--------------------
 1 files changed, 31 insertions(+), 20 deletions(-)

commit b13fe3d891264b520fa95e6d8512a48976187bbe
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Nov 7 16:15:22 2010 +0000

    picasaweb: Add gdata_picasaweb_service_query_files_async()

    Helps: bgo#633363

 docs/reference/gdata-sections.txt                  |    1 +
 gdata/gdata.symbols                                |    1 +
 gdata/services/picasaweb/gdata-picasaweb-service.c |   80
 ++++++++++++++++---
 gdata/services/picasaweb/gdata-picasaweb-service.h |    3 +
 gdata/tests/picasaweb.c                            |   55 +++++++++++++
 5 files changed, 127 insertions(+), 13 deletions(-)

commit 79f37d272c704ef2000c087e6e9d70e599314c91
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Nov 7 15:49:02 2010 +0000

    picasaweb: Add gdata_picasaweb_service_insert_album_async()

    Helps: bgo#633363

 docs/reference/gdata-sections.txt                  |    1 +
 gdata/gdata.symbols                                |    1 +
 gdata/services/picasaweb/gdata-picasaweb-service.c |   30 +++++++++++++
 gdata/services/picasaweb/gdata-picasaweb-service.h |    2 +
 gdata/tests/picasaweb.c                            |   46
 ++++++++++++++++++++
 5 files changed, 80 insertions(+), 0 deletions(-)

commit 0ac15d351d22069476161adfbf1ca3c8faf98c18
Author: Petr Kovar <pknbe@volny.cz>
Date:   Sun Oct 31 12:32:33 2010 +0100

    Update Czech translation by Marek Cernocky

 po/cs.po |   73
 +++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 42 insertions(+), 31 deletions(-)

commit e67903b21218455a405d2294f0516cf21896193f
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Fri Oct 29 23:36:43 2010 +0100

    Added Catalan (Valencian) translation

 po/LINGUAS        |    1 +
 po/ca@valencia.po |  456
 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 457 insertions(+), 0 deletions(-)

commit 85a249181981af3333673d9e1ea4e76c2b691c73
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Oct 28 10:10:17 2010 +0100

    youtube: Add gdata_youtube_service_upload_video_async()

    This includes tests and documentation.

 docs/reference/gdata-sections.txt              |    2 +
 gdata/gdata.symbols                            |    2 +
 gdata/services/youtube/gdata-youtube-service.c |  213
 +++++++++++++++++++++---
 gdata/services/youtube/gdata-youtube-service.h |    4 +
 gdata/tests/youtube.c                          |   53 ++++++
 5 files changed, 252 insertions(+), 22 deletions(-)

commit e1d1e949e49fb8ed84c274946318da1e1701e723
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Mon Oct 25 20:07:20 2010 +0200

    [l10n] Updated German translation

 po/de.po |   63
 +++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 36 insertions(+), 27 deletions(-)

commit 877083a871a0d929ab818be7baf01c99ff034d5f
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Sat Oct 23 19:51:53 2010 +0200

    Updated French translation

 po/fr.po |   89
 +++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 48 insertions(+), 41 deletions(-)

commit 624badcb9219b3f18bc65e2d843b047f46c45f88
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Mon Oct 18 10:19:52 2010 +0200

    Updated Spanish translation

 po/es.po |   71
 +++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 41 insertions(+), 30 deletions(-)

commit 1861636d0fae529d558bec9765194e2cacf09f84
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sun Oct 17 20:29:57 2010 +0200

    Updated Slovenian translation

 po/sl.po |   55 +++++++++++++++++++++++++++++++++----------------------
 1 files changed, 33 insertions(+), 22 deletions(-)

commit d9e70da78562534c1b7969eaa80f9c2521ac8284
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Oct 17 15:49:15 2010 +0100

    build: Increment version to 0.8.0

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 57d7197bc07539e269d9eef4ecea4517f327eeef
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Oct 17 15:45:49 2010 +0100

    Release version 0.7.0

 NEWS         |   93
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |    2 +-
 2 files changed, 94 insertions(+), 1 deletions(-)

commit 8b440e4d7c95357d75d5b577b6a76ed850ea544f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Oct 17 15:41:17 2010 +0100

    l10n: Add a missing file to POTFILES.in

 po/POTFILES.in |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit d116a0b8721c3143d190b85f2781b4bde0a73a8b
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Oct 17 15:13:35 2010 +0100

    build: Fix header inclusion checking for srcdir != builddir

 Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3dc5ed40ecbd95b8b3b990cb2644754b99c4e7ba
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Sep 29 16:58:56 2010 +0100

    build: Fix builddir != srcdir build with enum generation

 Makefile.am |   72
 +++++++++++++++++++++++++++++-----------------------------
 1 files changed, 36 insertions(+), 36 deletions(-)

commit 0e0947f442e3d90141f1e07e1ba9ce44ea99d5cb
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Oct 17 14:55:07 2010 +0100

    l10n: Update British English translation

 po/en_GB.po |   28 ++++++++++++++++++----------
 1 files changed, 18 insertions(+), 10 deletions(-)

commit 35c44fd913939c0730b708bc024b39f5841f043c
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Oct 17 13:20:27 2010 +0100

    tests: Disable the invalid proxy test

    There's a bug in libsoup (bgo#632354) which breaks our error codes,
    and consequently breaks this test.

 gdata/tests/general.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 6b9bafbad973acb026f4090cfd22d078ec0ad75c
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Oct 17 12:47:40 2010 +0100

    calendar: Fix the batch operation tests

    The Calendar service can't deal with ETags properly, so we can't
    test for
    them being handled properly.

 gdata/tests/calendar.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 98954c4a40681b0fef38197838be975eb931cc29
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Oct 17 12:28:40 2010 +0100

    core: Expand the GDataAccessRule documentation a little

 gdata/gdata-access-rule.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 457e546708559af44091f01501373fb91bacee9f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Oct 17 12:03:12 2010 +0100

    contacts: Add contact group manipulation methods

    This adds gdata_contacts_service_query_groups(),
    gdata_contacts_service_insert_group() and their async counterparts,
    as well
    as test cases for them.

 docs/reference/gdata-sections.txt                |    4 +
 gdata/gdata.symbols                              |    4 +
 gdata/services/contacts/gdata-contacts-service.c |  167
 +++++++++++++++++++-
 gdata/services/contacts/gdata-contacts-service.h |   14 ++
 gdata/tests/contacts.c                           |  185
 ++++++++++++++++++++++
 5 files changed, 373 insertions(+), 1 deletions(-)

commit d7fcbca5ab8bc6ee0b08e9feac83696eae26145e
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Sep 6 09:57:54 2010 +0100

    contacts: Add a GDataContactsGroup class

    This represents a group of contacts. Test cases included.

 Makefile.am                                    |    2 +
 docs/reference/gdata-docs.xml                  |    1 +
 docs/reference/gdata-sections.txt              |   28 ++
 gdata/gdata.h                                  |    1 +
 gdata/gdata.symbols                            |    8 +
 gdata/services/contacts/gdata-contacts-group.c |  548
 ++++++++++++++++++++++++
 gdata/services/contacts/gdata-contacts-group.h |  113 +++++
 gdata/tests/contacts.c                         |  138 ++++++-
 8 files changed, 828 insertions(+), 11 deletions(-)

commit 89a659d6102433c63bfa4600a35e77b56d373b1b
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Oct 9 09:41:39 2010 +0100

    contacts: Add gdata_contacts_service_insert_contact_async()

 docs/reference/gdata-sections.txt                |    1 +
 gdata/gdata.symbols                              |    1 +
 gdata/services/contacts/gdata-contacts-service.c |   35
 +++++++++++++++++++++-
 gdata/services/contacts/gdata-contacts-service.h |    2 +
 4 files changed, 38 insertions(+), 1 deletions(-)

commit f89a43ccdad7c4eab393246347f64d2089e8b5bf
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Oct 9 00:09:27 2010 +0100

    build: Use upstream gettext instead of GLib's gettext

    As explained here: http://blogs.gnome.org/jjardon/2010/10/08
    /use-upstream-gettext-instead-the-glib-one/.

 Makefile.am  |   13 ++++++++++++-
 configure.ac |    3 ++-
 2 files changed, 14 insertions(+), 2 deletions(-)

commit d1ee7679981f42d5f32e334d04a3f51a426b5949
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Oct 6 16:32:03 2010 +0100

    core: Add gdata_access_handler_get_rules_async()

 docs/reference/gdata-sections.txt |    1 +
 gdata/gdata-access-handler.c      |   79
 ++++++++++++++++++++++++++++++++++++-
 gdata/gdata-access-handler.h      |    3 +
 gdata/gdata.symbols               |    1 +
 4 files changed, 83 insertions(+), 1 deletions(-)

commit 3d237ba01fc862697692764905609b2acea8847f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Oct 6 16:12:42 2010 +0100

    core: Simplify gdata_access_handler_get_rules()

 gdata/gdata-access-handler.c |   24 +++---------------------
 1 files changed, 3 insertions(+), 21 deletions(-)

commit e5e811acdbe50c93de17575afd6683a88be180be
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Oct 5 13:51:49 2010 +0100

    core: Override GDataEntry::etag in GDataAccessRule

    Access rules don't seem to support ETags (at least in Google
    Calendar), so
    we override GDataEntry::etag so that it's always NULL for access
    rules.

 gdata/gdata-access-rule.c |   14 +++++++++++++-
 gdata/gdata-entry.c       |   15 +++++++++++++--
 2 files changed, 26 insertions(+), 3 deletions(-)

commit f9ebfd701a78ccef5b4ae01d136bd17d93f75928
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Oct 5 13:50:20 2010 +0100

    core: Remove ACL modification methods from GDataAccessHandler

     • gdata_access_handler_insert_rule() →
     gdata_service_insert_entry()
     • gdata_access_handler_update_rule() →
     gdata_service_update_entry()
     • gdata_access_handler_delete_rule() →
     gdata_service_delete_entry()

 docs/reference/gdata-sections.txt |    3 -
 gdata/gdata-access-handler.c      |  249
 -------------------------------------
 gdata/gdata-access-handler.h      |    6 -
 gdata/gdata.symbols               |    3 -
 gdata/tests/calendar.c            |   11 ++-
 gdata/tests/documents.c           |    7 +-
 6 files changed, 14 insertions(+), 265 deletions(-)

commit 047b48ec87b70f8d2c662f5f28b9531cedabdd95
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Oct 5 13:05:07 2010 +0100

    core: Add a GDATA_LINK_ACCESS_CONTROL_LIST #define for ACL links

 docs/reference/gdata-sections.txt |    1 +
 gdata/gdata-access-handler.c      |    6 +++---
 gdata/gdata-access-handler.h      |   12 ++++++++++++
 3 files changed, 16 insertions(+), 3 deletions(-)

commit a46494f5ac624bcf79f088762e4b81dee3a21065
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Oct 4 10:56:40 2010 +0100

    introspection: Fix annotations on
    gdata_contacts_contact_get_email_addresses()

 gdata/services/contacts/gdata-contacts-contact.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1c98bf024bcf06355fc5e77a0d7fa6cc59e126a0
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Oct 4 10:50:04 2010 +0100

    introspection: Skip gdata_service_query_async()

    Its progress_callback parameter was incorrectly marked as (scope
    async),
    which could cause crashes in the bindings. It will have to be skipped.

 gdata/gdata-service.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit a6762e29ab0ffb275e907fe927c7fe96e3b1dfc8
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Oct 4 00:18:22 2010 +0100

    core: Use gint64 timestamps instead of GTimeVals

    This means we no longer have to register GTimeVal with the GType
    system, and
    everything is generally neater because we never used GTimeVal's
    microsecond
    precision anyway.

 docs/reference/gdata-sections.txt                 |    2 -
 gdata/exif/gdata-exif-tags.c                      |   22 ++--
 gdata/exif/gdata-exif-tags.h                      |    2 +-
 gdata/gd/gdata-gd-reminder.c                      |   59 +++----
 gdata/gd/gdata-gd-reminder.h                      |    7 +-
 gdata/gd/gdata-gd-when.c                          |  106 ++++++------
 gdata/gd/gdata-gd-when.h                          |   10 +-
 gdata/gdata-access-rule.c                         |   30 ++--
 gdata/gdata-access-rule.h                         |    2 +-
 gdata/gdata-batch-operation.c                     |    4 +-
 gdata/gdata-entry.c                               |   67 ++++----
 gdata/gdata-entry.h                               |    4 +-
 gdata/gdata-feed.c                                |   38 ++--
 gdata/gdata-feed.h                                |    2 +-
 gdata/gdata-parser.c                              |   49 +++++-
 gdata/gdata-parser.h                              |   10 +-
 gdata/gdata-private.h                             |    4 +-
 gdata/gdata-query.c                               |  180
 +++++++++-----------
 gdata/gdata-query.h                               |   16 +-
 gdata/gdata-types.c                               |   20 ---
 gdata/gdata-types.h                               |    3 -
 gdata/gdata.symbols                               |    1 -
 gdata/services/calendar/gdata-calendar-calendar.c |   30 ++--
 gdata/services/calendar/gdata-calendar-calendar.h |    2 +-
 gdata/services/calendar/gdata-calendar-event.c    |   40 +++--
 gdata/services/calendar/gdata-calendar-event.h    |    4 +-
 gdata/services/calendar/gdata-calendar-query.c    |  183
 +++++++++-----------
 gdata/services/calendar/gdata-calendar-query.h    |   19 +-
 gdata/services/contacts/gdata-contacts-contact.c  |   30 ++--
 gdata/services/contacts/gdata-contacts-contact.h  |    2 +-
 gdata/services/documents/gdata-documents-entry.c  |   58 ++++---
 gdata/services/documents/gdata-documents-entry.h  |    4 +-
 gdata/services/picasaweb/gdata-picasaweb-album.c  |   97 +++++------
 gdata/services/picasaweb/gdata-picasaweb-album.h  |    6 +-
 gdata/services/picasaweb/gdata-picasaweb-file.c   |   91 +++++------
 gdata/services/picasaweb/gdata-picasaweb-file.h   |    6 +-
 gdata/services/youtube/gdata-youtube-group.c      |   22 ++--
 gdata/services/youtube/gdata-youtube-group.h      |    2 +-
 gdata/services/youtube/gdata-youtube-video.c      |   85 +++++-----
 gdata/services/youtube/gdata-youtube-video.h      |    6 +-
 gdata/tests/calendar.c                            |   85 +++++------
 gdata/tests/contacts.c                            |   13 +-
 gdata/tests/general.c                             |  111 ++++++-------
 gdata/tests/picasaweb.c                           |   80 ++-------
 gdata/tests/youtube.c                             |   11 +-
 45 files changed, 753 insertions(+), 872 deletions(-)

commit fc13dc995e8afc12e154f384554cbf613da76e48
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Sep 30 19:44:31 2010 +0100

    gd: Fix parsing and output of country codes in GDataGDPostalAddress

 gdata/gd/gdata-gd-postal-address.c |   46
 +++++++++++++++++++++++------------
 gdata/tests/general.c              |    7 ++++-
 2 files changed, 36 insertions(+), 17 deletions(-)

commit 98efcfaac4f06ebe25ea434f9337b18319d15bb7
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Sep 30 19:17:59 2010 +0100

    gd: Fix attribute escaping for GDataGDWho

 gdata/gd/gdata-gd-who.c |    4 ++--
 gdata/tests/general.c   |   20 ++++++++++++++++++++
 2 files changed, 22 insertions(+), 2 deletions(-)

commit c595f1fac6197838bd831e1bcfaaea0af51950f0
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Sep 30 19:13:30 2010 +0100

    gd: Fix attribute escaping for GDataGDWhere

 gdata/gd/gdata-gd-where.c |    2 +-
 gdata/tests/general.c     |   20 ++++++++++++++++++++
 2 files changed, 21 insertions(+), 1 deletions(-)

commit c17b1478b6b798025f55bb8703c82588cce56a58
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Sep 30 19:09:55 2010 +0100

    gd: Fix attribute escaping for GDataGDWhen

 gdata/gd/gdata-gd-when.c |    2 +-
 gdata/tests/general.c    |   22 ++++++++++++++++++++++
 2 files changed, 23 insertions(+), 1 deletions(-)

commit 5b3ff1ead3f14cfd9e8cbfcacc617461e3115f4a
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Sep 30 19:05:13 2010 +0100

    gd: Fix attribute escaping for GDataGDReminder

 gdata/gd/gdata-gd-reminder.c |    2 +-
 gdata/tests/general.c        |   19 +++++++++++++++++++
 2 files changed, 20 insertions(+), 1 deletions(-)

commit a0e97a3a386edca2c7da4137b0a0067066659520
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Sep 30 18:59:10 2010 +0100

    gd: Fix attribute escaping for GDataGDPostalAddress

 gdata/gd/gdata-gd-postal-address.c |    2 +-
 gdata/tests/general.c              |   46
 ++++++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+), 1 deletions(-)

commit 019f4c0c2be2d3ca486a9832d4121271e5ca6b5c
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Sep 30 18:44:07 2010 +0100

    gd: Fix attribute escaping for GDataGDPhoneNumber

 gdata/gd/gdata-gd-phone-number.c |    4 ++--
 gdata/tests/general.c            |   21 +++++++++++++++++++++
 2 files changed, 23 insertions(+), 2 deletions(-)

commit 135b790ca479085fec78e8f37de302cf2d04515c
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Sep 30 17:31:48 2010 +0100

    gd: Fix attribute escaping for GDataGDOrganization

 gdata/gd/gdata-gd-organization.c |    2 +-
 gdata/tests/general.c            |   28 ++++++++++++++++++++++++++++
 2 files changed, 29 insertions(+), 1 deletions(-)

commit f37944aa5dabe5cb6c72002384ddb60416089738
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Sep 30 17:23:46 2010 +0100

    gd: Fix attribute escaping for GDataGDIMAddress

 gdata/gd/gdata-gd-im-address.c |    7 +++----
 gdata/tests/general.c          |   21 +++++++++++++++++++++
 2 files changed, 24 insertions(+), 4 deletions(-)

commit 68584f8c6a3ae3564919b02343dcbaf2282a3c72
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Sep 30 17:10:12 2010 +0100

    gd: Fix attribute escaping for GDataGDEmailAddress

    Add a test case for it too. Closes: bgo#630350

 gdata/gd/gdata-gd-email-address.c |    4 ++--
 gdata/tests/general.c             |   23 +++++++++++++++++++++++
 2 files changed, 25 insertions(+), 2 deletions(-)

commit 5ea9abe1da7115f2828be474e2d13619f7d9f04a
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Sep 29 17:14:34 2010 +0100

    build: Ensure g-ir-scanner is passed the correct includes

 Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 22518fc61ebcb7f0aae41d0d125a6301ddbb089c
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Sep 29 15:23:07 2010 +0100

    introspection: Add missing (transfer full) annotations

 gdata/gdata-access-handler.c                       |    6 +++---
 gdata/gdata-batchable.c                            |    2 +-
 gdata/gdata-service.c                              |   16
 ++++++++--------
 gdata/media/gdata-media-content.c                  |    2 +-
 gdata/media/gdata-media-thumbnail.c                |    2 +-
 gdata/services/calendar/gdata-calendar-service.c   |    8 ++++----
 gdata/services/contacts/gdata-contacts-service.c   |    4 ++--
 .../services/documents/gdata-documents-document.c  |    2 +-
 .../documents/gdata-documents-presentation.c       |    2 +-
 gdata/services/documents/gdata-documents-service.c |   10 +++++-----
 .../documents/gdata-documents-spreadsheet.c        |    2 +-
 gdata/services/documents/gdata-documents-text.c    |    2 +-
 gdata/services/picasaweb/gdata-picasaweb-service.c |   14 +++++++-------
 gdata/services/youtube/gdata-youtube-service.c     |   12 ++++++------
 gdata/services/youtube/gdata-youtube-video.c       |    2 +-
 15 files changed, 43 insertions(+), 43 deletions(-)

commit 9fe511b3fcb5fca3698f897a503cd24ec74fa4ed
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Sep 29 15:11:49 2010 +0100

    introspection: (skip) async query methods

    This is because they all take in a callback parameter which is neither
    (scope call) or (scope async), so requires a GDestroyNotify callback
    to be
    properly introspectable. Since we're not breaking API for this
    point release,
    that isn't possible, so the functions have to be marked as
    non-introspectable.

 gdata/services/calendar/gdata-calendar-service.c   |    4 ++--
 gdata/services/contacts/gdata-contacts-service.c   |    2 +-
 gdata/services/documents/gdata-documents-service.c |    2 +-
 gdata/services/picasaweb/gdata-picasaweb-service.c |    2 +-
 gdata/services/youtube/gdata-youtube-service.c     |    6 +++---
 5 files changed, 8 insertions(+), 8 deletions(-)

commit 7c87167f17b062ab40efb69fa53e1d7a8fd70552
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Sep 29 15:08:28 2010 +0100

    introspection: Add missing (scope call) annotations

 gdata/gdata-access-handler.c                       |    2 +-
 gdata/gdata-service.c                              |    2 +-
 gdata/services/calendar/gdata-calendar-service.c   |    6 +++---
 gdata/services/contacts/gdata-contacts-service.c   |    2 +-
 gdata/services/documents/gdata-documents-service.c |    2 +-
 gdata/services/picasaweb/gdata-picasaweb-service.c |    4 ++--
 gdata/services/youtube/gdata-youtube-service.c     |    6 +++---
 7 files changed, 12 insertions(+), 12 deletions(-)

commit 529dd65fd823fc677257298cc0dcd3000b2e3147
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Sep 29 15:00:16 2010 +0100

    introspection: Remove outdated (default) annotations

 .../documents/gdata-documents-spreadsheet.c        |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit cd209b1b07bf163a011efbadaf2f742fee1edd2a
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Sep 29 14:54:55 2010 +0100

    introspection: Fix the type name registered by libgdata for GTimeVal

    This stops the introspection build failing because GData was
    stomping on
    GLib's namespace when registering GTimeVal with the type system.

 gdata/gdata-types.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 867179aa0dbc7bbc62e576450e1a72fa016f1f57
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Aug 22 18:15:10 2010 +0100

    introspection: Port to Makefile.introspection

    This bumps our gobject-introspection dependency to 0.9.7 as we
    require the
    fix for bgo#628594.

 Makefile.am  |   41 +++++++++++++++++++++++------------------
 configure.ac |    6 +++++-
 2 files changed, 28 insertions(+), 19 deletions(-)

commit d14b3a80009df8c0418c827266b47e57e4c11215
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Sun Sep 26 19:32:48 2010 +0200

    [l10n] Updated Italian translation

 po/it.po |  278
 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 163 insertions(+), 115 deletions(-)

commit 427c277fb6294e1125824fde1d0e89d3ff1d3efb
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Sep 22 23:21:59 2010 +0200

    Updated Polish translation

 po/pl.po |  247
